/*v0270*/
#--novo movimento de caixa
DELETE FROM `cashdrawermovementtypes` WHERE `UID`='9';
INSERT INTO `cashdrawermovementtypes` (`UID`, `Description`, `MovementFlow`) VALUES (9, 'Rec. Conta Corrente', 2);

#---adicionar ao relatório de apuramento de caixa
DELETE FROM `reportsections` where `UID`=56;
INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'56', '0', '1', '19', NULL, '\n----------------------------------------\nRECIBOS CC\n----------------------------------------\n    Movimentos Caixa\n    -----------------\n', 
"SELECT mType.description, replace(round(value/100,2),'.',',') as 'value'
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    and mov.MovementTypeID != 2
    and mType.MovementFlow = 2;", 
'    %-16.16s%20.20s\n', 
NULL, NULL, '2', '10'
);

DELETE FROM `reportsections` where `UID`=57;
INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'57', '0', '1', '19', NULL, NULL, NULL, NULL,
"SELECT replace(round((
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN PaymentTypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    and tenders.MovementUID = '(121)'
    AND headers.TransactionStatus = 'N'
)
+
(
SELECT IFNULL(sum(value),0)
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID = '(121)'
    and mov.MovementTypeID != 2 
    and mType.MovementFlow = 2
)
)/100,2),'.',',') a"
, '\n                                   -----\n    Total Recibos: %22.22s\n', '2', '11'
);

#---adicionar ao relatório de fecho de caixa
DELETE FROM `reportsections` where `UID`=58;
INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'58', '0', '1', '3', NULL, '\n----------------------------------------\nRECIBOS CC\n----------------------------------------\n    Movimentos Caixa\n    -----------------\n', 
"SELECT mType.description, replace(round(value/100,2),'.',',') as 'value'
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    and mov.MovementTypeID != 2
    and mType.MovementFlow = 2;", 
'    %-16.16s%20.20s\n', 
NULL, NULL, '2', '15'
);

DELETE FROM `reportsections` where `UID`=59;
INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'59', '0', '1', '3', NULL, NULL, NULL, NULL,
"SELECT replace(round((
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN PaymentTypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    and tenders.MovementUID = '(121)'
    AND headers.TransactionStatus = 'N'
)
+
(
SELECT IFNULL(sum(value),0)
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID = '(121)'
    and mov.MovementTypeID != 2 
    and mType.MovementFlow = 2
)
)/100,2),'.',',') a"
, '\n                                   -----\n    Total Recibos: %22.22s\n', '2', '16'
);




