/*v0290*/
#-- novos relatórios de sessões
DELETE FROM `reports` WHERE `UID`='5';
DELETE FROM `reportsections` WHERE `UID`='23';
DELETE FROM `reportsections` WHERE `UID`='24';

INSERT INTO `reports`
(`UID`,`RecordDeleted`,`SyncCounter`,`Code`,`Description`,`HeaderText`,`HeaderFormat`,`FooterText`,`FooterFormat`,`Comments`,`Hints`,`Variables`,`ReportType`)
VALUES
('5', '0', '1', '5', 'Fecho Sessão', 'Fecho Sessão \\n--------------------------------------\\nUtilizador: (103)\\nTerminal: (107)', '%s\\n', '\\n', NULL, NULL, NULL, '101,103,107,102,115,116,122', '7');

INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('24', '0', '1', '5', NULL, '\\n\\n         -- TOTAL FACTURADO--         \\nTerminal                           Valor\\n----------------------------------------\\n', "SELECT 
    salesterminal.description as 'description', 
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
INNER JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid
WHERE 
    headers.SalesmanSessionID = '(122)' 
    and headers.TransactionStatus = 'N' 
Group by headers.TransactionStartTerminalUID;", '%-20.20s%20.20s\\n', "SELECT 
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
INNER JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid
WHERE 
	headers.SalesmanSessionID = '(122)' 
    and headers.TransactionStatus = 'N';", '        --------------------------------\\n%40.40s\\n', '2', '1');

#-- elimina todas as sessões existentes
DELETE FROM `salesmansessions` WHERE UID>0;
DELETE FROM `opensalesmansessions` WHERE UID>0;
#-- nos cabeçalhos das vendas coloca todas as sessões a 0
UPDATE `transactionsheaders` SET `SalesmanSessionID`=0 WHERE `UID`>'0';

#-- actualização do relatório de artigos por empregado
DELETE FROM `reports` WHERE `UID`='25';
DELETE FROM `reportsections` WHERE `UID`='52';

INSERT INTO `reports`
(`UID`,`RecordDeleted`,`SyncCounter`,`Code`,`Description`,`HeaderText`,`HeaderFormat`,`FooterText`,`FooterFormat`,`Comments`,`Hints`,`Variables`,`ReportType`)
VALUES
('25', '0', '1', '25', 'Artigos por empregado', 'Artigos por empregado\n--------------------------------------\nData inicio: (109)\nData fim: (112)', '%s\n', '\n', '%s\n', NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '19');

INSERT INTO `reportsections`
(`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'52', '0', '1', '25', NULL, '\\n\\n --- Artigos por empregado ---      \\nEmpregado  Artigo      Qnt  Valor\\n----------------------------------------\\n', "SELECT 
     IF(Q._name=     @lastName,'',   @lastName:= Q._name) AS OpSalesman,
     Q._item AS OpItem,
     Q._qnt AS OpQnt,
     Q._value AS OpValue
FROM
(
SELECT 
    @lastName:='',
    CONCAT(salesmans.SalesmanName,\"\\n\") AS _name,
    details.PluName AS _item,
    sum(details.Quantity) AS _qnt,
    REPLACE(round(sum(details.salevalue)/100,2),'.',',') AS _value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.CreateDate) >= '(101)' 
    AND DATE(headers.CreateDate) <= '(111)'
    AND headers.TransactionStatus = 'N'     
GROUP BY details.pluuid, salesmans.UID
ORDER by _name) 
AS Q;", '%s     %-13.13s %4.4s %6.6s\\n', NULL, NULL, '4', '1'
);






