/*v0302*/
#-- Ecrã de documentos manuais
DELETE FROM `screens` WHERE ID IN (171) AND `SalesTerminalUID`=0;
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`)
VALUES
('0', '1996', 'SCREEN_PROMPT_MANUAL_DOCUMENT', '171', "{\"objects\":[{\"id\":\"13957\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":171},{\"value\":4},{\"value\":5},{\"value\":23},{\"value\":19},{\"value\":\"#1264#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"16843\",\"windowid\":\"13957\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":10},{\"value\":1},{\"value\":2},{\"value\":21},{\"value\":3},{\"value\":\"#58#\"},{\"value\":[{\"v\":21}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":69},{\"value\":\"CButton\"}]},{\"id\":\"30474\",\"windowid\":\"13957\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-1},{\"value\":17},{\"value\":12},{\"value\":5},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#298#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"18055\",\"windowid\":\"13957\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":1},{\"value\":2},{\"value\":21},{\"value\":3},{\"value\":\"#1265#\"},{\"value\":1},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"27926\",\"windowid\":\"13957\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":2},{\"value\":1},{\"value\":6},{\"value\":21},{\"value\":3},{\"value\":\"#1266#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]}]}", '0');

#-- novas string de linguagem para o ecrã de documentos manuais
DELETE FROM `languagedictionaries` WHERE `StringID`>=1264 AND `StringID`<=1266;

INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'Importação de documento manuais', '1264', 'PromptManualDocumentWindow', '1', 'SCREEN_PROMPT_MANUAL_DOCUMENT'),
('0', '1', 'Série', '1265', 'SeriesChar', '1', 'SCREEN_PROMPT_MANUAL_DOCUMENT'),
('0', '1', 'Número', '1266', 'SeriesNumber', '1', 'SCREEN_PROMPT_MANUAL_DOCUMENT');

# -- novas string de linguagem para o ecrã de numeração de documentos
DELETE FROM `languagedictionaries` WHERE `StringID`>=1234 AND `StringID`<=1239;
INSERT INTO `languagedictionaries` (`RecordDeleted`, `SyncCounter`, `Description`, `StringID`, `Alias`, `LanguageID`, `Context`) 
VALUES ('0', '1', 'Sub-totais (contas)', '1234', 'CounterSubTotal', '1', 'SCREEN_CONFIG_TERMINALS'),
('0', '1', 'Factura/Recibo', '1235', 'CounterFacRecibo', '1', 'SCREEN_CONFIG_TERMINALS'),
('0', '1', 'Conta Corrente', '1236', 'CounterInvoice', '1', 'SCREEN_CONFIG_TERMINALS'),
('0', '1', 'Recibos', '1237', 'CounterRecibo', '1', 'SCREEN_CONFIG_TERMINALS'),
('0', '1', 'Pedidos', '1238', 'CounterPedidos', '1', 'SCREEN_CONFIG_TERMINALS'),
('0', '1', 'Fac. Externa', '1239', 'CounterGuia', '1', 'SCREEN_CONFIG_TERMINALS');

DELETE FROM `languagedictionaries` WHERE `StringID`=1267;
INSERT INTO `languagedictionaries` (`RecordDeleted`, `SyncCounter`, `Description`, `StringID`, `Alias`, `LanguageID`, `Context`) 
VALUES (0, 1, 'Documentos manuais', 1267, 'ManualDocsString', 1, 'ManualDocsString');

#-- Actualização do ecrã das licenças
DELETE FROM `screens` WHERE ID IN (153) AND `SalesTerminalUID`=0;
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`)
VALUES
('0', '1997', 'SCREEN_CONFIG_LICENCE', '153', "{\"objects\":[{\"id\":\"12236\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":153},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":45},{\"value\":\"#843#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"10689\",\"windowid\":\"12236\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-2},{\"value\":48},{\"value\":39},{\"value\":5},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#297#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"17589\",\"windowid\":\"12236\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":2},{\"value\":3},{\"value\":34},{\"value\":27},{\"value\":\"#1021#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":1},{\"value\":-1},{\"value\":0}]},{\"id\":\"2572\",\"windowid\":\"12236\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":2},{\"value\":2},{\"value\":30},{\"value\":34},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1020#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"9568\",\"windowid\":\"12236\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":5},{\"value\":37},{\"value\":3},{\"value\":15},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1188#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"18316\",\"windowid\":\"12236\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":6},{\"value\":37},{\"value\":8},{\"value\":15},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1189#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]}]}", '0');

#-- Actualização dos tipos de docmento
DELETE FROM `documenttypes` WHERE `Code`='14';
INSERT INTO `documenttypes` (`RecordDeleted`, `SyncCounter`, `Code`, `Description`, `ShortDescription`, `HeaderUID`, `FooterUID`, `BodyUID`, `NumberOfColumns`, `DocumentCounterUID`, `DocumentType`) VALUES (0, 40, 14, 'Documentos manuais', 'DocMan', 1, 2, 3, 40, 0, 20);