/*v0304*/
#-- actualização do relatório de extras/totais
DELETE FROM `reportsections` WHERE `UID`='32';

INSERT INTO `reportsections`
(`UID`,
`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'32', '0', '1', '18', NULL, '\n\n   -- ARTIGOS POR DIA/EXTRA --  \nExtra Qtd     Artigo               Total\n----------------------------------------\n', "
SELECT
    IF(qry.pDate =  @lastDate,'',   @lastDate:=   qry.pDate) AS Data,
    IF(qry.pExtra =@lastExtra,'',@lastExtra:=qry.pExtra) AS Extra,
    qry.pCount,
    qry.pParent,
    replace(round(qry.pPrice/100,2),'.',',') as pPrice
    
FROM(
    SELECT 
        @lastDate :='',
        @lastExtra :='',
        CONCAT(DATE_FORMAT(details.CreateDate,\"%d-%m-%y\"),\"\\\\n\") as pDate,
        CONCAT(details.PluName,\"\\\\n\") pExtra,
        details2.PluName as pParent,
        sum(details2.quantity) as pCount,
        sum(details2.SaleValue) as pPrice
                
    FROM transactionsdetails details
                INNER JOIN transactionsdetails details2 on details2.uid = details.parentID
    WHERE details.ParentID != 0
               and DATE(details.CreateDate) between '(101)' and '(111)'
    GROUP BY pDate, pExtra, pParent
) AS qry;", '%s%s     %-5.5s %-19.19s %9.9s\n', NULL, NULL, '5', '0'
);