/*v0410*/


DELETE FROM `reports` WHERE `UID`=28;
DELETE FROM `reportsections` WHERE `UID`=1016;
DELETE FROM `reportsections` WHERE `UID`=1017;

#-- NOVO report de vendas por terminal

insert into reports values('28', '0', '1', '28', 'Artigos por Terminal', 'Artigos por Terminal\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s', '', '%s', NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '19');

insert into reportsections values(
'1016', '0', '1', '28', NULL, '\\n\\n ---                Totais                      ---      \\nTerminal              Qnt  Valor\\n----------------------------------------\\n', 'SELECT 

    salesterminal.Description AS \'Name\',

    sum(details.Quantity) AS \'Qnt\',

    REPLACE(round(sum(details.salevalue)/100,2),\'.\',\',\') as \'value\'

    

FROM transactionsdetails details

    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID

    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 

    INNER JOIN salesterminal on salesterminal.uid = details.OrderSalesTerminalUID



WHERE DATE(headers.CreateDate) >= \'(101)\' 

    AND DATE(headers.CreateDate) <= \'(111)\'

    AND headers.TransactionStatus = \'N\'     

 

GROUP BY salesterminal.UID

ORDER by \'Name\';', ' %-18.18s %5.5s %6.6s\\n', NULL, NULL, '3', '2');
insert into reportsections values(
'1017', '0', '1', '28', NULL, '\\n\\n       --- Artigos por Terminal ---      \\nTerminal  Artigo      Qnt  Valor\\n----------------------------------------\\n','SELECT 

     IF(Q._name=     @lastName,\'\',   @lastName:= Q._name) AS OpSalesman,

     Q._item AS OpItem,

     Q._qnt AS OpQnt,

     Q._value AS OpValue

FROM

(

SELECT 

    @lastName:=\'\',

    CONCAT(salesterminal.Description,"\\n") AS _name,

    details.PluName AS _item,

    sum(details.Quantity) AS _qnt,

    REPLACE(round(sum(details.salevalue)/100,2),\'.\',\',\') AS _value

FROM transactionsdetails details

    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID

    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 

    INNER JOIN salesterminal on salesterminal.uid = details.OrderSalesTerminalUID

WHERE DATE(headers.CreateDate) >= \'(101)\' 

    AND DATE(headers.CreateDate) <= \'(111)\'

    AND headers.TransactionStatus = \'N\'     

GROUP BY details.pluuid,salesterminal.UID

ORDER by _name) 

AS Q;', '%s     %-13.13s %4.4s %6.6s\\n', NULL, NULL, '4', '1');
