/*v0424*/

-- actualização das linguagens
UPDATE `languages` SET `Description`='Português - restauração' WHERE `UID`='1';
UPDATE `languages` SET `Code`='1' WHERE `UID`='1';
INSERT INTO `languages` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `ShortDescription`, `ImagePath`) VALUES (2, 0, 16, 2, 'Português - discotecas', 'PT', 'pt_flag.png')
ON DUPLICATE KEY UPDATE `Description`='Português - discotecas', `Code`='2';

DELETE FROM `languagedictionaries` WHERE LanguageID=2 AND UID>0;

-- strings de linguagem para modo Disco
INSERT INTO `languagedictionaries` 
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`) 
VALUES 
(0,1,'OK',1,NULL,2,''),
(0,1,'Ajuda',2,NULL,2,''),
(0,1,'Erro',3,NULL,2,''),
(0,1,'Não foi possível gravar',4,NULL,2,''),
(0,1,'Cancelar',5,NULL,2,''),
(0,1,'Não foi possível guardar as modificações feitas a: ',6,NULL,2,''),
(0,1,'Texto de ajuda para este tópico não foi encontrado!',7,NULL,2,''),
(0,1,'Execução da query falhou!',8,NULL,2,''),
(0,1,'Não foi possível apagar artigo do cartão!',9,NULL,2,''),
(0,1,'Artigo não existe no cartão',10,NULL,2,''),
(0,1,'Não foi possível adicionar artigo ao cartão',11,NULL,2,''),
(0,1,'Não é possível abrir o cartão',12,NULL,2,''),
(0,1,'Não é possível obter os artigos do cartão!',13,NULL,2,''),
(0,1,'Não foi possível terminar transação!',14,NULL,2,''),
(0,1,'Não é possível carregar dados do dia ',15,NULL,2,''),
(0,1,'Não foi possível carregar os detalhes pretendidos!',16,NULL,2,''),
(0,1,'artigos no cartão',17,NULL,2,''),
(0,1,'metodos de pagamento',18,NULL,2,''),
(0,1,'Não foi possível obter os seguintes detalhes: ',19,NULL,2,''),
(0,1,'Não foi possível obter o número de série do documento ',20,NULL,2,''),
(0,1,'Sub-total',21,NULL,2,''),
(0,1,'Factura/Recibo',22,NULL,2,''),
(0,1,'Não descriminada ',23,NULL,2,''),
(0,1,'Relatorios',24,NULL,2,''),
(0,1,'Factura',25,NULL,2,''),
(0,1,'Anulacoes',26,NULL,2,''),
(0,1,'Pedidos',27,NULL,2,''),
(0,1,'Recibo',28,NULL,2,''),
(0,1,'Não é possível fechar a conta!',29,NULL,2,''),
(0,1,'Não é possível actualizar os contadores!',30,NULL,2,''),
(0,1,'Descricao',31,NULL,2,''),
(0,1,'Descricao Curta',32,NULL,2,''),
(0,1,'Codigo',33,NULL,2,''),
(0,1,'Comissao',34,NULL,2,''),
(0,1,'Facturacao Externa',35,NULL,2,''),
(0,1,'Terminal',36,NULL,2,''),
(0,1,'Snatch :: Versao DEMO!',37,NULL,2,''),
(0,1,'Empregados',38,NULL,2,''),
(0,1,'Configuracoes',39,NULL,2,''),
(0,1,'Caixas',40,NULL,2,''),
(0,1,' Sessoes',41,NULL,2,''),
(0,1,'Snatch - Desktop',42,NULL,2,''),
(0,1,'Não foi possível encontrar artigo na base de dados',43,NULL,2,''),
(0,1,'Moreira',44,NULL,2,''),
(0,1,'Gilardino',45,NULL,2,''),
(0,1,'Cartão',46,NULL,2,''),
(0,1,'Selecao Cartão',47,NULL,2,''),
(0,1,'Desktop',48,NULL,2,''),
(0,1,'Ecra de Venda',49,NULL,2,''),
(0,1,'Fechar Conta',50,NULL,2,''),
(0,1,'Pedir',51,NULL,2,''),
(0,1,'Gaveta',52,NULL,2,''),
(0,1,'Mapa Cartões',53,NULL,2,''),
(0,1,'Avancado',54,NULL,2,''),
(0,1,'SubTotal',55,NULL,2,''),
(0,1,'+',56,NULL,2,''),
(0,1,'-',57,NULL,2,''),
(0,1,' ',58,'Empty',2,''),
(0,1,'Total Cartão',59,NULL,2,''),
(0,1,'Cartões',60,NULL,2,''),
(0,1,'Selecao Empregado',61,NULL,2,''),
(0,1,'Formas Pagamento',62,NULL,2,''),
(0,1,'Configs. Gerais',63,NULL,2,''),
(0,1,'Menu Tecnico',64,NULL,2,''),
(0,1,'Formas Pagamento',65,NULL,2,''),
(0,1,'Produtos',66,NULL,2,''),
(0,1,'Empregados',67,NULL,2,''),
(0,1,'Clientes',68,NULL,2,''),
(0,1,'Séries',69,NULL,2,''),
(0,1,'Taxas de IVA',70,NULL,2,''),
(0,1,'Não foi possível actualizar o artigo no cartão',71,NULL,2,''),
(0,1,'Novo',72,NULL,2,''),
(0,1,'Eliminar',73,NULL,2,''),
(0,1,'Não foi possível gravar o método de pagamento: ',74,NULL,2,''),
(0,1,'Não foi possível carregar os métodos de pagamento',75,NULL,2,''),
(0,1,'Erro na query executada',76,NULL,2,''),
(0,1,'Total Cartão',77,NULL,2,''),
(0,1,'Total Pago',78,NULL,2,''),
(0,1,'Troco',79,NULL,2,''),
(0,1,'1',80,NULL,2,''),
(0,1,'2',81,NULL,2,''),
(0,1,'5',82,NULL,2,''),
(0,1,'10',83,NULL,2,''),
(0,1,'20',84,NULL,2,''),
(0,1,'50',85,NULL,2,''),
(0,1,'Cliente',86,NULL,2,''),
(0,1,'NIF',87,NULL,2,''),
(0,1,'Pessoas',88,NULL,2,''),
(0,1,'Factura',89,NULL,2,''),
(0,1,'Nao-Descriminado',90,NULL,2,''),
(0,1,'Fechar Cartão',91,NULL,2,''),
(0,1,'Limpar Lista',92,NULL,2,''),
(0,1,'...',93,'App...',2,''),
(0,1,'Cartão não encontrado',94,NULL,2,''),
(0,1,'Query não retornou nenhum resultado',95,NULL,2,'  '),
(0,1,'Não foi possível carregar a permissão pretendida',96,NULL,2,'  '),
(0,1,'Query retornou mais do que um resultado',97,NULL,2,' '),
(0,1,'Não foi possível guardar as alterações feitas à permissão',98,NULL,2,' '),
(0,1,'Não foi possível guardar nova permissão',99,NULL,2,' '),
(0,1,'Não foi possível carregar dados do empregado',100,NULL,2,' '),
(0,1,'Não foi possível guardar as modificações feitas ao empregado',101,NULL,2,' '),
(0,1,'Não foi possível guardar novo empregado',102,NULL,2,' '),
(0,1,'Não foi possível carregar nivel de empregado',103,NULL,2,' '),
(0,1,'Não foi possível guardar modificações feitas ao nível de empregado',104,NULL,2,' '),
(0,1,'Não foi possível criar novo empregado',105,NULL,2,' '),
(0,1,'Erro ao adicionar artigo no cartão',106,NULL,2,' '),
(0,1,'O cartão já está aberta noutro posto!',107,NULL,2,' '),
(0,1,'Valor',108,NULL,2,''),
(0,1,'Fehar Conta',109,NULL,2,''),
(0,1,'PLUS',110,NULL,2,'PLUS Config'),
(0,1,'Descricao',111,NULL,2,'PLUS Config'),
(0,1,'Descricao Curta 1',112,NULL,2,'PLUS Config'),
(0,1,'Descricao Curta 2',113,NULL,2,'PLUS Config'),
(0,1,'Codigo',114,NULL,2,'PLUS Config'),
(0,1,'PLU',115,NULL,2,'PLUS Config'),
(0,1,'Normal',116,'ITEMTYPE_NORMAL',2,'DROPBOX'),
(0,1,'Extra',117,'ITEMTYPE_EXTRA',2,'DROPBOX'),
(0,1,'Link',118,'ITEMTYPE_LINK',2,'DROPBOX'),
(0,1,'Compensação',119,'ITEMTYPE_COMPENSATION',2,'DROPBOX'),
(0,1,'Aberto',120,'ITEMTYPE_OPEN',2,'DROPBOX'),
(0,1,'Menu',121,'ITEMTYPE_MENU',2,'DROPBOX'),
(0,1,'Preço 1',122,'PRICE1',2,'DROPBOX'),
(0,1,'Preço 2',123,'PRICE2',2,'DROPBOX'),
(0,1,'Preço 3',124,'PRICE3',2,'DROPBOX'),
(0,1,'Preço 4',125,'PRICE4',2,'DROPBOX'),
(0,1,'Preço 5',126,'PRICE5',2,'DROPBOX'),
(0,1,'XON/XOFF',127,'PORT_FLOW_SOFT',2,'DROPBOX'),
(0,1,'Hardware',128,'PORT_FLOW_HARD',2,'DROPBOX'),
(0,1,'Sem',129,'PORT_FLOW_NONE',2,'DROPBOX'),
(0,1,'Par',130,'PORT_PARITY_PAIR',2,'DROPBOX'),
(0,1,'Ímpar',131,'PORT_PARITY_ODD',2,'DROPBOX'),
(0,1,'None',132,'PORT_PARITY_NONE',2,'DROPBOX'),
(0,1,'Impressora',133,'TYPE_DEV_WSC',2,'DROPBOX'),
(0,1,'Mostrador',134,'TYPE_DEV_DIS',2,'DROPBOX'),
(0,1,'Leitor Cartões ',135,'TYPE_DEV_MAG',2,'DROPBOX'),
(0,1,'Dallas Key',136,'TYPE_DEV_DAL',2,'DROPBOX'),
(0,1,'leitor Código Barras',137,'TYPE_DEV_BAR',2,'DROPBOX'),
(0,1,'Balança',138,'TYPE_DEV_WSC',2,'DROPBOX'),
(0,1,'Cabeçalho',139,'PART_TYPE_HEADER',2,'DROPBOX'),
(0,1,'Detalhe',140,'PART_TYPE_DETAIL',2,'DROPBOX'),
(0,1,'Rodapé',141,'PART_TYPE_FOOTER',2,'DROPBOX'),
(0,1,'Cor',142,NULL,2,'PLUS Config'),
(0,1,'Porta Paralela',143,'TYPE_PORT_PAR',2,'DROPBOX'),
(0,1,'Porta Série',144,'TYPE_PORT_SER',2,'DROPBOX'),
(0,1,'Driver Windows',145,'TYPE_PORT_DRV',2,'DROPBOX'),
(0,1,'Socket',146,'TYPE_PORT_IPP',2,'DROPBOX'),
(0,1,'Hardware',147,'TYPE_PORT_HWP',2,'DROPBOX'),
(0,1,'Teclado',148,'TYPE_PORT_KB',2,'DROPBOX'),
(0,1,'Ficheiro',149,'TYPE_PORT_FIL',2,'DROPBOX'),
(0,1,'Cancelar',150,NULL,2,'PLUS Config'),
(0,1,'Erro ao carregar a colecção de registos.',151,NULL,2,''),
(0,1,'Erro ao carregar o registo: ',152,NULL,2,''),
(0,1,'Não foi possível gravar método de pagamento',153,NULL,2,'Load'),
(0,1,'Não foi possível gravar o artigo: ',154,NULL,2,'Save'),
(0,1,'Descricao',155,NULL,2,'Tax Config'),
(0,1,'Taxa (%)',156,NULL,2,'Tax Config'),
(0,1,'Data Expiração',157,NULL,2,'Tax Config'),
(0,1,'Tipo Iva',158,NULL,2,'Tax Config'),
(0,1,'Região Iva',159,NULL,2,'Tax Config'),
(0,1,'Comentários',160,NULL,2,'Tax Config'),
(0,1,'Taxas de Iva',161,NULL,2,'Tax Config'),
(0,1,'Empregados',162,NULL,2,'Salesman Config'),
(0,1,'Nome',163,NULL,2,'Salesman Config'),
(0,1,'Nome Curto',164,NULL,2,'Salesman Config'),
(0,1,'Acesso Cartões',165,NULL,2,'Salesman Config'),
(0,1,'Cartão Defeito',166,NULL,2,'Salesman Config'),
(0,1,'Cor',167,NULL,2,'Salesman Config'),
(0,1,'Num. Cartão',168,NULL,2,'Salesman Config'),
(0,1,'Código',169,NULL,2,'Salesman Config'),
(0,1,'G.Comissão',170,NULL,2,'Salesman Config'),
(0,1,'Lim. Comissão Diária',171,NULL,2,'Salesman Config'),
(0,1,'Lim. Comissão Trans',172,NULL,2,'Salesman Config'),
(0,1,'Nível Acesso',173,NULL,2,'Salesman Config'),
(0,1,'Palavra Passe',174,NULL,2,'Salesman Config'),
(0,1,'Comentários',175,NULL,2,'Salesman Config'),
(0,1,'Foto',176,NULL,2,'Salesman Config'),
(0,1,'Língua',177,NULL,2,'Salesman Config'),
(0,1,'Lim.Despesas Diárias',178,NULL,2,'Salesman Config'),
(0,1,'PVP Consumo',179,NULL,2,'Salesman Config'),
(0,1,'Email',180,NULL,2,'Salesman Config'),
(0,1,'Endereço 1',181,NULL,2,'Salesman Config'),
(0,1,'Endereço 2',182,NULL,2,'Salesman Config'),
(0,1,'Cod.Postal',183,NULL,2,'Salesman Config'),
(0,1,'Localidade',184,NULL,2,'Salesman Config'),
(0,1,'País',185,NULL,2,'Salesman Config'),
(0,1,'Telefone',186,NULL,2,'Salesman Config'),
(0,1,'Telemovel',187,NULL,2,'Salesman Config'),
(0,1,'Código',188,NULL,2,'Tax Config'),
(0,1,'Caixas',189,NULL,2,'Caixas Config'),
(0,1,'Descrição',190,NULL,2,'Caixas Config'),
(0,1,'Descrição Curta',191,NULL,2,'Caixas Config'),
(0,1,'Código',192,NULL,2,'Caixas Config'),
(0,1,'Fundo Maneio',193,NULL,2,'Caixas Config'),
(0,1,'Caixa Aberta',194,NULL,2,'Caixas Config'),
(0,1,'Clientes',195,NULL,2,'Customers Config'),
(0,1,'Nome',196,NULL,2,'Customers Config'),
(0,1,'Morada 1',197,NULL,2,'Customers Config'),
(0,1,'Morada 2',198,NULL,2,'Customers Config'),
(0,1,'País',199,NULL,2,'Customers Config'),
(0,1,'Empresa',200,NULL,2,'Customers Config'),
(0,1,'NIF',201,NULL,2,'Customers Config'),
(0,1,'Site',202,NULL,2,'Customers Config'),
(0,1,'Limite Crédito',203,NULL,2,'Customers Config'),
(0,1,'Cartão',204,NULL,2,'Customers Config'),
(0,1,'Desconto',205,NULL,2,'Customers Config'),
(0,1,'Código',206,NULL,2,'Customers Config'),
(0,1,'Saldo',207,NULL,2,'Customers Config'),
(0,1,'Usar Desconto Global',208,NULL,2,'Customers Config'),
(0,1,'% Vendas para Balanço',209,NULL,2,'Customers Config'),
(0,1,'Consumo',210,NULL,2,'Customers Config'),
(0,1,'Visitas',211,NULL,2,'Customers Config'),
(0,1,'Última Visita',212,NULL,2,'Customers Config'),
(0,1,'Cod.Postal',213,NULL,2,'Customers Config'),
(0,1,'Cidade',214,NULL,2,'Customers Config'),
(0,1,'Telefone',215,NULL,2,'Customers Config'),
(0,1,'Telemóvel',216,NULL,2,'Customers Config'),
(0,1,'Email',217,NULL,2,'Customers Config'),
(0,1,'Grupo',218,NULL,2,'Customers Config'),
(0,1,'Preço',219,NULL,2,'Customers Config'),
(0,1,'Pontos',220,NULL,2,'Customers Config'),
(0,1,'Comentários',221,NULL,2,'Customers Config'),
(0,1,'Aviso',222,NULL,2,'Customers Config'),
(0,1,'Séries',223,NULL,2,'Zones Config'),
(0,1,'Código',224,NULL,2,'Zones Config'),
(0,1,'Descrição',225,NULL,2,'Zones Config'),
(0,1,'Descrição Curta',226,NULL,2,'Zones Config'),
(0,1,'Intervalo Cartões',227,NULL,2,'Zones Config'),
(0,1,'Preço',228,NULL,2,'Zones Config'),
(0,1,'Iva',229,NULL,2,'Zones Config'),
(0,1,'Usa Mapa Série',230,NULL,2,'Zones Config'),
(0,1,'Preços c/IVA',231,NULL,2,'Zones Config'),
(0,1,'Pede número pessoas',232,NULL,2,'Zones Config'),
(0,1,'Consumo Próprio',233,NULL,2,'Zones Config'),
(0,1,'Artigo Automático',234,NULL,2,'Zones Config'),
(0,1,'Valor Máximo Cartão',235,NULL,2,'Zones Config'),
(0,1,'Entrega Cartão',236,NULL,2,'Zones Config'),
(0,1,'Identifica Cliente',237,NULL,2,'Zones Config'),
(0,1,'Nº Artigos Incluídos',238,NULL,2,'Zones Config'),
(0,1,'Pergunta Cliente antes venda',239,NULL,2,'Zones Config'),
(0,1,'Desktop',240,'DesktopWindow',2,'SCREEN_DESKTOP'),
(0,1,'Cartões',241,'DesktopBtnTables',2,'SCREEN_DESKTOP'),
(0,1,'Sessões',242,'DesktopBtnSessions',2,'SCREEN_DESKTOP'),
(0,1,'Caixas',243,'DesktopBtnCashDrawers',2,'SCREEN_DESKTOP'),
(0,1,'Config',244,'DesktopBtnConfig',2,'SCREEN_DESKTOP'),
(0,1,'Seleção Empregado',245,'SalesmanSelectionWindow',2,'SCREEN_SALESMAN_SELECTION'),
(0,1,'Seleção Cartão',246,'TableSelectionWindow',2,'SCREEN_TABLE_SELECTION'),
(0,1,'Voltar',247,'AppBack',2,'SCREEN_TABLE_SELECTION'),
(0,1,'[[99]]',248,'TableEditWindow',2,'SCREEN_TABLE_EDIT'),
(0,1,'Sub-Total',249,'TableEditSubTotal',2,'SCREEN_TABLE_EDIT'),
(0,1,'Pedir',250,'TableEditOrder',2,'SCREEN_TABLE_EDIT'),
(0,1,'+',251,'TableEditAddQtyItemSelected',2,'SCREEN_TABLE_EDIT'),
(0,1,'Gaveta',252,'TableEditOpenDrawer',2,'SCREEN_TABLE_EDIT'),
(0,1,'Fechar Cartão',253,'TableEditCloseTable',2,'SCREEN_TABLE_EDIT'),
(0,1,'-',254,'TableEditRemoveQtyItemSelected',2,'SCREEN_TABLE_EDIT'),
(0,1,'Anulações',255,'TableEditAdvanced',2,'SCREEN_TABLE_EDIT'),
(0,1,'Voltar',256,'TableEditTableMap',2,'SCREEN_TABLE_EDIT'),
(0,1,'Total Cartão',257,'TableEditTotalTable',2,'SCREEN_TABLE_EDIT'),
(0,1,'Qt',258,'TableEditQtySelectedItem',2,'SCREEN_TABLE_EDIT'),
(0,1,'Configurações',259,'ConfigurationsWindow',2,'SCREEN_CONFIG_MAIN'),
(0,1,'Sessões',260,'SessionsWindow',2,'SCREEN_SESSIONS'),
(0,1,'Caixas',261,'CashesWindow',2,'SCREEN_CASHES'),
(0,1,'Fechar Cartão',262,'TableCloseWindow',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Total Cartão',263,'TableCloseTotalTable',2,'SCREEN_TABLE_CLOSE'),
(0,1,'1',264,'TableCloseCurrency1',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Total Pago',265,'TableClosePaidValue',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Troco',266,'TableCloseChange',2,'SCREEN_TABLE_CLOSE'),
(0,1,'2',267,'TableCloseCurrency2',2,'SCREEN_TABLE_CLOSE'),
(0,1,'5',268,'TableCloseCurrency3',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Valor',269,'TableCloseSelectedValue',2,'SCREEN_TABLE_CLOSE'),
(0,1,'10',270,'TableCloseCurrency4',2,'SCREEN_TABLE_CLOSE'),
(0,1,'20',271,'TableCloseCurrency5',2,'SCREEN_TABLE_CLOSE'),
(0,1,'50',272,'TableCloseCurrency6',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Sub-Total',273,'TableCloseSubTotal',2,'SCREEN_TABLE_CLOSE'),
(0,1,'...',274,'TableCloseClientSearch',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Cliente',275,'TableCloseClientName',2,'SCREEN_TABLE_CLOSE'),
(0,1,'NIF',276,'TableCloseFederalTaxIdClient',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Nº Pessoas',277,'TableClosePersonsNumber',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Imprime',278,'TableCloseInvoice',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Imprime Não Desc.',279,'TableCloseNonDetailedInvoice',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Voltar',280,'TableCloseCancel',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Fechar Cartão',281,'TableCloseTableClose',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Message2ButtonsWindow',282,'Message2ButtonsWindow',2,'SCREEN_MESSAGEBOX2BUTTONS'),
(0,1,'Sim',283,'Message2ButtonsBt1',2,'SCREEN_MESSAGEBOX2BUTTONS'),
(0,1,'Não',284,'Message2ButtonsBt2',2,'SCREEN_MESSAGEBOX2BUTTONS'),
(0,1,'Mensagem',285,'Message2ButtonsMessage',2,'SCREEN_MESSAGEBOX2BUTTONS'),
(0,1,'Mensagem',286,'MessageBoxWindow',2,'SCREEN_MESSAGEBOX'),
(0,1,'OK',287,'MessageBoxOK',2,'SCREEN_MESSAGEBOX'),
(0,1,'Mensagem',288,'MessageBoxShortText',2,'SCREEN_MESSAGEBOX'),
(0,1,'Detalhe',289,'MessageBoxLongText',2,'SCREEN_MESSAGEBOX'),
(0,1,'Formas Pagamento',290,'PaymentTypesWindow',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Descrição curta',291,'PaymentTypesShortDescription',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Descrição',292,'PaymentTypesDescription',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Código',293,'PaymentTypesCode',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Comissão',294,'PaymentTypesComission',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Usar em terminais rádio',295,'PaymentTypesHandTerminal',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Faturação Externa',296,'PaymentTypesExternalBilling',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Cancel',297,'AppCancel',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'OK',298,'AppOK',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Novo',299,'AppNew',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Eliminar',300,'AppDelete',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Artigos',301,'ItemWindow',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Tipo',302,'ItemType',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Descrição',303,'ItemDescription',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Iva 1',304,'ItemTax1',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Código',305,'ItemCode',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Iva 2',306,'ItemTax2',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço 1',307,'ItemPrice1',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço 2',308,'ItemPrice2',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço 3',309,'ItemPrice3',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço 4',310,'ItemPrice4',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço 5',311,'ItemPrice5',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Descrição Curta 1',312,'ItemShortDescription1',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Descrição Curta 2',313,'ItemShortDescription2',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Família',314,'ItemFamily',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'PLU',315,'ItemLookUp',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'SubFamília',316,'ItemSubFamily',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Stock',317,'ItemStock',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Alarme Stock',318,'ItemStockAlarm',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Comentários',319,'ItemComments',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Controla Stock',320,'ItemStockManagement',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Activo',321,'ItemEnabled',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Cor',322,'ItemColor',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Taxa Conversão',323,'ItemWeightConversionPrice',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Tara',324,'ItemTareValue',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço Custo',325,'ItemCostPrice',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Imagem',326,'ItemPictureName',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Vídeo',327,'ItemVideoName',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Tempo Max Prep',328,'ItemKdsMaxCookTime',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Tempo Médio Prep',329,'ItemKdsAvgCookTime',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Leitura Balança',330,'ItemReadQuantityFromScale',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'G.Comissão',331,'ItemComissionGroup',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Próxima Página',332,'ItemNextItemPage',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Preço Variável',333,'ItemVariablePrice',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Código Barras',334,'ItemBarCode',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Pontos',335,'ItemSalesPoints',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Ordem Impressão',336,'ItemPrintingOrder',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Localização Impressora',337,'ItemPrintLocation',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Empregados',338,'SalesmanWindow',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Nome Curto',339,'SalesmanShortName',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Nome',340,'SalesmanName',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Intervalo Cartões',341,'SalesmanTableRange',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Cartão defeito',342,'SalesmanDefaulTable',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Cor',343,'SalesmanColor',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'',344,'',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Cartão',345,'SalesmanCard',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Código',346,'SalesmanID',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'G.Comissão',347,'SalesmanComissionGroup',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Lim. Diário Comissão',348,'SalesmanComissionDailyLimit',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Lim. Transação Comissão',349,'SalesmanComissionTransactionLimit',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Nível',350,'SalesmanLevel',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Comentários',351,'SalesmanComments',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Foto',352,'SalesmanPhoto',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Língua',353,'SalesmanLanguage',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'L.Cons. Próprio',354,'SalesmanSelfExpLimit',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'PVP Cons. Próprio',355,'SalesmanSelfExpSalesPrice',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Email',356,'SalesmanEmail',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Endereço 1',357,'SalesmanAddressLine1',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Endereço 2',358,'SalesmanAddressLine2',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Cod.Postal',359,'SalesmanPostalCode',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Localidade',360,'SalesmanLocality',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'País',361,'SalesmanCountry',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Telefone',362,'SalesmanTelephone',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Telemovel',363,'SalesmanMobile',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Palavra-Passe',364,'SalesmanPassword',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Clientes',365,'CustomerWindow',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Endereço 1',366,'CustomerAddressLine1',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Nome',367,'CustomerName',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Endereço 2',368,'CustomerAddressLine2',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Cod.Postal',369,'CustomerPostalCode',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'País',370,'CustomerCountry',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Localidade',371,'CustomerLocality',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Telefone',372,'CustomerTelephone',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Email',373,'CustomerEmail',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Telemovel',374,'CustomerMobile',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Saldo',375,'CustomerBalance',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Total Gasto',376,'CustomerTotalSpent',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Número Visitas',377,'CustomerNumberVisits',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Grupo Clientes',378,'CustomerGroup',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Última Visita',379,'CustomerLastVisit',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Preço Venda',380,'CustomerSalesPrice',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Comentários',381,'CustomerComments',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Pontos',382,'CustomerTotalPoints',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Organização',383,'CustomerOrganization',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'NIF',384,'CustomerFederalTaxID',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Website',385,'CustomerWebsite',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Cartão',386,'CustomerCardID',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Limite Crédito',387,'CustomerCreditLimit',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Desconto',388,'CustomerGlobalDiscount',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Código',389,'CustomerID',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Percentagem Venda',390,'CustomerSalesPercentageForBalance',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Aviso',391,'CustomerWarning',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Usar Desconto',392,'CustomerUseGlobalDiscountlbl',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Séries',393,'ZoneWindow',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Descrição Curta',394,'ZoneShortDescription',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Descrição',395,'ZoneDescription',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Intervalo Cartões',396,'ZoneTableRange',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Preço',397,'ZoneSalesPrice',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Imposto',398,'ZoneTax',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Código',400,'ZoneCode',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Artigo Automático',404,'ZoneAutoPLU',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Limite Venda',405,'ZoneTableSalesLimit',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Usar Cartão',406,'ZoneTableIsCard',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Taxas IVA',408,'TaxWindow',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Percentagem',409,'TaxRate',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Descrição',410,'TaxDescription',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Data Expiração',411,'TaxExpirationDate',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Tipo Imposto',412,'TaxType',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Região',413,'TaxRegion',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Comentários',414,'TaxComments',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Código',415,'TaxCode',2,'SCREEN_CONFIG_TAXES'),
(0,1,'Caixas',416,'CashDrawerWindow',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Descrição Curta',417,'CashDrawerShortDescription',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Descrição',418,'CashDrawerDescription',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Fundo Maneio',419,'CashDrawerWorkingFund',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Caixa Aberta',420,'CashDrawerIsOpen',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Código',421,'CashDrawerCode',2,'SCREEN_CONFIG_CASHDRAWERS'),
(0,1,'Grupos Cliente',422,'ClientGroupsWindow',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Descrição',423,'ClientGroupsDescription',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Código',424,'ClientGroupsCode',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Descrição Curta',425,'ClientGroupsShortDescription',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Preço',426,'ClientGroupsPrice',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Limite Crédito',427,'ClientGroupsCreditLimit',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'% Venda',428,'ClientGroupsDeferredDiscount',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Desconto',429,'ClientGroupsDiscount',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Línguas',430,'LanguageWindow',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Descrição Curta',431,'LanguageShortDescription',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Descrição',432,'LanguageDescription',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Código',433,'LanguageCode',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Ficheiro Linguagem',434,'LanguageFilePath',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Imagem',435,'LanguageImagePath',2,'SCREEN_CONFIG_LANGUAGES'),
(0,1,'Tipos Documento',436,'DocumentTypeWindow',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Descrição Curta',437,'DocumentTypeShortDescription',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Descrição',438,'DocumentTypeDescription',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Código',439,'DocumentTypeCode',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Cabeçalho',440,'DocumentTypeHeader',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Detalhe',441,'DocumentTypeBody',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Colunas',442,'DocumentTypeNumberColumns',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Rodapé',443,'DocumentTypeFooter',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Contador',444,'DocumentTypeCounter',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'ItemPrintingOrderPrice3',445,'ItemPrintingOrderPrice3',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Nomes Cartões',446,'TableNamesWindow',2,'SCREEN_TABLE_NAMES'),
(0,1,'Descrição Curta',447,'ItemGroupSelectionShortDescription',2,'SCREEN_CONFIG_ITEMS_GROUP_SELECTION'),
(0,1,'Descrição',448,'ItemGroupSelectionDescription',2,'SCREEN_CONFIG_ITEMS_GROUP_SELECTION'),
(0,1,'Código',449,'ItemGroupSelectionCode',2,'SCREEN_CONFIG_ITEMS_GROUP_SELECTION'),
(0,1,'Descrição',450,'TableNamesDescription',2,'SCREEN_CONFIG_TABLE_NAMES'),
(0,1,'Código',451,'TableNamesCode',2,'SCREEN_CONFIG_TABLE_NAMES'),
(0,1,'Grupo Comissões',452,'ComissionGroupsWindow',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Descrição Curta',453,'ComissionGroupsShortDescription',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Descrição',454,'ComissionGroupsDescription',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Código',455,'ComissionGroupsCode',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Máximo Valor',456,'ComissionGroupsMaxValue',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Máximo Valor Venda',457,'ComissionGroupsMaxSaleValue',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Hora Início',458,'ComissionGroupsInitialTime',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Hora Fim',459,'ComissionGroupsEndTime',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Série',460,'ComissionGroupsZone',2,'SCREEN_CONFIG_COMISSIONGROUPS'),
(0,1,'Grupo Seleção Artigos',461,'ItemGroupSelectionWindow',2,'SCREEN_CONFIG_ITEMS_GROUP_SELECTION'),
(0,1,'Familias',462,'FamiliesWindow',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Descrição Curta',463,'FamiliesShortDescription',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Descrição',464,'FamiliesDescription',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Código',465,'FamiliesCode',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Impressora',466,'FamiliesPrintLocation',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'G.Comissão',467,'FamiliesComissionGroup',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Peso',468,'FamiliesReadFromScale',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Iva 1',469,'FamiliesTax1',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Iva 2',470,'FamiliesTax2',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço 1',471,'FamiliesPrice1',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço 2',472,'FamiliesPrice2',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço 3',473,'FamiliesPrice3',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço 4',474,'FamiliesPrice4',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço 5',475,'FamiliesPrice5',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço Custo',476,'FamiliesCostPrice',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Tipo Artigo',477,'FamiliesItemType',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Ordem Impressão',478,'FamiliesPrintingOrder',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Tempo Max Prep.',479,'FamiliesKdsMaxCookTime',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Tempo Médio Prep.',480,'FamiliesKdsAvgCookTime',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Pontos',481,'FamiliesSalesPoints',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço Variável',482,'FamiliesVariablePrice',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'IVA Defeito',483,'FamiliesDefaultTax',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Preço Defeito',484,'FamiliesDefaultSalesPrice',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Factor Conversão Peso',485,'FamiliesWeightConverstionFactor',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Config. Sistema',486,'SystemConfigWindow',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Desconto Defeito',487,'SystemConfigDefaultDiscount',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Código Loja',488,'SystemConfigShopCode',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Separador Moeda',489,'SystemConfigCurrencySeparator',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Nº Casa Decimais',490,'SystemConfigNumberDecimals',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Mensagem Visor',491,'SystemConfigScreenMessageToClient',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Iva Defeito',492,'SystemConfigDefaultTax',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Sigla Moeda',493,'SystemConfigCurrencySymbol',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Hora a que muda dia',494,'SystemConfigDayChangeTime',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Conversão Moeda Alternativa',495,'SystemConfigAlternativeCurrencyConverstion',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Valor Mínimo Factura',496,'SystemConfigInvoiceMinValue',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Jackpot',497,'SystemConfigJackpot',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Língua',498,'SystemConfigLanguage',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Permissões',499,'UserPermissionsWindow',2,'SCREEN_CONFIG_USER_PERMISSIONS'),
(0,1,'Descrição',500,'UserPermissionsDescription',2,'SCREEN_CONFIG_USER_PERMISSIONS'),
(0,1,'Código',501,'UserPermissionsCode',2,'SCREEN_CONFIG_USER_PERMISSIONS'),
(0,1,'Exclusões',502,'ExclusionsWindow',2,''),
(0,1,'Descrição',503,'ExclusionsDescription',2,''),
(0,1,'Código',504,'ExclusionsCode',2,''),
(0,1,'Descrição',505,'TerminalConfigurationDescription',2,''),
(0,1,'Código',506,'TerminalConfigurationCode',2,''),
(0,1,'Perfis',507,'TerminalConfigurationWindow',2,''),
(0,1,'Total',509,'OpenTablesTableTotal',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Procura Cartão',510,'OpenTablesTableSearch',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Procura Empregado',511,'OpenTablesSalesmanSearch',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Total Cartões',512,'OpenTablesTotal',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Empregado',513,'OpenTablesTableSalesman',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Eliminar',514,'OpenTablesBtnDeleteTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Imprimir',515,'OpenTablesBtnPrintTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Transf/ Produtos',516,'OpenTablesBtnTransferProducts',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Transf/ Empregado',517,'OpenTablesBtnTransferSaleman',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Abrir Cartão',518,'OpenTablesBtnOpenTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Nome Curto',519,'CustomerShortName',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Consulta Registos',520,'DailyJournalWindow',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Fechar',521,'AppClose',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Intervalo Horas',522,'DailyJournalTimeSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Número Cartão',523,'DailyJournalTableSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Intervalo Totais Cartão',524,'DailyJournalTotalSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Empregado',525,'DailyJournalSalesmanSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Documento',526,'DailyJournalDocSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Tipo Doc.',527,'DailyJournalDocTypeSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Intervalo Datas',528,'DailyJournalDateSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Total Factura',529,'DailyJournalInvoiceTotal',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Vendedor',530,'DailyJournalSalesman',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Número Doc.',531,'DailyJournalDocNumber',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Cartão',532,'DailyJournalTable',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Forma Pagamento',533,'DailyJournalPaymentType',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Cliente',534,'DailyJournalCostumer',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Imprimir Fatura',535,'DailyJournalBtnPrintInvoice',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Empréstimos',537,'CashDrawerLoanWindow',2,'SCREEN_CASHDRAWER_LOAN'),
(0,1,'Vendedor',538,'CashDrawerLoanSalesman',2,'SCREEN_CASHDRAWER_LOAN'),
(0,1,'Valor',539,'CashDrawerLoanValue',2,'SCREEN_CASHDRAWER_LOAN'),
(0,1,'Notas',540,'CashDrawerLoanNotes',2,'SCREEN_CASHDRAWER_LOAN'),
(0,1,'Vales',541,'CashDrawerBorrowWindow',2,'SCREEN_CASHDRAWER_BORROW'),
(0,1,'Vendedor',542,'CashDrawerBorrowSalesman',2,'SCREEN_CASHDRAWER_BORROW'),
(0,1,'Valor',543,'CashDrawerBorrowValue',2,'SCREEN_CASHDRAWER_BORROW'),
(0,1,'Notas',544,'CashDrawerBorrowNotes',2,'SCREEN_CASHDRAWER_BORROW'),
(0,1,'Pag. Conta Corrente',545,'CashDrawerBalanceSettlementWindow',2,'SCREEN_CASHDRAWER_BALANCESETTLEMENT'),
(0,1,'Cliente',546,'CashDrawerBalanceSettlementClient',2,'SCREEN_CASHDRAWER_BALANCESETTLEMENT'),
(0,1,'Valor',547,'CashDrawerBalanceSettlementValue',2,'SCREEN_CASHDRAWER_BALANCESETTLEMENT'),
(0,1,'Notas',548,'CashDrawerBalanceSettlementNotes',2,'SCREEN_CASHDRAWER_BALANCESETTLEMENT'),
(0,1,'Devoluções',549,'CashDrawerReturnWindow',2,'SCREEN_CASHDRAWER_RETURN'),
(0,1,'Valor',550,'CashDrawerReturnValue',2,'SCREEN_CASHDRAWER_RETURN'),
(0,1,'Notas',551,'CashDrawerReturnNotes',2,'SCREEN_CASHDRAWER_RETURN'),
(0,1,'Sangria',552,'CashDrawerBleedWindow',2,'SCREEN_CASHDRAWER_BLEED'),
(0,1,'Valor',553,'CashDrawerBleedValue',2,'SCREEN_CASHDRAWER_BLEED'),
(0,1,'Notas',554,'CashDrawerBleedNotes',2,'SCREEN_CASHDRAWER_BLEED'),
(0,1,'Compras',555,'CashDrawerPurchaseWindow',2,'SCREEN_CASHDRAWER_PURCHASE'),
(0,1,'Valor',556,'CashDrawerPurchaseValue',2,'SCREEN_CASHDRAWER_PURCHASE'),
(0,1,'Notas',557,'CashDrawerPurchaseNotes',2,'SCREEN_CASHDRAWER_PURCHASE'),
(0,1,'Cancel',558,'AppCancel',2,''),
(0,1,'Fecho Caixa',559,'CloseCashierWindow',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Fecho Dia',560,'CloseCashierBtnClose',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Abrir Caixa',561,'OpenCashierWindow',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Abrir Caixa',562,'OpenCashierBtnOpens',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Abertura Sessão',563,'OpenSessionWindow',2,'SCREEN_SESSION_OPEN'),
(0,1,'Abrir Sessão',564,'OpenSessionBtnOpens',2,'SCREEN_SESSION_OPEN'),
(0,1,'Fecho Sessão',565,'CloseSessionWindow',2,'SCREEN_SESSION_CLOSE'),
(0,1,'Fechar Sessão',566,'CloseSessionBtnClose',2,'SCREEN_SESSION_CLOSE'),
(0,1,'Imprimir Sessão',568,'PrintSessionBtnPrint',2,'SCREEN_SESSION_PRINT'),
(0,1,'Abrir Caixa',569,'OpenCashierBtnOpen',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Devoluções',570,'TableReturnWindow',2,'SCREEN_TABLE_RETURN'),
(0,1,'Descontos',571,'TableDiscountsWindow',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Divisão Conta',572,'TableCheckSplitWindow',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Transferência Produtos',573,'TableProductTransfWindow',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'%',574,'TableDiscountsLineDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor c/Desconto',575,'TableDiscountsLineDiscountValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor Original',576,'TableDiscountsLineOriValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor c/Desconto',577,'TableDiscountsLineDiscValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Desconto',578,'TableDiscountsLineDisc',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Desconto',579,'TableDiscountsDocDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor c/Desconto',580,'TableDiscountsDocDiscountValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor Original',581,'TableDiscountsDocOriValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Valor c/Desconto',582,'TableDiscountsDocDiscValue',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Desconto',583,'TableDiscountsDocDisc',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Divisão Conta',584,'TableCheckSplitWindow',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Total',585,'TableCheckSplitTotalCheck',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Total por Pagar',586,'TableCheckSplitTotalUnpaid',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Nº Contas',587,'TableCheckSplitPayersNum',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Montante Conta',588,'TableCheckSplitParcialAmmount',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Limite Conta',589,'TableCheckSplitParcialLimit',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'>',590,'AppRemOne',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'>>',591,'AppRemAll',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'<',592,'AppAddOne',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'<<',593,'AppAddAll',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Processo Automático',594,'TableCheckSplitBtnAutomatic',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Correção',595,'TableCheckSplitCorrection',2,'SCREEN_TABLE_CHECK_SPLIT'),
(0,1,'Transferência Produtos',596,'TableProductTransfWindow',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'Cartão Origem',597,'TableProductTransfTableFrom',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'Cartão Destino',598,'TableProductTransfTableTo',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'Nova Família',599,'FamiliesNewFamily',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Nova SubFamília',600,'FamiliesNewSubFamily',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Descrição',663,'UserProfilesDescription',2,'SCREEN_CONFIG_TABLE_NAMES'),
(0,1,'Código',664,'UserProfilesCode',2,'SCREEN_CONFIG_TABLE_NAMES'),
(0,1,'Geral',665,'ScreenMenuGeneral',2,'SCREEN_MENU'),
(0,1,'Técnico',666,'ScreenMenuTechnicial',2,'SCREEN_MENU'),
(0,1,'Sessões',667,'ScreenMenuSessions',2,'SCREEN_MENU'),
(0,1,'Caixas',668,'ScreenMenuCashDrawers',2,'SCREEN_MENU'),
(0,1,'Consultas',669,'ScreenMenuConsulting',2,'SCREEN_MENU'),
(0,1,'Verifica estado das impressoras',670,'check_printers_status',2,'GENERAL_CONFIG'),
(0,1,'Conversão da moeda',671,'currency_conversion',2,'GENERAL_CONFIG'),
(0,1,'Verifica cartões no fecho',672,'check_open_tables_on_close',2,'GENERAL_CONFIG'),
(0,1,'O Terminal deve usar a própria Base de Dados',673,'terminal_use_own_database',2,'GENERAL_CONFIG'),
(0,1,'Hora Início',674,'ProfileStartTime',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Hora Fim',675,'ProfileEndTime',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Preço',676,'ProfileSalesPrice',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Desconto (%)',677,'ProfileDiscountPercentage',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Terminais',678,'ProfileTerminals',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Séries',679,'ProfileZones',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Segunda-Feira',680,'ProfileMonday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Terça-Feira',681,'ProfileTuesday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Quarta-Feira',682,'ProfileWednesday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Quinta-feira',683,'ProfileThursday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Sexta-Feira',684,'ProfileFriday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Sábado',685,'ProfileSaturday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Domingo',686,'ProfileSunday',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Dispositivos',687,'DeviceManagerWindow',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Novo M.Dispositivo',688,'DeviceManagerButtonNewDeviceManager',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Novo Dispositivo',689,'DeviceManagerButtonNewDevice',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Código',690,'DeviceManagerCode',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Nome',691,'DeviceManagerName',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'IP',692,'DeviceManagerIP',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Porta',693,'DeviceManagerPort',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Terminal',694,'DeviceManagerTerminal',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Tipo Dispositivo',695,'DeviceManagerDeviceType',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Descrição',696,'DeviceManagerDeviceDescription',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Driver',697,'DeviceManagerDeviceDriver',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Porta',698,'DeviceManagerDevicePort',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Tipo Porta',699,'DeviceManagerPortType',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Nome',700,'DeviceManagerPortName',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Baud Rate',701,'DeviceManagerPortBaudRate',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Flow',702,'DeviceManagerPortFlow',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Bit',703,'DeviceManagerPortBit',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Stop',704,'DeviceManagerPortStop',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Parity',705,'DeviceManagerPortParity',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Impressoras',706,'PrintersWindow',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Cabeçalho',707,'PrintersHeaderType',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Detalhe',708,'PrintersDetailType',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Descrição',709,'PrintersDescription',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Código',710,'PrintersCode',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Perfis',711,'ProfileWindow',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Descrição',712,'ProfileDescription',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Código',713,'ProfileCode',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Terminais',714,'TerminalsWindow',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Descrição',715,'TerminalsDescription',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Código',716,'TerminalsCode',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Timeout',717,'TerminalsTimeout',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Preço',718,'TerminalsPrice',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Cartão',719,'TerminalsTable',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Caixa',720,'TerminalsCashDrawer',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Centro Custo',721,'TerminalsCostCenter',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Abertura de Gaveta',722,'ST_OPEN_DRAWER',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Impressão do Sub-Total no Pedido',723,'ST_PRINT_SUBTOTAL_ON_PLU_ORDER         ',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Ao fechar cartão, pedir e imprimir Sub-Total',724,'ST_ORDER_AND_PRINT_SUB_TOTAL_ON_CLOSE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Sub-Total Pequeno',725,'ST_SMALL_SUB_TOTAL',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Pedido de todas as cartões',726,'ST_ORDER_ALL_TABLES_AT_ONCE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Tem leitor de cartões',727,'ST_HAS_CARD_READER',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Imprimir Sub-Total no fecho de cartão',728,'ST_PRINT_SUB_TOTAL_ON_CLOSE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Empregado pode entrar em todas as cartões',729,'ST_SALESMAN_CAN_ENTER_ALL_TABLES',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Empregado controla um PLU',730,'ST_SALESMAN_OWNS_PLU',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Mostra nome Empregado nos botões das cartões',731,'ST_SHOW_SALESMAN_NAME',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Mostra artigos com a cor do Empregado',732,'ST_SHOW_PLUS_WITH_SALESMAN_COLOR',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Pedido Automático dos artigos',733,'ST_AUTO_ORDER_PLU',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Pedir na saída de cartão',734,'ST_ORDER_ON_TABLE_EXIT',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Desenha acumulado ao invés de pedir',735,'ST_DRAW_ACCUMULATE_INSTEAD_OF_ORDER',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Mostra acumulado',736,'ST_SHOW_ACCUMULATE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Pode fechar cartões',737,'ST_CAN_CLOSE_TABLES',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Entrada Automática',738,'ST_AUTO_COUVERT',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Modo Take-away',739,'ST_TAKE_AWAY_MODE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Artigo pertencente ao Empregado do fecho',740,'ST_PLU_OWNED_BY_CLOSING_SALESMAN',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Consumo Fixo',741,'ST_FIXED_CONSUMPTION',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Modo Cantina',742,'ST_CANTEEN_MODE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Lança Front End',743,'ST_PRINT_RECEIPT_DUPLICATE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,"Impressão do mapa de IVA\'s no recibo",744,'ST_PRINT_TAX_TABLE_IN_RECEIPT',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Apenas uma moeda',745,'ST_ONE_CURRENCY',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Modo Pub',746,'ST_PUB_MODE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Lança Device Manager',747,'ST_PRINT_A4_RECEIPT',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Forçar pedido no fecho de cartão',748,'ST_FORCE_ORDER_TO_EXIT_TABLE',2,'SALES_TERMINAL_PROPERTIES'),
(0,1,'Cabeçalhos Rodapés',749,'DocumentPartsWindow',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Descrição',750,'DocumentPartsDescription',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Código',751,'DocumentPartsCode',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Tipo',752,'DocumentPartsType',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'',753,'DocumentPartsContent',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Transfer cartão',754,'TableEditTransfer',2,'SCREEN_TABLE_EDIT'),
(0,1,'Procurar',755,'DailyJournalBtnSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Total:',756,'TableProductTransfTableFromAmmount',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'>>->>',757,'AppRemAllList',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'<<-<<',758,'AppAddAllList',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'',759,'DailyJournalTimeFromSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'',760,'DailyJournalTotalFromSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'',761,'DailyJournalDateFromSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'',762,'DailyJournalTimeToSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'',763,'DailyJournalDateToSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'',764,'DailyJournalTotalToSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Limpar',765,'DailyJournalBtnCleanFilters',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Intervalo Datas',766,'DailyJournalDateSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'QT:',767,'TableProductTransfQt',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'Intervalo Totais Cartão',768,'DailyJournalTotal',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Gorjeta',769,'TableCloseTip',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Critérios Filtragem',770,'DailyJournalSearchCaption',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Detalhes Documento',771,'DailyJournalDetailsCaption',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Imprimir Sub-Total',772,'DailyJournalBtnPrintSubTotal',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Valor desejado',773,'TableCloseTargetSalesValue',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Correcção',774,'TableCloseUseCorrectionItem',2,'SCREEN_TABLE_CLOSE'),
(0,1,'QT:',775,'TableCloseQt',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Pagamento parcial',776,'TableCloseBtPartial',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Contas múltiplas',777,'TableCloseBtMultiple',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Divisão automática',778,'TableCloseBtAutomaticSplit',2,'SCREEN_TABLE_CLOSE'),
(0,1,'+',779,'TableCloseBtAddPartial',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Conta única',780,'TableCloseBtCancelPartial',2,'SCREEN_TABLE_CLOSE'),
(0,1,'-',781,'TableCloseBtRemovePartial',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Tipo',782,'DocumentTypeType',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Cab. subtotais',783,'PrintersDocumentType0',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'Cab. pedidos',784,'PrintersDocumentType1',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'SubTotal',785,'DocTypeSubtotal',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Factura',786,'DocTypeInvoice',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Invoice Copy',787,'DocTypeInvoiceCopy',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Guia de Transporte',788,'DocTypeVoided',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Anulação Sem Desperdicio',789,'DocTypeRefundNoWaste',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Anulação Com Desperdicio',790,'DocTypeRefundWaste',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Recibo',791,'DocTypeReceipt',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Factura\\Recibo',792,'DocTypeFacReceipt',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Factura Não descriminada',793,'DocTypeNdesc',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Abertura de Caixa',794,'DocTypeOpenDrawer',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Declaração de Caixa',795,'DocTypeCashDeclare',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Movimento de Caixa',796,'DocTypeCashMovemet',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Consumo próprio',797,'DocTypeConsumo',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Conta corrente',798,'DocTypeContaCorrente',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Relatórios',799,'DocTypeReport',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Pedidos',800,'DocTypePedidos',2,'SCREEN_CONFIG_DOCUMENT_TYPES'),
(0,1,'Normal',801,'PaymentTypeNormal',2,'SCREEN_CONFIG_PAYMENT_TYPES'),
(0,1,'Dinheiro',802,'PaymenTypeCash',2,'SCREEN_CONFIG_PAYMENT_TYPES'),
(0,1,'Facturação externa',803,'PaymentTypeExternalBilling',2,'SCREEN_CONFIG_PAYMENT_TYPES'),
(0,1,'Conta corrente',804,'PaymentTypeChargeAccount',2,'SCREEN_CONFIG_PAYMENT_TYPES'),
(0,1,'Tipos pag.',805,'PaymentTypesTypes',2,'SCREEN_CONFIG_PAYMENTTYPES'),
(0,1,'Empregados',806,'ExclusionsSalesmanLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'Série',807,'ExclusionsZonesLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'Famílias',808,'ExclusionsFamiliesLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'SubFamílias',809,'ExclusionsSubFamiliesLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'Perfis',810,'ExclusionsProfilesLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'Não pode excluir todos os empregados!|Por favore seleccione pelo menos um empregado.',811,'ExclusionsMsgBox1',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'Exclusões',812,'ProfileExclusions',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Cartão',813,'TableCloseClientCardID',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Este produto está inactivo. ',814,'MSG_PRODUCT_NOTACTIVE',2,'MSGBOX'),
(0,1,'O último registo não pode ser eliminado.',815,'MSG_DELETE_LAST_ELEMENT_LIST',2,'MSGBOX'),
(0,1,'Ocorreu uma situação inesperada ao eliminar o registo. Por favor tente novamente.',816,'MSG_GENERAL_ERROR_ON_DELETE',2,'MSGBOX'),
(0,1,'Perguntar antes eliminar um registo',817,'ask_on_deletion',2,'GENERAL_CONFIG'),
(0,1,'Aviso|Tem a certeza que deseja eliminar o registo?',818,'MSG_ARE_U_SURE_DUDE',2,'MSGBOX'),
(0,1,'Aviso|Tem certeza que quer anular este documento?',819,'DailyJournalConfirmRefund',2,'MSGBOX'),
(0,1,'Aviso|Este documento já foi anulado!',820,'DailyJournalCantRefund',2,'MSG_BOX'),
(0,1,'Erro|Não foi possível guardar alterações ao documento!',821,'Generic',2,'MSG_BOX'),
(0,1,'Estado',822,'DailyJournalDocumentState',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Normal',823,'DailyJournalDocumentStateString',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Anulado',824,'DailyJournalDocumentStateString',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Todos',825,'Generic',2,'GENERIC'),
(0,1,'Esta impressora não pode ser apagada',826,'PrinterLocationsWarning',2,'PRINTER_MAPS'),
(0,1,'Default',827,'DropBoxText',2,'DEFAULT_TEXT'),
(0,1,'Erro ao gravar a entidade.',828,'MSG_ENTITY_SAVE',2,'MSGBOX'),
(0,1,'Erro ao adicionar a entidade ',829,'MSG_ENTITY_ADD',2,'MSGBOX'),
(0,1,'Erro ao atualizar a entidade ',830,'MSG_ENTITY_UPDATE',2,'MSGBOX'),
(0,1,'Erro ao ler a entidade ',831,'MSG_ENTITY_LOAD',2,'MSGBOX'),
(0,1,'Não foi possível fechar o cartão!',832,'MSG_TABLE_CLOSE_FAILED',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Não existem artigos no cartão!',833,'MSG_TABLE_EDIT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não pode efectuar esta operação|Este documento já foi anulado',834,'MSG_DAILY_JOURNAL',2,'SCREEN_DAILY_JOURNAL'),
(0,1,'Aviso!|Este parcial tem artigos\\nQuer transferi-los para o cartão de origem?',835,'MSG_TABLE_CLOSE',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Aviso!|Tem que ter pelo menos um parcial!',836,'MSG_TABLE_CLOSE',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Sem exclusões',837,'ProfilesExclusionDropBox',2,'SCREEN_CONFIG_ESCLUSIONS'),
(0,1,'IVA1',838,'ItemTaxIndex0',2,'SCREEN_CONFIG_ZONES'),
(0,1,'IVA2',839,'ItemTaxIndex1',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Aviso|Não possui permissão para aceder a esta funcionalidade.',842,'MSG_PERMISSION_DENIED',2,'MSGBOX'),
(0,1,'Licenciamento',843,'LicencesWindow',2,'SCREEN_LICENCES'),
(0,1,'Continuar',844,'BtnContinue1',2,'SCREEN_LICENCES'),
(0,1,'Cancelar',845,'BtnCancel',2,'SCREEN_LICENCES'),
(0,1,'Utilizador',846,'LicencesUser',2,'SCREEN_LICENCES'),
(0,1,'Continuar',847,'BtnContinue2',2,'SCREEN_LICENCES'),
(0,1,'Voltar',848,'BtnBack',2,'SCREEN_LICENCES'),
(0,1,'Senha',849,'LicencesPwd',2,''),
(0,1,'Ficheiro de licenciamento',850,'LicencesFile',2,''),
(0,1,'Gerar SAFT',851,'CloseCashierBtnSaft',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'O artigo não pode ser adicionado. Já atingiu o seu limite máximo de venda.',852,'MsgBoxTableEditCantAddMore',2,'SCREEN_TABLE_EDIT'),
(0,1,'Indique o valor desejado|',854,'MsgBoxAskPrice',2,'SCREEN_TABLE_EDIT'),
(0,1,'Data Fecho Dia',855,'CloseCashierDayClose',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'',856,'CloseCashierDay',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'',857,'CloseCashierMonth',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'',858,'CloseCashierYear',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Aviso|Não possui permissões para aceder a cartões de outros empregados.',859,NULL,2,NULL),
(0,1,'Filtro',860,'ItemFilters',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'TerminalsC',861,'TerminalsC',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Gaveta',862,'TerminalsCDDevice',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Normal',863,'DocStatusNormal',2,NULL),
(0,1,'Anulado',864,'DocStatusAnulate',2,NULL),
(0,1,'Estado',865,'DailyJournalStatusSearch',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Tipo',866,'DailyJournalDocumentType',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Empregado',867,'OpenTablesSalesman',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Sub-Total',868,'OpenTablesBtnSubTotal',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Transferir Artigos',869,'OpenTablesBtnProdutTransfer',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Fechar Cartão',870,'OpenTablesBtnCloseTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Limpar Cartão',871,'OpenTablesBtnCleanTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Fechar Cartões',872,'OpenTablesBtnCloseAllTables',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Erro|Não tem permissão para anular artigos',873,'DailyJournalRefundMessageBox',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Aviso|O cartão de destino não pode ser o cartão de origem!\\nPor favor seleccione outro cartão.',874,'TransferMsgBox',2,'SCREEN_PRODUCT_TRANSFER'),
(0,1,'Aviso|Este artigo não se encontra activo!',876,'TableEditMsgBoxCanAddItem',2,'SCREEN_TABLE_EDIT'),
(0,1,'Aviso|As formas de pagamento devem ser maiores que o total dos artigos!',877,'TableCloseMessageBOx',2,'SCREEN_TABLE_CLOSE'),
(0,1,'',878,'CloseCashierSaftDay',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'',879,'CloseCashierSaftMonth',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'',880,'CloseCashierSaftYear',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Aviso|Pretende transferir este(s) cartão(s) para ',881,'OpenTablesMsgBox',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Transfere Cartões',882,'OpenTablesBtnTransferTable',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Abertura',883,'OpenTablesOpenTime',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Actividade',884,'OpenTablesLastActivity',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Erro|Não foi possível guardar alterações ao cartão!',885,'OpenTablesErrorMsgBox',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Aviso|Pretende transferir todas as cartões?',886,'OoenTablesMessageBox2',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Relatórios',887,'ReportsWindow',2,'SCREEN_REPORTS'),
(0,1,'Data',888,'ReportSingleDate',2,'SCREEN_REPORTS'),
(0,1,'Empregado',889,'ReportSalesman',2,'SCREEN_REPORTS'),
(0,1,'Imprimir',890,'ReportBtnPrint',2,'SCREEN_REPORTS'),
(0,1,'',891,'ReportPreview',2,'SCREEN_REPORTS'),
(0,1,'Pré-visualizar',892,'ReportBtnPreview',2,'SCREEN_REPORTS'),
(0,1,'Modo Utilização',893,'ReportHint',2,'SCREEN_REPORTS'),
(0,1,'Nº1º do D.L.N346/85 de 23 de Agosto',894,'MSG_IVATABACO',2,'MSG INSENÇAO'),
(0,1,'',895,'ReportsDay',2,'SCREEN_REPORTS'),
(0,1,'',896,'ReportsMonth',2,'SCREEN_REPORTS'),
(0,1,'',897,'ReportsYear',2,'SCREEN_REPORTS'),
(0,1,'Desconto de linha',898,'TableDiscountsLblLinel',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Reset',899,'TableDiscountsTableReset',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Desconto Todas Linhas',900,'TableDiscountsLblHeader',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'',901,'TableDiscountsLineQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'-',902,'TableDiscountsDecrementLineQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'+',903,'TableDiscountsIncrementLineQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'- 1%',904,'TableDiscountsDecrementLineDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'+ 1%',905,'TableDiscountsIncrementLineDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'0%',906,'TableDiscountsLineDiscount1',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'5%',907,'TableDiscountsLineDiscount2',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'10%',908,'TableDiscountsLineDiscount3',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'25%',909,'TableDiscountsLineDiscount4',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'50%',910,'TableDiscountsLineDiscount5',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,' ',911,'TableDiscountsHeaderQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'-',912,'TableDiscountsDecrementHeaderQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'+',913,'TableDiscountsIncrementHeaderQt',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'',914,'TableDiscountsHeaderDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'- 1%',915,'TableDiscountsDecrementHeaderDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'+ 1%',916,'TableDiscountsIncrementHeaderDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'0%',917,'TableDiscountsHeaderDiscount1',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'5%',918,'TableDiscountsHeaderDiscount2',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'10%',919,'TableDiscountsHeaderDiscount3',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'25%',920,'TableDiscountsHeaderDiscount4',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'50%',921,'TableDiscountsHeaderDiscount5',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Total c/ desconto',922,'TableDiscountsTotalWithDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Total s/ desconto',923,'TableDiscountsTotalWithoutDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Total Desconto',924,'TableDiscountsTotalDiscount',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Caixa',925,'OpenSessionCashDrawers',2,'SCREEN_SESSION_OPEN'),
(0,1,'Fundo maneio',926,'OpenSessionWorkingFund',2,'SCREEN_SESSION_OPEN'),
(0,1,'Sessões Abertas',928,NULL,2,'SCREEN_SESSION_CLOSE'),
(0,1,'Abertura Caixa',929,'CashDrawerOpenWindow',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Abrir Caixa',930,'CashDrawerOpenBtnOpens',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Fundo Maneio',931,'CashDrawerOpenWorkingFund',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Fechar Caixa',932,'CashDrawerCloseWindow',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Gerar Saft',933,'CashDrawerCloseBtnSaft',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',934,'CashDrawerCloseDay',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',935,'CashDrawerCloseMonth',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',936,'CashDrawerCloseYear',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',937,'CashDrawerCloseSaftDay',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',938,'CashDrawerCloseSaftMonth',2,'SCREEN_CASHIER_CLOSE'),
(0,1,' ',939,'CashDrawerCloseSaftYear',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Fechar Caixa',940,'CashDrawerCloseBtnClose',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Fundo',941,'CashDrawerCloseFund',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Fechar Caixa',942,' ',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Saft',944,'DayCloseWindow',2,'SCREEN_DAY_CLOSE'),
(0,1,'Saft',943,'DayCloseCaption',2,'SCREEN_DAY_CLOSE'),
(0,1,'Valor',945,'CashDrawerCloseSelectedValue',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Total Caixa',946,'CashDrawerCloseTotal',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Move Baixo',947,'FamiliesOrderDown',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Move Cima',948,'FamiliesOrderUp',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Nova Família',949,'FamiliesNewItemFamily',2,'SCREEN_CONFIG_FAMILIES'),
(0,1,'Aviso|Pretende mudar para o perfil ',950,'ProfileChange',2,'SCREEN_TABLE_EDIT'),
(0,1,'Aviso|O perfil actual expirou!\\n\\nPretende manter o perfil [1] (não) ou mudar para [2](sim)?',951,'ProfileChange',2,'SCREEN_TABLE_EDIT'),
(0,1,'Perfis',952,'ProfilesOpenWindow',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Activar Perfil',953,'ProfilesManagement',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Aviso|Tem a certeza que quer activar o perfil ',954,'ProfilesManagement',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Aviso|Tem a certeza que quer desactivar o perfil ',955,'ProfilesManagement',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Aviso|O perfil activo para as configurações actuais mudou. Quer activar o perfil ',956,'Profiles',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Empregados',957,'ExclusionsCustomersLabel',2,'SCREEN_CONFIG_EXCLUSIONS'),
(0,1,'AppBacks',958,'AppBacks',2,'SCREEN_DAY_CLOSE'),
(0,1,'Aviso|Não pode ter artigos com nome vazio!',959,'CallbackNoItemName',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Substituir dados em falta por \'omisso\'',960,'CashDrawerCloseBtnGerarOmissos',2,'SCREEN_DAY_CLOSE'),
(0,1,'Aviso|Este cabeçalho/rodapé está a ser usado!\\nPor favor altere os tipos de documento que o usam para poder elimina-lo!',961,'Docpart removal check',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Aviso|Deseja sair da aplicação?',964,'',2,NULL),
(0,1,'Aviso|Deseja sair da aplicação?',962,'',2,NULL),
(0,1,'Sair App',963,NULL,2,NULL),
(0,1,'Fecho Dia',965,NULL,2,NULL),
(0,1,'>>',966,'AppNextSymbol',2,'SCREEN_TABLE_EDIT'),
(0,1,'<<',967,'AppPreviousSymbol',2,'SCREEN_TABLE_EDIT'),
(0,1,'Aviso|Funcionalidade ainda não implementada.',968,'App',2,NULL),
(0,1,'Preços',969,'TableEditPriceChange',2,'SCREEN_TABLE_EDIT'),
(0,1,'Histórico',970,'TableEditHistoric',2,'SCREEN_TABLE_EDIT'),
(0,1,'Acumular Cartões',971,'TableEditJoinTables',2,'SCREEN_TABLE_EDIT'),
(0,1,' ',972,'ItemSubFamilySearch',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Ajuda',973,'DocumentPartsHints',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Não foi possível gravar mapa da série',974,'ZoneErrorStr',2,'ZoneSave'),
(0,1,'Não foi possível gravar as propriedades da série',975,'ZoneErrorStr',2,'ZoneSave'),
(0,1,'Não foi possível gravar série',976,'ZoneErrorStr',2,'ZoneSave'),
(0,1,'Não foi possível guardar nova entidade',977,'GenericSaveError',2,'SaveError'),
(0,1,'Não foi possível guardar as modificações feitas à entidade',978,'GenericSaveError',2,'SaveError'),
(0,1,'Não foi possível carregar entidade',979,'GenericLoadError',2,'LoadError'),
(0,1,'Não foi possível carregar séries',980,'ZoneLoadError',2,'ZoneLoad'),
(0,1,'erro ao carregar as propriedades',981,'ZoneLoadError',2,'ZoneLoad'),
(0,1,'erro ao carregar os mapas',982,'ZoneLoadError',2,'ZoneLoad'),
(0,1,'Não foi possível carregar a série pretendida',983,'ZoneLoadError',2,'ZoneLoad'),
(0,1,'Não foi possível gravar Configuração Geral',984,'GeneralConfigZSaveError',2,'GeneralConfigSave'),
(0,1,'DELETE não executado',985,'GenericDeleteError',2,'Generic'),
(0,1,'NIF',987,'NewClientNIF',2,''),
(0,1,'Nome',988,'NewClientName',2,''),
(0,1,'Localidade',989,'NewClientLocality',2,''),
(0,1,'Erro|Não foi possível efectuar a ligação à base de dados!\\nNão é possível continuar!',990,'DatabaseConnectError',2,'PreDesktopError'),
(0,1,'Erro|Não existe configuração para este posto',991,'NoConfigurationError',2,'PreDesktopError'),
(0,1,'Erro|Tem que ter uma licença válida no servidor para licenciar este posto',992,'NoLicenseError',2,'PreDesktopError'),
(0,1,'Ocorreram erros ao carregar a tabela ',993,'DatabaseLoadError',2,'PreDesktopError'),
(0,1,'Não foi possível carregar o cartão:',994,'LoadTable',2,'ScreenTableEdit'),
(0,1,'',995,'ReportsDay2',2,'SCREEN_REPORTS'),
(0,1,'',996,'ReportsMonth2',2,'SCREEN_REPORTS'),
(0,1,'',997,'ReportsYear2',2,'SCREEN_REPORTS'),
(0,1,'Produto',998,'ReportsItemName',2,'SCREEN_REPORTS'),
(0,1,'Guarda registos na base de dados do posto',999,'SalesTerminalPropertyString',2,''),
(0,1,'Socket',1000,'DeviceManagerDeviceTextSocket',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'IP',1001,'DeviceManagerDeviceTextIP',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Nome',1002,'DeviceManagerDeviceTextName',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'DeviceManagerDeviceName',1003,'DeviceManagerDeviceName',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Nome Cartão',1004,'TableNamesTableName',2,'SCREEN_TABLE_NAMES'),
(0,1,'Séries',1005,'TableNamesZones',2,'SCREEN_TABLE_NAMES'),
(0,1,'Terminal',1007,'CashDrawerOpenTerminal',2,'SCREEN_CASHIER_OPEN'),
(0,1,'Comandos rádio',1008,'TecConfigOption',2,'SCREEN_CONFIG'),
(0,1,'Terminais rádio',1009,'RadioTerminalsWindow',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Porta Série em uso:',1010,'RadioTerminalsSerial',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Configuração activa:',1011,'RadioTerminalsConfig',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Estas operações só estão disponíveis em terminais que tenham antenas rádio X64',1012,'RadioTerminalsComments',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Enviar PLUs',1013,'RadioTerminalsSendPlus',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Enviar string',1014,'RadioTerminalsSendMenus',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Enviar formas pag.',1015,'RadioTerminalsSendPaymentTypes',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Enviar config. do comando',1016,'RadioTerminalsSendConfig',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Pede pessoas',1017,'RadioTerminalsAskPpl',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Pede met. pag.',1018,'RadioTerminalsAskPaymentTypes',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Iluminação',1019,'RadioTerminalsLight',2,'SCREEN_CONFIG_RADIO_TERMINALS'),
(0,1,'Eliminar Licença',1020,'LicencesDelete',2,'SCREEN_CONFIG_LICENCE'),
(0,1,'Dados Licença',1021,'LicencesDetail',2,'SCREEN_CONFIG_LICENCE'),
(0,1,' ',1023,'MovementsPrintTimeFromSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,' ',1024,'MovementsPrintTotalFromSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,' ',1025,'MovementsPrintDateFromSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Empregado',1026,'MovementsPrintSalesman',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Procurar',1027,'MovementsPrintBtnSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,' ',1028,'MovementsPrintTimeToSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,' ',1029,'MovementsPrintDateToSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,' ',1030,'MovementsPrintTotalToSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Intervalo Horas',1031,'MovementsPrintTimeSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Intervalo Datas',1032,'MovementsPrintDateSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Intervalo Totais',1033,'MovementsPrintTotalCaption',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Limpar',1034,'MovementsPrintBtnCleanFilters',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Detalhes',1035,'MovementsPrintDetailsCaption',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Imprimir',1036,'MovementsPrintBtnPrint',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Empregado',1037,'MovementsPrintSalesmanSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Tipo Movimento',1038,'MovementsPrintMovementTypeSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Critérios Pesquisa',1039,'MovementsPrintSearchCaption',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Tipo Mov.',1040,'MovementsPrintMovementType',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Data/Hora',1041,'MovementsPrintDatetime',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Valor',1042,'MovementsPrintValue',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Caixas',1043,'MovementsPrintCasdrawerSearch',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Descrição',1044,'MovementsPrintDescription',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Caixa',1045,'MovementsPrintCashDrawer',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Novo Movimento',1046,'ScreenMovementsWindow',2,'SCREEN_MOVEMENTS'),
(0,1,'Descritivo',1047,'ScreenMovementsDescription',2,'SCREEN_MOVEMENTS'),
(0,1,'Valor',1048,'ScreenMovementsValue',2,'SCREEN_MOVEMENTS'),
(0,1,'Movimento',1049,'ScreenMovementsMovType',2,'SCREEN_MOVEMENTS'),
(0,1,'Empregado',1050,'ScreenMovementsSalesman',2,'SCREEN_MOVEMENTS'),
(0,1,'Cliente',1051,'ScreenMovementsClientName',2,'SCREEN_MOVEMENTS'),
(0,1,'115 Vendas - Descontos',1052,NULL,2,'TABLE EDIT'),
(0,1,'116 Vendas - Fecha Cartões Abertos ( consulta)',1053,NULL,2,'OPENTABLES'),
(0,1,'Pagamento CC',1055,'CustomerAccountWindow',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Saldo',1056,'CustomerAccountBalance',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Pagar',1057,'CustomerAccountBthPay',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'A Pagar',1058,'CustomerAccountPayable',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Cliente',1059,'CustomerAccountClientName',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'214 Sessões - Perfis',1072,'PERM_SESSIONS_PROFILES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'213 Sessões - SAFT',1071,'PERM_SESSIONS_SAFT',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'212 Sessões - Relatórios',1070,'PERM_SESSIONS_REPORTS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'210 Sessões - Consulta Registos',1068,'PERM_SESSIONS_DAILY_JOURNAL',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'209 Sessões - Fecho Dia',1067,'PERM_SESSIONS_CLOSE_DAY',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'207 Sessões - Pagamento Conta Corrente',1065,'PERM_SESSIONS_CC',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,22,'206 Sessões - Saídas Caixa',1064,'PERM_SESSIONS_CASHDRAWER_OUT',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'205 Sessões - Entradas Caixa',1063,'PERM_SESSIONS_CASHDRAWER_IN',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'204 Sessões - Fechar Caixa',1062,'PERM_SESSIONS_CLOSE_CASHDRAWER',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'412 Técnico - Licenciamento',1061,'PERM_CONFIG_TEC_LICENCE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'411 Técnico - Terminais Rádio',1060,'PERM_CONFIG_TEC_RADIO_TERMINALS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',1054,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'113 Vendas - Acumula Cartoes',1006,'PERM_SALESMAN_ACUMULATE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'410 Técnico - Pode abrir/fechar sessões de outros',927,'PERM_CAN_MANAGE_OTHERS_SESSIONS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',875,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'409 Técnico - Cabeçalhos/Rodapés',841,'PERM_CONFIG_TEC_DOC_PARTS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'408 Técnico - Permissões',840,'PERM_CONFIG_TEC_SALESMAN_LEVEL',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'113 Vendas - Faz pedidos 2',662,'PERM_SALESMAN_TESTE_1',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',661,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',660,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',659,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',658,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',657,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',656,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',655,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',654,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',653,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'501 Report - Fecho Caixa',652,'PERM_REPORTS_CASHDRAWERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',651,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',650,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'407 Técnico - Linguagens',649,'PERM_CONFIG_TEC_LANGUAGES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'406 Técnico - Impressoras',648,'PERM_CONFIG_TEC_PRINT_ZONES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'405 Técnico - Dispositivos',647,'PERM_CONFIG_TEC_HARDWARE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'404 Técnico - Terminais',646,'PERM_CONFIG_TEC_TERMINALS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'403 Técnico - Exclusões',645,'PERM_CONFIG_TEC_EXCLUSIONS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'402 Técnico - Sistema',644,'PERM_CONFIG_TEC_SYSTEM',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'401 Técnico - Tipos Documento',643,'PERM_CONFIG_TEC_DOC_TYPES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'400 Técnico - Perfis',642,'PERM_CONFIG_TEC_PROFILES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'321 Config - Edição Nomes Cartões',641,'PERM_CONFIG_EDIT_TABLE_NAMES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'320 Config - Ver Nomes Cartões',640,'PERM_CONFIG_SEE_TABLE_NAMES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use',639,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'not in use ',638,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'319 Config - Edição Grupos Clientes',637,'PERM_CONFIG_EDIT_CUSTOMER_GROUPS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'318 Config - Ver Grupos Clientes',636,'PERM_CONFIG_SEE_CUSTOMER_GROUPS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'317 Config - Edição Caixas',635,'PERM_CONFIG_EDIT_CASHDRAWERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'316 Config - Ver Caixas',634,'PERM_CONFIG_SEE_CASHDRAWERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'315 Config - Edição Taxas IVA',633,'PERM_CONFIG_EDIT_TAXES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'314 Config - Ver Taxas IVA',632,'PERM_CONFIG_SEE_TAXES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'313 Config - Edição Clientes',631,'PERM_CONFIG_EDIT_CUSTOMERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'312 Config - Ver Clientes',630,'PERM_CONFIG_SEE_CUSTOMERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'311 Config - Edição Séries',629,'PERM_CONFIG_EDIT_ZONES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'310 Config - Ver Séries',628,'PERM_CONFIG_SEE_ZONES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'309 Config - Edição Formas Pagamento',627,'PERM_CONFIG_EDIT_PAYMENT_TYPES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'308 Config - Ver Formas Pagamento',626,'PERM_CONFIG_SEE_PAYMENT_TYPES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'AVAILABLE FOR USE',625,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'AVAILABLE FOR USE',624,NULL,2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'303 Config - Edição Empregados',621,'PERM_PERM_CONFIG_EDIT_SALESMANS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'302 Config - Ver Empregados',620,'PERM_CONFIG_SEE_SALESMANS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'301 Config - Edição Artigos',619,'PERM_CONFIG_EDIT_ITEMS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'300 Config - Ver Artigos',618,'PERM_CONFIG_SEE_ITEMS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'203 Sessões - Abrir Caixa',617,'PERM_SESSIONS_OPEN_CASHDRAWER',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'202 Sessões - Sair App',616,'PERM_SESSIONS_CLOSE_APP',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'201 Sessões - Sessões Abertas',615,'PERM_SESSIONS_CLOSE_SESSION',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'200 Sessões - Abertura Sessão',614,'PERM_SESSIONS_OPEN_SESSION',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'112 Vendas - Faz pedidos',613,'PERM_SALESMAN_CAN_ORDER',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'111 Vendas - Venda acima do limite maximo',612,'PERM_SALESMAN_ABOVE_LIMIT',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'110 Vendas - Altera preço',611,'PERM_SALESMAN_CAN_CHANGE_PRICE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'109 Vendas - Fecha contas',610,'PERM_SALESMAN_CAN_CLOSE_TABLE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'108 Vendas - Consulta registos',609,'PERM_SALESMAN_CAN_ACCESS_HISTORY',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'107 Vendas - Factura múltipla e parcial',608,'PERM_SALESMAN_MULTIPLE_PARCIAL_RECEIPT',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'106 Vendas - Transferencias',607,'PERM_SALESMAN_CAN_TRANSFER_ITEMS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'105 Vendas - Imprime apenas 1 subtotal',606,'PERM_SALESMAN_CAN_ONLY_PRINT_ONE_SUBTOTAL',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'104 Vendas -  Devoluções',605,'PERM_SALESMAN_CAN_REFUND',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'103 Vendas - Anulações',604,'PERM_SALESMAN_CAN_VOID_ORDERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'102 Vendas - Cancela Pedidos',603,'PERM_SALESMAN_CAN_CANCEL_ORDERS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'101 Vendas - Abre Gaveta',602,'PERM_SALESMAN_CAN_OPEN_DRAWER',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'100 Vendas - Entra nos cartões de outros',601,'PERM_SALESMAN_CAN_ENTER_OTHERS_TABLES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Imprimir Apuramento Caixa',1073,'CashDrawerCloseBtnMovements',2,'SCREEN_CASHIER_CLOSE'),
(0,1,'Usar própria base de dados',1074,'ProfileOwnDatabase',2,'SCREEN_CONFIG_PROFILES'),
(0,1,'Este posto nao pode fechar cartoes',1075,'RadioMsg',2,'RadioMsg'),
(0,1,'Nao tem permissao para fechar cartoes',1076,'RadioMsg',2,'RadioMsg'),
(0,1,'Nao tem permissao para abrir gaveta!',1077,'RadioMsg',2,'RadioMsg'),
(0,1,'Aviso|O cartão por defeito está fora do intervalo de cartões',1078,'DEFAULT_TABLE',2,'SCREEN_CONFIG_SALESMAN'),
(0,1,'100%',1079,'TableDiscountsLineDiscount6',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'100%',1080,'TableDiscountsHeaderDiscount6',2,'SCREEN_TABLE_DISCOUNTS'),
(0,1,'Aviso|O perfil do radio actual expirou!\\n\\nPretende manter o perfil [1] (não), ou mudar para [2]( sim)?',1081,'RadioProfileMsg',2,'PROFILE_SELECTION'),
(0,1,'nenhum',1082,'RadioProfileMsg',2,'PROFILE_SELECTION'),
(0,1,'Erro de impressão|Não foi possível imprimir [Erro: %d]\\n\\nQuer tentar outra vez?',1083,'PrintError',2,'MSG_BOX_STRING'),
(0,1,'Erro de impressão|Não foi possÍvel reimprimir\\n\\nQuer ignorar este erro e não tentar imprimir mais para esta impressora?\\n',1084,'PrintErrorMsg',2,'MSG_BOX_STRING'),
(0,1,'Aviso|Este código já está a ser usado por %s!\n\nUm novo código foi sugerido.',1085,'InvalidPluMsg',2,'MSG_BOX_STRING'),
(0,1,'Aviso|Por favor seleccione um cliente.',1086,'Msg',2,'MSG_BOX_STRING'),
(0,1,'Aviso|Possuindo pelo menos um documento seleccionado, o total a pagar deverá ser igual ao somatórios dos documentos seleccionados.',1087,'Msg',2,'MSG_BOX_STRING'),
(0,1,"Erro ao atualizar o movimento de caixa no tendertenders com o UID \'%i\' da TransactionUID \'%i\'",1088,'Msg',2,'MSG_BOX_STRING'),
(0,1,'Erro ao gravar o movimento de credito.',1089,'Msg',2,'MSG_BOX_STRING'),
(0,1,'Eventual',1090,'EventualName',2,'CUSTOMER_SCREEN'),
(0,1,'Foi encontrado um problema ao ler a entidade: ',1091,'LOAD_ERROR_MSG',2,'LOAD_ERROR'),
(0,1,"Não se pode alterar o NIF ao cliente \'%s\' por já ter vendas associadas.",1092,'CUSTOMER_ERROR',2,'CUSTOMER_ERROR'),
(0,1,"O NIF é um campo obrigatório. Cliente \'%s\'.",1093,'CUSTOMER_ERROR',2,'CUSTOMER_ERROR'),
(0,1,"O callback \'%i\' não é válido!",1094,'INVALID_CALLBACK',2,'INVALID_CALLBACK_MSG'),
(0,1,'Cliente',1095,'ClientGroupsClientName',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Factura ao Grupo',1096,'ClientGroupsInvoices',2,'SCREEN_CONFIG_CLIENTGROUPS'),
(0,1,'Aviso|A caixa associada a este terminal ainda nao foi aberta.',1098,'CashDrawerWarning',2,'CASH_DRAWER_MSG'),
(0,1,'Aviso|Já existe um cliente com este NIF - %s',1099,'CustomerNIFWarning',2,'CUSTOMER_MSGBOX_STRING'),
(0,1,'Activa perfis automaticamente',1102,'ProfileChange',2,'SCREEN_TERMINAL_CONFIG'),
(0,1,'Configuração Menus',1104,'ItemMenuConfigWindow',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Famíla',1105,'ItemMenuConfigFamilyFilter',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Procurar',1106,'ItemMenuConfigSearch',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Preço',1107,'ItemMenuConfigItemPrice',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Limpar Nível',1108,'ItemMenuConfigCleanMenu',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Descrição',1109,'ItemMenuConfigItemDescription',2,'SCREEN_ITEM_MENU_CONFIG'),
(0,1,'Selecção Menu',1110,'ItemMenuSelectionWindow',2,'SCREEN_ITEM_MENU_SELECTION'),
(0,1,'Próximo >',1111,'ItemMenuSelectionNext',2,'SCREEN_ITEM_MENU_SELECTION'),
(0,1,' ',1112,'ItemMenuSelectionDescription',2,'SCREEN_ITEM_MENU_SELECTION'),
(0,1,'Finalizar',1113,'ItemMenuSelectionFinalize',2,'SCREEN_ITEM_MENU_SELECTION'),
(0,1,'< Anterior',1114,'ItemMenuSelectionPrevious',2,'SCREEN_ITEM_MENU_SELECTION'),
(0,1,'Ordem de visualização',1115,'ItemDisplayOrder',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Identifique o cliente',1116,'PromptCustomerWindow',2,'SCREEN_PROMPT_CUSTOMER'),
(0,1,'- NOTUSED - ',1117,'CustomerNIF',2,'SCREEN_PROMPT_CUSTOMER'),
(0,1,'- NOTUSED - ',1118,'CustomerNIF',2,'SCREEN_PROMPT_CUSTOMER'),
(0,1,'Histórico',1119,'LastDetails',2,'SCREEN_PROMPT_CUSTOMER'),
(0,1,'Seleccione empregado para transferir cartões',1120,'TransferText',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Perfis de Terminais Radio',1101,'ProfilesOpenRadioTerminals',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Perfis de Posto',1100,'ProfilesOpenRadioTerminals',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Telefone',1121,'FilterTextBox',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Morada',1122,'Detail2',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Nome',1123,'Detail1',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,' ',1124,'RecordDate1',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,' ',1125,'RecordDate2',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,' ',1126,'RecordDate3',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Copia cartão',1127,'CopyDetails1',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Copia cartão',1128,'CopyDetails2',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Copia cartão',1129,'CopyDetails3',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Seleccione cliente para delivery',1130,'IPromptDeliveryCustomerWindow',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Cod. Postal',1131,'Detail3',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Localidade',1132,'Detail4',2,'SCREEN_PROMPT_DELIVERY_CUSTOMER'),
(0,1,'Morada 1',1133,'NewClientAddress1',2,'SCREEN_NEW_CLIENT'),
(0,1,'Morada 2',1134,'NewClientAddress2',2,'SCREEN_NEW_CLIENT'),
(0,1,'Cod. Postal',1135,'NewClientPostalCode',2,'SCREEN_NEW_CLIENT'),
(0,1,'Telefone',1136,'NewClientMobile',2,'SCREEN_NEW_CLIENT'),
(0,1,'Ecrâ por defeito',1139,'SalesmanDefaulScreen',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Identifique o cartão',1140,'lblActivationText',2,'SCREEN_CARD_ACTIVATION'),
(0,1,'Código do cartão',1141,'InputTableCode',2,'SCREEN_CARD_ACTIVATION'),
(0,1,'Activação de cartões',1142,'ScreenActivateCard',2,'SCREEN_CARD_ACTIVATION'),
(0,1,'Porta',1143,'ScreenCardExit',2,'SCREEN_CARD_EXIT'),
(0,1,'411 Técnico - Terminais Rádio',1150,'PERM_CONFIG_TEC_RADIO',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'412 Técnico - Licenciamento',1151,'PERM_CONFIG_TEC_LICENSES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Escolha um cartão',1155,'TableKeyboard',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'1',1156,'1',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'2',1157,'2',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'3',1158,'3',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'4',1159,'4',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'5',1160,'5',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'6',1161,'6',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'7',1162,'7',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'8',1163,'8',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'9',1164,'9',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'0',1165,'0',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'C',1166,'C',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'Cartão',1167,'TableCode',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'OK',1168,'OK',2,'SCREEN_TABLE_KEYBOARD'),
(0,1,'Selecção de cartões',1169,'SCREEN_NAME',2,'SCREEN_NAME'),
(0,1,'Cartões/Porta entrada',1170,'SCREEN_NAME',2,'SCREEN_NAME'),
(0,1,'Cartões/Porta saída',1171,'SCREEN_NAME',2,'SCREEN_NAME'),
(0,1,'Teclado sel. cartões',1172,'SCREEN_NAME',2,'SCREEN_NAME'),
(0,1,'Usar mapa de cartões',399,'ZoneUseZoneMap',2,'SCREEN_CONFIG_ZONES'),
(0,1,'C/IVA incluído',401,'ZonePricesTaxesIncluded',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Identifica Cliente antes da venda',402,'ZoneAskCustomerNumber',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Consumo Próprio',403,'ZoneSelfConsuption',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Identifica mesa para pedidos (uso com cartões)',407,'ZoneAskCustomerBeforeSale',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Modo Delivery',1137,'ZoneIsDelivery',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Disco/Verifica estado dos cartões',1138,'ZoneIsCardCheck',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Executar plugin',1173,'Run',2,'SCREEN_PLUGINS'),
(0,1,'Descrição',1174,'Description',2,'SCREEN_PLUGINS'),
(0,1,'1',1175,'Var1',2,'SCREEN_PLUGINS'),
(0,1,'2',1176,'Var2',2,'SCREEN_PLUGINS'),
(0,1,'3',1177,'Var3',2,'SCREEN_PLUGINS'),
(0,1,'4',1178,'Var4',2,'SCREEN_PLUGINS'),
(0,1,'5',1179,'Var5',2,'SCREEN_PLUGINS'),
(0,1,'6',1180,'Var6',2,'SCREEN_PLUGINS'),
(0,1,'7',1181,'Var7',2,'SCREEN_PLUGINS'),
(0,1,'8',1182,'Var8',2,'SCREEN_PLUGINS'),
(0,1,'9',1183,'Var9',2,'SCREEN_PLUGINS'),
(0,1,'10',1184,'Var10',2,'SCREEN_PLUGINS'),
(0,1,'Plugins',1185,'PluginsWindow',2,'SCREEN_PLUGINS'),
(0,1,'Cartões abertas',508,'OpenTablesWindow',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Mov. de caixa',1022,'MovementsPrintWindow',2,'SCREEN_MOVEMENTS_PRINT'),
(0,1,'Caixa-bolsa aberta|%s tem uma caixa-bolsa aberta!\n\nPara poder efectuar o fecho da sessão tem que fechar a caixa-bolsa - %s - primeiro',1152,'MSG_BOX_MESSAGE',2,'MSG_BOX_MESSAGE'),
(0,1,'Aviso|Por favor seleccione um empregado para iniciar sessao.',1153,'MSG_BOX_MESSAGE',2,'MSG_BOX_MESSAGE'),
(0,1,'Aviso|Ainda tem cartões abertas!\n\nPor favor feche ou transfira os seus cartões para fechar a sua sessão',1154,'MSG_BOX_MESSAGE',2,'MSG_BOX_MESSAGE'),
(0,1,'Aviso|Por favor seleccione um empregado para fechar sessão.',1149,'MSG_BOX_MESSAGE',2,'MSG_BOX_MESSAGE'),
(0,1,'Sem caixa-bolsa',1148,'GENERIC_TEXT',2,'GENERIC_TEXT'),
(0,1,'Código',1186,'User',2,'SCREEN_CONFIG_LICENCE'),
(0,1,'Senha',1187,'Password',2,'SCREEN_CONFIG_LICENCE'),
(0,1,'Registar nova licença',1188,'Register',2,'SCREEN_CONFIG_LICENCE'),
(0,1,'Actualizar licença',1189,'LicencesUpgrade',2,'SCREEN_CONFIG_LICENCE'),
(0,1,'Fecha a zero',1144,'CloseAsZero',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Lista negra',1145,'SetBlackList',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Mostra cartões na lista negra',1146,'ShowTablesInBlackList',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Sage IVA',1190,'SageIVA',2,'SCREEN_CONFIG_TAXES'),
(0,1,'208 Sessões - Cartões abertas',1066,'PERM_SESSIONS_OPEN_TABLES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'211 Sessões - Mov. de caixa',1069,'PERM_SESSIONS_CASHDRAWER_MOVEMENTS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Manter preços',1215,'DoNoChanges',2,'SCREEN_SAGE_IVA'),
(0,1,'Reset',1214,'CleanChanges',2,'SCREEN_SAGE_IVA'),
(0,1,'Sage IVA',1213,'SageIVAWindow',2,'SCREEN_SAGE_IVA'),
(0,1,'TaxChangeUpdatePrices',1212,'TaxChangeUpdatePrices',2,'SCREEN_SAGE_IVA'),
(0,1,'Actualizar preços',1211,'TaxChangeSchedule',2,'SCREEN_SAGE_IVA'),
(0,1,'Arredonda PVP',1210,'TaxChangeRound',2,'SCREEN_SAGE_IVA'),
(0,1,'Data de mudanças do IVA',1209,'TaxChangeDate',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP actualizado',1208,'NextItemPrice',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP5',1207,'NextItemPrice5',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP4',1206,'NextItemPrice4',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP3',1205,'NextItemPrice3',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP2',1204,'NextItemPrice2',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP1',1203,'NextItemPrice1',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP actual',1202,'CurrentItemPrice',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP5',1201,'CurrentItemPrice5',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP4',1200,'CurrentItemPrice4',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP3',1199,'CurrentItemPrice3',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP2',1198,'CurrentItemPrice2',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP1',1197,'CurrentItemPrice1',2,'SCREEN_SAGE_IVA'),
(0,1,'Diferença',1196,'DiffItemPrice',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP4',1195,'DiffItemPrice4',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP3',1194,'DiffItemPrice3',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP2',1193,'DiffItemPrice2',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP1',1192,'DiffItemPrice1',2,'SCREEN_SAGE_IVA'),
(0,1,'PVP5',1191,'DiffItemPrice5',2,'SCREEN_SAGE_IVA'),
(0,1,'Séries de documentos',1216,'DocumentCountersWindow',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Criar nova série',1217,'NewDocumentSeries',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Série',1218,'DataChar',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Contador',1219,'Counter',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Numeração Doc.',1221,'COnfigButton',2,'ConfigBUtton'),
(0,1,'Imprime secundários',1222,'PrintSecondary',2,'SCREEN_CONFIG_PRINTERS'),
(0,1,'DOCUMENTO\n\\DS - Contador\n\\DD - Data\n\\DH - Hora\n\\DA - Assinatura\n\\DO - Sub-totais\n\\DT - Natureza\nCARTÃO\n\\MM - Nome cartão\n\\ME - Empregado\n\\MT - Total\n\\MC - Nome cliente\n\\MN - NIF cliente\n\\MA - Morada cliente (1)\n\\MB - Morada cliente (2)\n\\MD - Cod. Postal cliente\n\\ML - Localidade cliente\n\\MV - Iva\n\\MP – Pagamento\nLICENÇA\n\\LE - Empresa\n\\LM - Morada\n\\LC – Código postal\n\\LF - Contribuinte\nFORMATAÇÃO\n\\FV - Vermelho\n\\FP - Preto\n\\FN - Normal size\n\\FU - Underline\n\\FI - Beep\n\\FD - Double size\n\\FS - Antes bitmap\n\\FE - Depois bitmap',1223,'HintText',2,'SCREEN_CONFIG_DOCUMENTPARTS'),
(0,1,'Valor por fechar',1226,'TablesTotal',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Cartões abertos',1225,'TablesCount',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Procurar',1224,'TableFilter',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Link',1227,'Link',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Seleccione artigo',1228,'LinkItemSelectionWindow',2,'SCREEN_LINK_ITEM_SELECTION'),
(0,1,'Mostrar séries inactivas',1233,'ShowInactive',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Terminal',1231,'SalesTermianl',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Tipo de documento',1230,'DocType',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'Série activa',1229,'Active',2,'SCREEN_CONFIG_COUNTERS'),
(0,1,'',1240,'SeriesLabel',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Visualizar',1241,'PreviewSessionBtnPrint',2,'SCREEN_SESSION_PRINT'),
(0,1,'Data',1242,'SessionDate',2,'SCREEN_SESSION_PRINT'),
(0,1,'Empregado',1243,'SessionSalesman',2,'SCREEN_SESSION_PRINT'),
(0,1,'',1244,'SessionReportPreview',2,'SCREEN_SESSION_PRINT'),
(0,1,'Consulta sessões',567,'PrintSessionWindow',2,'SCREEN_SESSION_PRINT'),
(0,1,'X64 - Envia msg com total do cartao',1232,'ST_X64_SEND_TABLE_TOTAL_MSG',2,'ST_X64_SEND_TABLE_TOTAL_MSG'),
(0,1,'Assistente de licenciamento',1245,'ScreenLicenseWizard',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'>>',1246,'Next',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'<<',1247,'Previous',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Cancelar',1248,'Abort',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Licença',1249,'File',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Pronto',1250,'Done',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'',1251,'SuccessLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Registar',1252,'RegisterLicense',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Continuar',1253,'GotoDemos',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Chave do cliente',1254,'ClientKey',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Chave de activação',1255,'ActivationKey',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Insira a chave de activação para completar o processo',1256,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Parece não ter uma licença válida para este software.\n\nPode registar a sua licença ou continuar em modo de demonstração',1257,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Insira o código e senha',1258,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Insira nome do ficheiro de licenciamento',1259,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Seleccione a licença que pretende activar',1260,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Parabéns!\n\nCompletou o licenciamento do seu Sage GesRest II!',1261,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Insira o nome do ficheiro da licença',1262,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Está actualmente em modo demonstrativo.\n\nPode registar a sua licença ou continuar em modo de demonstração.',1263,'LicensingWizardLabel',2,'SCREEN_LICENSING_WIZARD'),
(0,1,'Importação de documento manuais',1264,'PromptManualDocumentWindow',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Série',1265,'SeriesChar',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Número',1266,'SeriesNumber',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Sub-totais (contas)',1234,'CounterSubTotal',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Factura/Recibo',1235,'CounterFacRecibo',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Conta Corrente',1236,'CounterInvoice',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Recibos',1237,'CounterRecibo',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Pedidos',1238,'CounterPedidos',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Fac. Externa',1239,'CounterGuia',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Documentos manuais',1267,'ManualDocsString',2,'ManualDocsString'),
(0,1,'413 - Técnico - Tem acesso ao ecrã de plugins',1268,'PERM_CONFIG_TEC_PLUGINS',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Actualização da base de dados',1269,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Por favor contacte o seu parceiro Sage ou a linha de suporte Sage através do número de telefone 707 200 482',1270,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível actualizar a base de dados do posto para a versão ',1271,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Criação da base de dados',1272,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'A criação da base de dados da aplicação falhou (o script de criação da base de dados existe?)\\nA aplicacao nao pode continuar e vai terminar!',1273,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Falha de ligação à base de dados',1274,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Não foi possível efectuar a ligação à base de dados!\\nA aplicação não pode continuar e vai terminar!',1275,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Terminais rádio',1276,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Não foi possível inicializar a porta série da antena!\\n\\nNão vai ser possível usar os comandos rádio',1277,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Falhou arranque da antena!\\nNão vai ser possível usar os comandos rádio',1278,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Séries de documentos',1279,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Tem que existir uma série \\\\\\\"Global\\\\\\\" activa para cada tipo de documento!\\n\\nPor favor aceda a Config->Técnico->Numeração Doc. e adicione as séries em falta para poder efecutar registos correctamente!',1280,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Existem séries de documentos com caracteres de dados repetidos!\\n\\nPor favor aceda a Config->Técnico->Numeração Doc. e corrija as séries em erro para poder efecutar registos correctamente!',1281,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Existem múltiplas séries de documentos \\\\\\\"Global\\\\\\\"- em uso!\\n\\nPor favor aceda a Config->Técnico->Numeração Doc. e corrija as séries em erro para poder efecutar registos correctamente!',1282,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Aviso',1283,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Erro na ligação à base de dados! [Erro: %d]',1284,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não tem permissão para entrar neste cartão',1285,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não consegui fazer lock ao cartão!',1286,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão já está aberta noutro posto!',1287,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartão inválida!',1288,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível obter os detalhes do cartão',1289,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Operação não permitida!',1290,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possivel adicionar artigo ao cartão',1291,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível fechar cartão',1292,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não consegui obter cartão!',1293,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartões de destino e origem são as mesmas',1294,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O cartão está fora do seu intervalo de cartões',1295,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão está na lista negra e não pode ser usado!',1296,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão está inactivo!',1297,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'ESTE CARTÃO NÃO ESTÁ PAGO!',1298,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão já está pago e não podem ser adicionados artigos até o cartão ser desactivado!',1299,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O empregado actual não tem sessão aberta!',1300,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Ocorreu um erro inesperado! n: %d',1301,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Aviso',1302,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível gravar cartão [Erro: %d]\\nQuer tentar outra vez?',1303,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não é possível imprimir pedidos correctamente. %s\\n\\nVá a Config->Técnico->Numeração Doc. e crie uma série para este tipo de documento',1304,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não é possível imprimir o subotal. %s\\n\\nVá a Config->Técnico->Numeração Doc. e crie uma série para este tipo de documento',1305,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O preço deste artigo não pode ser alterado. Tem quantidade maior que um.',1306,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O preço deste artigo não pode ser alterado. Possui descontos associados.',1307,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O preço de artigos com extras não pode ser alterado',1308,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Por favor indique o novo preco do artigo',1309,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Quer aplicar desconto de %i%% a este cartão?',1310,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Quer limpar descontos aplicados?',1311,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Acumular cartões',1312,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Este cartão já está acumulada!\\nPretende remove-la dos cartões acumuladas?',1313,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Tem certeza que quer Acumular?',1314,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Pretende remover todos os cartões acumuladas?',1315,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não é possível efectuar a operação. [Err: %d - %s]\\n\\nVá a Config->Técnico->Numeração Doc. e crie uma série para este tipo de documento',1316,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Fecho de cartão',1317,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Não pode usar este método de pagamento neste cartão!',1318,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não existe um cliente com os dados introduzidos. Deseja criar um novo cliente?',1319,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não pode efectuar esta operação neste cartão.',1320,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O valor desta venda vai ultrapassar o limite de crédito do cliente!\\n\\nEsta venda não pode ser fechada para Conta Corrente',1321,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Por favor identifique um cliente',1322,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,"Como seleccionou metodo de pagamento \'Conta Corrente\', não pode ter outras formas de pagamento.",1323,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,"Como seleccionou metodo de pagamento \'Facturação Externa\', não pode ter outras formas de pagamento.",1324,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,"Quanto utilizados os metodos de pagamento \'Conta Corrente\' e \'Ext\' nao pode haver troco.",1325,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O fecho dos cartões acumulados falhou [Erro: %d]\\nOs cartões que seleccionou já não estão acumulados',1326,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O fecho da venda falhou [Erro: %d - %s]\\nQuer tentar outra vez?\\n\\nPressione - Não -  para abortar a operação.',1327,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Erro na ligacao SQL. Execute novamente a operacao',1328,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao consegui fazer lock ao cartao!',1329,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'O cartão esta ocupada noutro posto!',1330,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao tem permissao para efectuar operacao',1331,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao foi possivel obter os detalhes do cartao',1332,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Operacao nao permitida!',1333,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Cartão vazio',1334,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao foi possivel adicionar artigo ao cartão',1335,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao foi possivel fechar o cartão',1336,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao consegui obter o cartao!',1337,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Cartoes de destino e origem sao os mesmos',1338,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Operacao com um artigo invalido',1339,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Empregado invalido!',1340,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Cartao fora do seu intervalo de cartoes!',1341,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Cartao nao existe',1342,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Este terminal nao possui nenhuma caixa associada',1343,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Nao foi possivel imprimir!',1344,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Ocorreu um erro inesperado',1345,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Comandos rádio',1346,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Tem todos os comandos rádio em modo de download?',1347,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Por favor coloque todos os comandos rádio em modo de download e tente outra vez',1348,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Verificação de estado do cartão',1349,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'O cartão %d não está em nenhuma série!',1350,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O CARTÃO %d NÃO ESTÁ PAGO!\\n\\nPor favor dirija-se a um caixa!',1351,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O cartão %d já se encontra activo!',1352,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartão %d activado!',1353,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O cartão %d não está activo.\\n\\nPretende activa-lo?',1354,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'CARTÃO %d PAGO',1355,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'ESTE CARTÃO NÃO ESTÁ PAGO!\\n\\nPor favor dirija-se a um caixa!',1356,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão já se encontra activo!',1357,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível activar cartão [Erro: %d]\\nQuer tentar outra vez?',1358,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não tem criado a série de documentos do tipo \\\\\\\"%s\\\\\\\".\\n\\nPor favor aceda a Config->Técnico->Numeração Doc. e esta série para poder efecutar registos correctamente!',1359,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'operacao nao permitida!!',1360,'RADIO_TERMINAL_MSG',2,'RADIO_TERMINAL_MSG'),
(0,1,'Leitura de cartão',1361,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Não foi possível identificar o cliente!\\n\\nPor favor tente novamente ou identifique o cliente usando o interface disponível.',1362,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não tem permissão para entrar neste cartão',1363,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não consegui fazer lock ao cartão!',1364,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão já está aberto noutro posto!',1365,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartão inválido!',1366,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível obter os detalhes do cartão',1367,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Operação não permitida!',1368,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartão vazia',1369,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possivel adicionar artigo a cartão',1370,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não foi possível fechar cartão',1371,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não consegui obter cartão!',1372,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Cartões de destino e origem são os mesmos',1373,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Operação com um artigo inválido',1374,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O cartão está fora do seu intervalo de cartões',1375,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão está na lista negra e não pode ser usado!',1376,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão está inactivo!',1377,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'ESTE CARTÃO NÃO ESTÁ PAGO!',1378,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Este cartão já está pago e não podem ser adicionados artigos até o cartão ser desactivado!',1379,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O empregado actual não tem sessão aberta!',1380,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Ocorreu um erro inesperado',1381,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Clique no botão + para identificar o cliente para entrega',1382,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Delivery',1383,'MSG_BOX_TITLE',2,'MSG_BOX_TITLE'),
(0,1,'Insira o cartão de destino dos pedidos',1384,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Não é possível alterar o preço deste artigo!',1385,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Está abaixo do limite de stock de aviso para este artigo\\n\\nPode não conseguir pedir todos os artigos à cozinha!',1386,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Total',1387,'CUSTOMER_DISPLAY_MESSAGE',2,'CUSTOMER_DISPLAY_MESSAGE'),
(0,1,'Já existem artigos no cartão com descontos!\n\nQuer aplicar os dois descontos (SIM)?\nOu usar apenas o desconto do clientes(NÃO)?',1388,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Quer aplicar o desconto do cliente aos artigos restantes?',1389,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'%Desc. cabeçalho',1390,'HeaderPercDiscount',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Desc. linha',1391,'SumLineDiscount',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Fact. Conv. pontos',1393,'SystemConfigPointsConversionFactor',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Pontos',1394,'PaymentTypePoints',2,'SCREEN_CONFIG_PAYMENT_TYPES'),
(0,1,'O cliente Consumidor final não pode pagar com métodos de pagamento do tipo Pontos',1395,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'O cliente seleccionado tem %d pontos disponíveis para usar nesta venda\n\nQuer usar os pontos nesta venda?',1396,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Acumulou %d pontos nesta venda para usar na sua próxima visita\n\nTem agora %d pontos disponíveis para usar!',1397,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Acumulou %d pontos nesta venda',1398,'PRINT_TAG_TEXT',2,'POINTS_PRINT_TEXT'),
(0,1,'Tem agora %d pontos para usar!',1399,'PRINT_TAG_TEXT',2,'POINTS_PRINT_TEXT'),
(0,1,'Cliente acumula pontos na venda',1400,'UsePoints',2,'SCREEN_CONFIG_SYSTEM'),
(0,1,'Pontos dos artigos em vez do valor da venda',1401,'ConfigPropertyUseItemPoints',2,'GENERAL_CONFIG'),
(0,1,'Cartões de papel',1402,'ConfigPropertyText',2,'GENERAL_CONFIG'),
(0,1,'Fecha mesas/cartoes extraviados a zero',1403,'ConfigPropertyText',2,'GENERAL_CONFIG'),
(0,1,'Imprime sempre o nome do artigo principal',1404,'ConfigPropertyText',2,'GENERAL_CONFIG'),
(0,1,'Verifica validade do NIF (novos clientes)',1405,'ConfigPropertyText',2,'GENERAL_CONFIG'),
(0,1,'Tem que certeza que quer atribuir este valor de pontos ao cliente?',1406,'MSG_BOX_TEXT',2,'CUSTOMER_CONFIG_SCREEN'),
(0,1,'Anulação',536,'DailyJournalBtnDevolution',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Saldo conta corrente',1407,'AccountBalance',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Tem certeza que quer alterar o saldo da conta corrente?',1408,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Comissão(%)',1409,'ComissionPercent',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Para um correcto funcionamento da aplicação certifique-se que o driver que está a usar é Generic Text e não o driver do fabricante da impressora!',1410,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Limpa caractéres acentuados',1411,'DeviceManagerCleanChars',2,'SCREEN_CONFIG_DEVICES'),
(0,1,'Qt máxima de artigos',1412,'SalesmanSelfExpLimitqT',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Não pode efectuar esta operação nos cartões das série de consumo próprio.\\n\\nO cartão será fechado quando fechar a sua sessão.',1413,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não pode adicionar mais artigos!\\n\\nJá atingiu o limite de valor do seu consumo próprio',1414,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não pode adicionar mais artigos!\\n\\nJá atingiu o limite de artigos do seu consumo próprio',1415,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não pode efectuar esta operação nos cartões das série de consumo próprio.',1416,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não pode transferir artigos para cartões em séries de consumo próprio.\\n\\nPor favor escolha um cartão noutra série.',1417,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Este documento tem um recibo associado e não pode ser anulado',1418,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Foi encontrado um problema ao anular o documento.',1419,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Seleccione um documento.',1420,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Este cartão não está na lista',1421,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Tem certeza que quer retirar o cartão %s da lista negra?',1422,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Tem certeza que quer colocar o cartão %s na lista negra?',1423,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Tem certeza que quer fechar %s?',1424,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Tem certeza que quer fechar todas os cartões da lista?',1425,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Não possui permissões para aceder a cartões de outros empregados.',1426,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'O empregado de destino não tem acesso à cartão que lhe pretende transferir!',1427,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'%s já tem este código!\\n\\nUm novo código vai ser sugerido!',1428,'MSG_BOX_TEXT',2,'GENERIC'),
(0,1,'Não foi possível inicializar a porta série da antena!\\n\\nDeseja continuar mesmo assim?',1429,'MSG_BOX_TEXT',2,'RADIO_TERMINALS_MSG'),
(0,1,'Falhou arranque da antena!\\nNão vai ser possível usar os comandos rádio!\\n\\n\\Deseja continuar mesmo assim?',1430,'MSG_BOX_TEXT',2,'RADIO_TERMINALS_MSG'),
(0,1,'Perfis de posto',1103,'ProfilesOpenWorkstation',2,'SCREEN_PROFILES_SELECTION'),
(0,1,'Não discrim.',1438,'DailyJournalBtnPrintNdesc',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Só as vendas a dinheiro é que podem ser não discriminadas',1439,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Número de pessoas',1440,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Sai do cartão depois de fechar a conta',1147,'ST_AFTER_CLOSE_TABLE_GOTO_SALESMAN_SELECTION',2,'ST_AFTER_CLOSE_TABLE_GOTO_SALESMAN_SELECTION'),
(0,1,'Este cartão está em uso pela aplicação',1441,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'O NIF %s introduzido não é válido!\n\nPor favor introduza um NIF válido...',1442,'MSG_BOX_TEXT',2,'NEW_CUSTOMER'),
(0,1,'NIF inválido',1443,'MSG_BOX_TITLE',2,'NEW_CUSTOMER'),
(0,1,'Nome inválido',1444,'MSG_BOX_TITLE',2,'NAME_VALIDATION'),
(0,1,'O nome introduzido não é válido!\n\nPor favor introduza um nome válido...',1445,'MSG_BOX_TEXT',2,'NAME_VALIDATION'),
(0,1,'O cliente %s já tem esse NIF atribuido',1446,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Não pode mudar os detalhes do cliente Consumidor final!',1447,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'O cliente %s já tem este código!\n\nUm novo código vai ser sugerido',1448,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Páginas Rápidas',1449,'QuikPagesWindow',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Descrição',1450,'QuickPageDescription',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Famílias',1451,'QuikPageFamily',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Limpar',1452,'QuickPageClean',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Descrição curta',1453,'QuickPageShortDescription',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'As alterações efectuadas (se efectuou algumas),só terão efeito após reiniciar o Sage GesRest II!',1454,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Tem certeza que quer eliminar esta página rápida?',1455,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_QUICK_PAGES'),
(0,1,'Peso|',853,'MsgBoxAskWeight',2,'SCREEN_TABLE_EDIT'),
(0,1,'305 Config - Edição Famílias/Pág. Rápidas',623,'PERM_CONFIG_EDIT_FAMILIES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'304 Config - Ver Famílias/Pág. Rápidas',622,'PERM_CONFIG_SEE_FAMILIES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Cancelar artigos',1431,'TableEditMultiCancel',2,'SCREEN_TABLE_EDIT'),
(0,1,'Cancelar artigos',1432,'TableMultiCancel',2,'SCREEN_TABLE_CANCEL_ITEMS'),
(0,1,'Imprime',1433,'PrintCanceled',2,'SCREEN_TABLE_CANCEL_ITEMS'),
(0,1,'Não possui permissões para pedir artigos!',1434,'PERM',2,'MSG_BOX_TEXT'),
(0,1,'Não possui permissões para cancelar pedidos!',1435,'PERM',2,'MSG_BOX_TEXT'),
(0,1,'Refeição(ões)',1436,'NDESC_TEXT',2,'PRNT_DOCUMENT'),
(0,1,'Desperdício',1437,'Waste',2,'SCREEN_TABLE_CANCEL_ITEMS'),
(0,1,'414 Técnico - Numeração Doc.',1220,'PERM_CONFIG_TEC_LICENSES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Não imprime consultas de cartões / subtotais',1456,'ST_CAN_PRINT_SUB_TOTAL',2,'ST_CAN_PRINT_SUB_TOTAL'),
(0,1,'Não foi possível criar um novo artigo\\n\\nOcorreu um erro inesperado',1457,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_ITEMS'),
(0,1,'Aviso|O número de certificado da aplicação foi modificado com esta actualização pelo que deve ir a Técnico->Config->Numeração Doc. e criar novas séries de documentos.',1458,'MSG_BOX_TEXT',2,'USER_PROMPT_CERTIFICATE_SERIES'),
(0,1,'Obs.',1459,'TableCloseObs',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Ecrãs',1460,'TerminalsScreenType',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Normal (4:3)',1461,'SCREEN_TYPE',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Tablet (16:9)',1462,'SCREEN_TYPE',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,"PDA\'s (3:4)",1463,'SCREEN_TYPE',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Default',1464,'SCREEN_TYPE',2,'SCREEN_CONFIG_TERMINALS'),
(0,1,'Obs.',1465,'DailyJournalObs',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Deseja passar os artigos desta conta para outro cartão?',1466,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Indique a número do cartão.',1467,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Seleccione um documento',1468,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Este documento tem um recibo associado e não pode ser anulado.',1469,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Foi encontrado um problema ao anular o documento.',1470,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Erro ao efetuar a pesquisa. <<CDailyJournalManager::Search()>>',1471,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Pesquisa não retornou qualquer resultado.',1472,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Não foi possível carregar Tender pretendida',1473,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Não foi possível carregar a cabeçalho de venda pretendido',1474,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Não foi possível carregar os dados pretendidos',1475,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Erro ao gravar os artigos do cartão!',1476,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Detalhes das formas de pagamento!',1477,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Sem ligação à base de dados para efectuar a operação',1478,'MSG_BOX_TEXT',2,'DATABSE'),
(0,1,'Erro ao carregar os artigos do cartão %i',1479,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Erro ao carregar os artigos do cartão (Header) %i',1480,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'O cartão ja esta aberto noutro posto!',1481,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não foi possível bloquear o cartão para uso!',1482,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Sem empregado válido para efectuar operação',1483,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'A subfamilia link não está definida. Por favor configure o artigo correctamente em Config->Artigos.',1484,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Ao carregar um cartão não podemos ter mais do que um cabeçalho',1485,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Este número de série não é válido!\\n\\nPor favor introduza um número de série válido.',1486,'MSG_BOX_TEXT',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Identificador da série é inválido!\\n\\nPor favor introduza uma série válida',1487,'MSG_BOX_TEXT',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Este número de série não é válido!\\n\\nPor favor introduza um número de série válido.',1488,'MSG_BOX_TEXT',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Por favor preencha ambos os campos para poder prosseguir',1489,'MSG_BOX_TEXT',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Vai importar o documento %s',1490,'MSG_BOX_TEXT',2,'SCREEN_PROMPT_MANUAL_DOCUMENT'),
(0,1,'Têm certeza que quer fechar este cartão?',1491,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Fecho de cartão - %s',1492,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,"Quanto utilizados os metodos de pagamento \'Conta Corrente\' e \'Ext\' nao pode haver troco.",1493,'MSG_BOX_TEXT',2,'SCREEN_TABLE_CLOSE'),
(0,1,'artão de destino:',1494,'MSG_BOX_TEXT',2,'SCREEN_TABLE_PRODUCT_TRANSF'),
(0,1,'Fecho da venda falhou!\nTente outra vez por favor...',1495,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Total',1496,'TotalString',2,'TotalString'),
(0,1,'Tem que fazer login!',1497,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Impossivel pedir produtos',1498,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Impossivel pedir extras antes de artigo normal',1499,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Nao foi possivel remover artigo no cartão!',1500,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Nao foi possivel efectuar a transferencia de artigos',1501,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Transferencia nao concluida',1502,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Transferido %i linhas',1503,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'%s pagou %s',1504,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Nao foi possivel efectuar pagamento parcial!',1505,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Nao foi possivel abrir sessao de %s',1506,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Ola %s',1507,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Ja fez login no terminal %i',1508,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'%s tem que fazer logout do terminal %i antes de novo login',1509,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'%s tem que fazer logout primeiro!',1510,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'%s nao tem sessao aberta',1511,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Password nao reconhecida',1512,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Empregado %i nao reconhecido',1513,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Ainda tem cartoes abertos! Nao pode fechar a sessao',1514,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Nao foi possivel fechar sessao de %s',1515,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'Adeus %s',1516,'X64_MESSAGE',2,'RadioHandler'),
(0,1,'A query executada falhou',1517,'ErrorStr',2,'QueryFailed'),
(0,1,'Ocorreu um erro não definido!',1518,'ErrorStr',2,'UNDEFINED_ERROR'),
(0,1,'Sem erro',1519,'ErrorStr',2,'NO_ERROR'),
(0,1,'Não é possível desbloquear este cartão',1520,'ErrorStr',2,'TABLE_CANT_UNLOCK'),
(0,1,'Não é possível obter contador para o tipo de documento desejado',1521,'ErrorStr',2,'SALE_CANT_GET_COUNTER'),
(0,1,'Erro ao carregar dados',1522,'ErrorStr',2,'LOAD_FAILED'),
(0,1,'Erro ao gravar os dados',1523,'ErrorStr',2,'SAVE_FAILED'),
(0,1,'Falta o contador para este tipo de documento',1524,'ErrorStr',2,'NO_COUNTER_TO_LOAD'),
(0,1,'Não foi possível gerar uma assinatura para este documento',1525,'ErrorStr',2,'SIGNATURE_FAILED'),
(0,1,'Erro desconhecido',1526,'ErrorStr',2,'DEFAULT_ERROR'),
(0,1,'Plugins|As operações efectuadas por este plugin não poderão ser revertidas.\\n\\nTem certeza que quer continuar?',1527,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Sem descrição de utilização',1528,'use_description',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|Não foi possível executar o plugin',1529,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|O plugin não foi executado com sucesso',1530,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|Plugin executado com sucesso!',1531,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|O plugin não foi executado com sucesso\\n\\nFicheiro não encontrado!',1532,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|O plugin não foi executado com sucesso\\n\\nPor favor indique o nome do ficheiro',1533,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,'Plugins|Plugin executado!',1534,'MSG_BOX_TEXT',2,'SCREEN_PLUGINS'),
(0,1,' ',1535,'Dummy',2,'SCREEN_TABLE_EDIT'),
(0,1,'Fechar directo',1536,'Fechar directo',2,'SCREEN_TABLE_EDIT'),
(0,1,'Não foi possível adicionar artigo\n\nSó pode ter um artigo do tipo compensação no cartão!',1537,'TABLE_CANT_ADD_MORE_COMPENSATION',2,'TABLE_CANT_ADD_MORE_COMPENSATION'),
(0,1,'Aviso|Não foi possível concluir o processo de criação da cache da aplicação devido a um erro inesperado.\\n\\nPor favor reinicie a aplicação!',1538,'CACHE_BUILD',2,'CACHE_BUILD'),
(0,1,'Não é possível imprimir o documento pretendido - %s',1539,'MSG_BOX_TEXT',2,'MSG_BOX_TEXT'),
(0,1,'Desc. valor',1392,'HeaderValuDiscount',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Histórico|Não foi possível carregar os detalhes deste documento',1540,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_DAILY_JOURNAL'),
(0,1,'Não foram encontrados artigos no cartão para fechar esta venda!',1541,'MSG_BOX_TEXT',2,'TABLE_HAS_NO_ITEMS_TO_SAVE'),
(0,1,'Não foram encontrados métodos de pagamento no cartão para fechar esta venda!',1542,'MSG_BOX_TEXT',2,'TABLE_HAS_NO_TENDERS_TO_SAVE'),
(0,1,'Empregado',1543,'Empregado',2,'SCREEN_SALESMAN_SELECTION'),
(0,1,'117 Vendas - Abrir gaveta ao fechar a venda',1544,'PERM_SALESMAN_OPEN_DRAWER_ON_TABLE_CLOSE',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Aviso|Não foi possível identificar o empregado!\n\nPor favor tente outra vez.',1545,'MSG_BOX_TEXT',2,'SALESMAN_SELECTION'),
(0,1,'\\n----------------------------------------\\n',1546,'PRINTER_TEXT',2,'PRINTER_TEXT'),
(0,1,'----------------------------------------\\n',1547,'PRINTER_TEXT',2,'PRINTER_TEXT'),
(0,1,'Erro de impressão|Quer imprimir para a impressora de backup %s?',1548,'MSG_BOX_TEXT',2,'SCREEN_PRINTER_ERROR'),
(0,1,'Erro de impressão|Não tem impressora de backup definida para %s ou não foi possível encontra-la.\n\nQuer ignorar esta impressora?',1549,'MSG_BOX_TEXT',2,'SCREEN_PRINTER_ERROR'),
(0,1,'Erro de impressão|Não foi possível imprimir para %s!\n\nQuer tentar imprimir novamente?',1550,'MSG_BOX_TEXT',2,'SCREEN_PRINTER_ERROR'),
(0,1,'Erro de impressão|Não foi possível encontrar a impressora de destino da impressão!',1551,'MSG_BOX_TEXT',2,'SCREEN_PRINTER_ERROR'),
(0,1,'118 - Permissao Altera Lista Negra',1552,'ChangeBlackList',2,'SCREEN_OPEN_TABLES'),
(0,1,'Usa Bolsa no comando',1553,'UsesPurse',2,'SCREEN_CONFIG_SALESMAN'),
(0,1,'Pagamento CC de empregado',1554,'SalesmanAccountWindow',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Saldo',1555,'SalesmanAccountBalance',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Pagar',1556,'SalesmanAccountBtnPay',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'A pagar',1557,'SalesmanAccountPayable',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Empregado',1558,'SalesmanAccountClientName',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Pag. CC emp.',1559,'GetDesktopSessionsSecondMenuSelectionData',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Pag. CC cliente',1560,'GetDesktopSessionsSecondMenuSelectionData',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Saidas Caixa',1561,'GetDesktopSessionsSecondMenuSelectionData',2,'SCREEN_MOVEMENTS_CLOSING_MOV'),
(0,1,'Entradas Caixa',1562,'GetDesktopSessionsSecondMenuSelectionData',2,'SCREEN_MOVEMENTS'),
(0,1,'Limpar Imp. SOS',1563,'GetDesktopSessionsSecondMenuSelectionData',2,'F8_CLEAR_BACKUP_PRINTERS'),
(0,1,'Não é possível alterar os dados deste empregado (não foi possível encontrar/criar o cliente associado).\n\nPor favor tente outra vez.',1564,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Não foi possível criar o cliente associado a este empregado.\n\nTente outra vez ou associe um cliente a este empregado na ficha de empregados.',1565,'MSG_BOX_TEXT',2,'CloseSession'),
(0,1,'O NIF é um campo obrigatório do cliente. Por favor indique um NIF válido',1566,'MSG_BOX_TEXT',2,'CUSTOMERS'),
(0,1,'Cliente associado',1567,'SalesmanAssociatedCustomer',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'NIF',1568,'SalesmanNIF',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'O cliente seleccionado já está associado ao empregado %s.\n\nPor favor escolha outro cliente.',1569,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'Este NIF já está atribuido a %s',1570,'MSG_BOX_TEXT1',2,'SCREEN_CONFIG_SALESMEN'),
(0,1,'119 Venda - Entra no cartão de consumo próprio de outros empregados',1571,'PERM_SALESMAN_ENTER_OTHERS_EXPENDITURE_TABLES',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'A sessão do empregado desejado não está aberta',1572,'MSG_BOX_TEXT',2,'NO_OPEN_SESSION'),
(0,1,'Não tem permissão para aceder aos cartões de consumo próprio de outros empregados!',1573,'MSG_BOX_TEXT',2,'CANT_ACCESS_OTHERS_SELF_EXPENDITURE_TABLE'),
(0,1,'Imprimir extracto de conta',1574,'CustomerAccountPrintStatement',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Este cliente está associado ao empregado %s.\n\nSe o pretende eliminar  por favor desassocie-o na ficha do empregado respectivo',1575,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_CUSTOMERS'),
(0,1,'Ocorreu um erro ao efectuar a operação!\n\nNão foi possível encontrar o relatório pretendido.',1576,'MSG_BOX_TEXT',2,'SCREEN_CUSTOMER_ACCOUNT'),
(0,1,'Imprimir extracto de conta',1577,'SalesmanAccountPrintStatement',2,'SCREEN_SALESMAN_ACCOUNT'),
(0,1,'Como tem um cartão de consumo próprio precisa de ter um método de pagamento do tipo Conta Corrente definido.\n\nPor favor vá a - Config->Geral->Formas pagamento - e crie o método de pagamento em falta',1578,'MSG_BOX_TEXT',2,'CloseSessionErrorMessage'),
(0,1,'Impressoras SOS',1579,'BackupPrinterWindow',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Reencaminhada',1580,'PrintingToBackup',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Limpar impressoras reencaminhadas',1581,'ClearAllBackupPrinters',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Drivers de dispositivos',1582,'DeviceDriversrWindow',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Nome',1583,'DeviceDriverName',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Tipo',1584,'DeviceDriversDeviceType',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Código',1585,'DeviceDriverCode',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Vermelho',1586,'DeviceDriverRed',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Preto',1587,'DeviceDriverBlack',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Texto normal',1588,'DeviceDriverNormalText',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Texto grande',1589,'DeviceDriverDoubleText',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'texto sublinhado',1590,'DeviceDriverUnderlineText',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'linha',1591,'DeviceDriverLineFeed',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Imprime e corta',1592,'DeviceDriverPrintCRLF',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Separador',1593,'DeviceDriverSepChar',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Gaveta',1594,'DeviceDriverOpenDrawer',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Linha grafica',1595,'DeviceDriverGraphicLine',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Pre bitmap',1596,'DeviceDriverPreBitmap',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Pos bitmap',1597,'DeviceDriverPostBitmap',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'bitmap',1598,'DeviceDriverBitmap',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Seq. Inicialização',1599,'DeviceDriverPrinterInitSeq',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Imprime invertido',1600,'DeviceDriverPrintUpsideDown',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Caracter início',1601,'DeviceDriverStartChar',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Caracter fim',1602,'DeviceDriverEndChar',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Filtro1',1603,'DeviceDriverFilter1',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Filtro2',1604,'DeviceDriverFilter2',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Seq. início',1605,'DeviceDriverStartSeq',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Média de leituras',1606,'DeviceDriverAvgReadings',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Inverte leitura',1607,'DeviceDriverInvertReading',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Por favor introduza apenas caracateres entre 0 e 9 e A a F! ',1608,'DeviceDriverHexMessage',2,'SCREEN_DEVICE_DRIVERS'),
(0,1,'Por favor escolha outra impressora!\n\nA impressora SOS não pode apontar para si própria.',1609,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Por favor seleccione uma impressora',1610,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Reinicializa contador dos pedidos no início do dia',1611,'ConfigProperty',2,'ConfigProperty'),
(0,1,'Não foi possível reinicializar o contador de pedido devido a um erro interno da aplicação',1612,'MSG_BOX_TEXT',2,'ResetOrderCounter'),
(0,1,'Quer limpar os reencaminhamentos de todas as impressoras e passar a imprimir para as impressoras definidas',1613,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Quer deixar de imprimir para a impressora SOS \\\"%s\\\" e voltar a imprimir para a impressora \\\"%s\\\"?',1614,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Quer ignorar a impressora \\\"%s\\\" e reencaminhar os trabalhos de impressão para a sua impressora SOS \\\"%s\\\"?',1615,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Nenhum',1616,'GenericText',2,'GenericText'),
(0,1,'A impressora \\\"%s\\\" não tem definida nenhuma impressora SOS. Todos os tickets para esta impressora não serão impressos.\\n\\nSe pretender pode definir uma impressora SOS na checklist.',1617,'MSG_BOX_TEXT',2,'SCREEN_SOS_PRINTERS'),
(0,1,'Menus - adiciona artigos de niveis com um elemento',1618,'ConfigProperty',2,'ConfigProperty'),
(0,1,'Editar cliente',986,'NewClientWindow',2,''),
(0,1,'Ficha do cliente',1619,'TableCloseEditCustomer',2,'SCREEN_TABLE_CLOSE'),
(0,1,'Fecha caixa bolsa no fecho da sessão',1620,'ConfigProperty',2,'ConfigProperty'),
(0,1,'Caixa bolsa ainda esta aberta',1621,'RADIO_MSG',2,'RADIO_MSG'),
(0,1,'Aviso|Este terminal não possui nenhuma caixa associada.\n\nPor favor abra uma caixa para poder registar os movimentos necessários',1097,'CashDrawerWarning',2,'CASH_DRAWER_MSG'),
(0,1,'Configuração das ofertas',1622,'ItemOffersConfigWindow',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Nome',1623,'OfferName',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Valor max de oferta',1624,'MaxOfferValue',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'nº de linha a oferecer',1625,'MaxOfferQuantity',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Adiciona se PVP >',1626,'AddWithDifference',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'PVP',1627,'OfferPVP',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Famílias',1628,'OfferConfigFamilyFilter',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Preço oferta',1629,'OfferSalesValue',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'',1630,'LabelItemsInPromo',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'',1631,'LabelZonesInPromo',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'',1632,'LabelTerminalsInPromo',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'+',1633,'DetailedEdit',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'AllLevelsAlike',1634,'AllLevelsAlike',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Ofertas',1635,'OffersWindow',2,'SCREEN_OFFERS'),
(0,1,'Num max. ofertas',1636,'MaxOffers',2,'SCREEN_OFFERS'),
(0,1,'Nova oferta',1637,'NewOffer',2,'SCREEN_OFFERS'),
(0,1,'Editar oferta',1638,'EditOffer',2,'SCREEN_OFFERS'),
(0,1,'Apagar oferta',1639,'DeleteOffer',2,'SCREEN_OFFERS'),
(0,1,'Ofertas|Têm certeza que quer adicionar todos os artigos a esta oferta?',1640,'MSGBOX_TEXT',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Activa/Desactiva',1641,'OfferInUse',2,'SCREEN_OFFERS'),
(0,1,'Nova promoção',1642,'SCREEN_OFFERS',2,'SCREEN_OFFERS'),
(0,1,'Apagar artigo automatico',1643,'DeleteAuto',2,'SCREEN_CONFIG_ZONES'),
(0,1,'Artigos/Familias oferta',1644,'SCREEN_OFFERS_CONFIG',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Séries activas',1645,'F178_LBL_PROMOTION_ZONES',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Terminais activos',1646,'F178_LBL_PROMOTION_TERMINALS',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Tipo de oferta',1647,'OfferType',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Oferece n registo',1648,'OFFER_TYPES',2,'OFFER_TYPES'),
(0,1,'Oferece n artigo/familia',1649,'OFFER_TYPES',2,'OFFER_TYPES'),
(0,1,'Menu normal',1650,'OFFER_TYPES',2,'OFFER_TYPES'),
(0,1,'Preço oferta',1651,'DropBoxPriceLevels_ADD_ON_TOP',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Aplicar desconto',1652,'TableEditDirectDiscount',2,'SCREEN_TABLE_EDIT'),
(0,1,'Oferta',1653,'TableEditOfferItem',2,'SCREEN_TABLE_EDIT'),
(0,1,'Já atingiu o seu limite e não pode efectuar mais ofertas',1654,'MSG_BOX_TEXT',2,'MAX_OFFERS_REACHED'),
(0,1,'120 Venda - Adiciona ofertas além do limite',1655,'PERM_SALESMAN_CAN_OFFER_ABOVE_LIMIT',2,'SALESMAN_LEVEL_PERMISSIONS'),
(0,1,'Aviso|Este artigo já é oferta',1656,'MSG_BOX_TEXT',2,'OFFERS'),
(0,1,'Aviso|Por favor indique um nível maior que 0 para poder adicionar artigos',1657,'MSG_BOX_TEXT',2,'SCREEN_CONFIG_OFFERS'),
(0,1,'Repetições',1658,'RepeatCount',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Aviso|Quer aplicar um desconto de %d%% ao artigo seleccionado? ',1659,'MSG_BOX_TEXT',2,'SCREEN_TABLE_EDIT'),
(0,1,'Nenhum',1660,'DropBoxPriceLevels_ADD_ON_TOP',2,'SCREEN_OFFERS_CONFIG'),
(0,1,'Imprimir',1661,'OpenTablesPrintTablesList',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Cartões pagos',1662,'TablesCountClosed',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Total apurado',1663,'TablesTotalClosed',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Total previsto',1664,'TablesExpectedTotal',2,'SCREEN_CONFIG_OPEN_TABLES'),
(0,1,'Exclui de consumo mínimo',1665,'ItemExcludeForCompensation',2,'SCREEN_CONFIG_ITEMS');
