/*v0453*/
-- actualização da secção de métodos de pagamento do fecho de dia
DELETE FROM `reportsections` WHERE UID=1003;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('1003', '0', '1', '1', '', '\n\n        -- FORMAS PAGAMENTO--           \nForma Pagamento                    Valor\n----------------------------------------\n',
 "SELECT 
    pTypes.LongDescription as 'description',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.Type in (0,3,6)
    AND DATE(headers.TransactionEndTime) = '(101)'
    and  headers.TransactionStatus = 'N'
    and  headers.DocumentTypeUID != 13 
Group by tenders.PaymentTypeUID
union
SELECT 
    'Dinheiro',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND DATE(headers.TransactionEndTime) = '(101)'
    and  headers.TransactionStatus = 'N'
    and  headers.DocumentTypeUID != 13 
Group by pTypes.type
UNION
SELECT 
    'Ret. Fonte',
    replace(SUM(ROUND(NetValue/100*WithholdingPercentage/10000,2)),'.',',') as 'value' 
FROM 
    transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID=details.TransactionUID
    WHERE 
WithholdingPercentage>0
    AND DATE(headers.TransactionEndTime) = '(101)'
    AND  headers.TransactionStatus = 'N'
    AND  headers.DocumentTypeUID != 13 ;", 
 '%-20.20s%20.20s\n',
 "SELECT replace(SUM(v1),'.',',') as 'value' FROM
(
    (
        SELECT 
            round(IFNULL(sum(tenders.value),0)/100,2) as v1
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.Type in (0,1,3,6)
            AND DATE(headers.TransactionEndTime) = '(101)'
            and headers.TransactionStatus = 'N'
            and  headers.DocumentTypeUID != 13
    ) 
    UNION
    (
        SELECT
            SUM(ROUND(NetValue/100*WithholdingPercentage/10000,2)) as v1
        FROM 
            transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID=details.TransactionUID
            WHERE 
        WithholdingPercentage>0
            AND DATE(headers.TransactionEndTime) = '(101)'
            AND  headers.TransactionStatus = 'N'
            AND  headers.DocumentTypeUID != 13
    ) 
) AS Q;",
 '        --------------------------------\n%40.40s\n', '2', '4'
);

DELETE FROM `reportsections` WHERE UID=27003;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('27003', '0', '1', '27', NULL, '\n\n        -- FORMAS PAGAMENTO--           \nForma Pagamento                    Valor\n----------------------------------------\n', 
 "SELECT 
    pTypes.LongDescription as 'description',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.Type in (0,3,6)
    AND DATE(headers.TransactionEndTime)  between '(101)' and '(111)'
    and  headers.TransactionStatus = 'N'
    and  headers.DocumentTypeUID != 13 
Group by tenders.PaymentTypeUID
union
SELECT 
    'Dinheiro',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND DATE(headers.TransactionEndTime)  between '(101)' and '(111)'
    and  headers.TransactionStatus = 'N'
    and  headers.DocumentTypeUID != 13 
Group by pTypes.type
UNION
SELECT 
    'Ret. Fonte',
    replace(SUM(ROUND(NetValue/100*WithholdingPercentage/10000,2)),'.',',') as 'value' 
FROM 
    transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID=details.TransactionUID
    WHERE 
WithholdingPercentage>0
    AND DATE(headers.TransactionEndTime)  between '(101)' and '(111)'
    AND  headers.TransactionStatus = 'N'
    AND  headers.DocumentTypeUID != 13 ;",
 '%-20.20s%20.20s\n',
 "SELECT replace(SUM(v1),'.',',') as 'value' FROM
(
    (
        SELECT 
            round(IFNULL(sum(tenders.value),0)/100,2) as v1
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.Type in (0,1,3,6)
            AND DATE(headers.TransactionEndTime)  between '(101)' and '(111)'
            and headers.TransactionStatus = 'N'
            and  headers.DocumentTypeUID != 13
    ) 
    UNION
    (
        SELECT
            SUM(ROUND(NetValue/100*WithholdingPercentage/10000,2)) as v1
        FROM 
            transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID=details.TransactionUID
            WHERE 
        WithholdingPercentage>0
            AND DATE(headers.TransactionEndTime)  between '(101)' and '(111)'
            AND  headers.TransactionStatus = 'N'
            AND  headers.DocumentTypeUID != 13
    ) 
) AS Q;"
 , '        --------------------------------\n%40.40s\n', '2', '4');

 
DELETE FROM `reportsections` WHERE UID=3003;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
(
 '3003', '0', '1', '3', NULL, '\n    Vendas\n    -----------------\n',
 "SELECT 
    'Dinheiro',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND tenders.MovementUID =  '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
Group by pTypes.type
UNION
SELECT
    pTypes.LongDescription as 'description',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3,6) /* diferente dinheiro, facturacao externa e conta corrente*/
    AND tenders.MovementUID =   '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
Group by tenders.PaymentTypeUID;",
 '    %-20.20s%16.16s',
 "SELECT 
    replace(round( IFNULL(sum(tenders.value),0)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (2,3,6) /* facturaca externa e conta corrente*/
    AND tenders.MovementUID =  '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/", 
 '                                   -----\n    Total: %29.29s', '2', '3');
 
 
DELETE FROM `reportsections` WHERE UID=3010;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
(
'3010', '0', '1', '3', NULL, NULL, NULL, NULL, 
"SELECT REPLACE(ROUND(
(
    (
        SELECT IFNULL( sum(value),0) 
        FROM cashdrawer_movements mov
            INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
        WHERE 
        (
        mov.CashDrawerMovementUID =  '(121)'
        AND mType.MovementFlow>0
        )
       || 
        mov.uid =   '(121)'
    )
    +
    (
        SELECT IFNULL( sum(value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.type NOT IN (2,3) /* diferente facturacao externa e conta corrente*/
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (  
        SELECT IFNULL(sum(tenders.value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.code = 9998
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (
        SELECT IFNULL(sum(value),0)
        FROM cashdrawer_movements mov
        inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
        WHERE 
            mov.CashDrawerMovementUID =  '(121)'
            and mov.MovementTypeID != 2 /*exclui fecho caixa*/
            and mType.MovementFlow = 0
    )
    -
    (
    SELECT 
        IFNULL(sum(tenders.value),0) 
    FROM cashdrawertenders tenders
        INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    WHERE CashDrawerMovementUID =  '(110)'
    )
)/100,2),'.',',') AS 'value';", '\nDiferenca Caixa: %-20.20s\n----------------------------------------\n', '2', '10');



DELETE FROM `reportsections` WHERE UID=19003;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('19003', '0', '1', '19', NULL, '\n    Vendas\n    -----------------\n', 
"SELECT 
    'Dinheiro',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND tenders.MovementUID =  '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
Group by pTypes.type
UNION
SELECT
    pTypes.LongDescription as 'description',
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3,6) /* diferente dinheiro, facturacao externa e conta corrente*/
    AND tenders.MovementUID =   '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
Group by tenders.PaymentTypeUID;",
 '    %-20.20s%16.16s
', "SELECT 
    replace(round( IFNULL(sum(tenders.value),0)/100,2),'.',',') as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (2,3,6) /* facturaÃÂ§ÃÂ£o externa e conta corrente e pontos*/
    AND tenders.MovementUID =  '(121)'
   AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/",
 '                                   -----\n    Total: %29.29s', '2', '3');
 
 
 
DELETE FROM `reportsections` WHERE UID=19008;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('19008', '0', '1', '19', NULL, '', NULL, NULL, 
"SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
     )
   || 
    mov.uid =  '(121)'
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, facturaÃÂ§ÃÂ£o externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/   
)
+
(
SELECT IFNULL(sum(value),0)
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID = '(121)'
    and mov.MovementTypeID != 2 /*exclui fecho caixa*/
    and mType.MovementFlow = 0
)
)
)/100,2),'.',',') as 'value'",
 '\n\n----------------------------------------\nVALOR EM CAIXA: %-20.20s\n', '2', '8');

-- actualização dos formatos de impressão do relatório de artigos cancelados/anulados
UPDATE `reportsections` SET `DetailFormat`='%-14.14s %10.10s %6.6s %7.7s' WHERE `UID`='23004';
UPDATE `reportsections` SET `DetailFormat`='%s%s %9.9s%4.4s %-4.4s %-13.13s%7.7s' WHERE `UID`='23003';
UPDATE `reportsections` SET `DetailFormat`='%-14.14s %10.10s %6.6s %7.7s' WHERE `UID`='23002';
UPDATE `reportsections` SET `DetailFormat`='%s%s %9.9s%4.4s %-4.4s %-13.13s%7.7s' WHERE `UID`='23001';

-- report Guias de transporte
DELETE FROM Reports WHERE UID=35;
INSERT INTO `reports`
(`UID`,`RecordDeleted`,`SyncCounter`,`Code`,`Description`,`HeaderText`,`HeaderFormat`,`FooterText`,`FooterFormat`,`Comments`,`Hints`,`Variables`,`ReportType`)
VALUES
('35', '0', '1', '35', 'Guias de Transporte', 'Guias de Transporte
----------------------------------------
Data Inicio:(109)
Data Fim:(112)', '%s', NULL, '%s', NULL, 'Listagem com as guias de transporte emitidas. Selecione o intervalo de Datas.', '101,111,109,112', '19');

DELETE FROM `reportsections` WHERE UID=35001;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('35001', '0', '1', '35', NULL, '\n\n', 
"SELECT col FROM(
SELECT UID,2 AS col_order,'data', CONCAT('  ','Data: ',TransactionEndTime,'\n') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)'
UNION
SELECT UID,1 AS col_order,'documento',CONCAT('Guia: ',DocumentID,'\n') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' 
UNION
SELECT UID,3 AS col_order,'cliente',CONCAT('  ','Cliente: ',(SELECT ShortName FROM customers WHERE UID=CustomerUID),'\n') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' 
UNION
(SELECT 
    headers.UID, 5 AS col_order, 'total',CONCAT('  ','Total: ',replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',','),'\n\n' )AS col
FROM transactionsheaders headers
INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType
WHERE DATE(headers.TransactionEndTime) BETWEEN '(101)' AND '(111)'
AND headers.TransactionStatus = 'N' 
AND headers.DocumentTypeUID=13
Group by headers.UID)
UNION
(
SELECT 
    headers.UID, 4 AS col_order, details.PluName, CONCAT('    ',details.PluName,'\t ',replace(round(SaleValue/100,2),'.',','),'\n') AS col
FROM transactionsheaders headers
INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType
WHERE DATE(headers.TransactionEndTime) BETWEEN '(101)' AND '(111)'
AND headers.TransactionStatus = 'N' 
AND headers.DocumentTypeUID=13
ORDER by headers.UID
)
ORDER BY UID, col_order) AS Q;",
 '%s', NULL, NULL, '1', '1');


-- report Notas de crédito
DELETE FROM Reports WHERE UID=36;
INSERT INTO `reports`
(`UID`,`RecordDeleted`,`SyncCounter`,`Code`,`Description`,`HeaderText`,`HeaderFormat`,`FooterText`,`FooterFormat`,`Comments`,`Hints`,`Variables`,`ReportType`)
VALUES
('36', '0', '1', '36', 'Notas de crédito', 'Notas de crédito
----------------------------------------
Data Inicio:(109)
Data Fim:(112)', '%s', '\n', '%s', NULL, 'Listagem com as notas de crédito emitidas entre datas. Seleccione o intervalo de datas.', '101,111,109,112,125', '19');

DELETE FROM `reportsections` WHERE UID=36001;
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`) VALUES
('36001', '0', '1', '36', NULL, '\n\n', 
"SELECT 
    DocumentID, 
    TransactionEndTime, 
    REPLACE(ROUND(ABS(SUM(Value/100)),2),'.',','),
    (SELECT ShortName From customers WHERE UID=H.CustomerUID) 
FROM transactionsheaders AS H INNER JOIN transactionstenders AS T ON H.UID=T.TransactionUID
WHERE 
    DocumentTypeUID=25 AND 
    DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' AND 
    CustomerUID LIKE '(125)'
GROUP BY H.DocumentID
ORDER BY H.CustomerUID,H.DocumentID;"
, '%-10.10s %19.19s %9.9s\n', 
"SELECT 
    REPLACE(ROUND(ABS(SUM(Value/100)),2),'.',',')
FROM transactionsheaders AS H INNER JOIN transactionstenders AS T ON H.UID=T.TransactionUID
WHERE 
    DocumentTypeUID=25 AND 
    DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' AND
    CustomerUID LIKE '(125)';",
 '        --------------------------------\n%40.40s\n', '3', '1');
