/*v0476*/
DELETE FROM `languagedictionaries` WHERE StringID in (1864,1865,1866,1867,1868);

INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'Tem a certeza que quer fechar esta Guia?', '1864', 'MSG_BOX_TEXT', '1', 'SCREEN_TABLE_EDIT'),
('0', '1', 'Será efetuada uma ligação com os serviços da AT para obter o código de transporte.', '1865', 'MSG_BOX_TEXT', '1', 'SCREEN_TABLE_EDIT'),
('0', '1', 'Ocorreu um erro na ligação com os serviços da AT. \nPor favor tente de novo.', '1866', 'MSG_BOX_TEXT', '1', 'SCREEN_TABLE_EDIT'),
('0', '1', 'Doc. C/IVA Incluido', '1867', 'IVA_PRINT', '1', 'PRINT'),
('0', '1', 'Doc. S/IVA Incluido', '1868', 'IVA_PRINT', '1', 'PRINT');

UPDATE `reportsections` SET `HeaderFormat`='\\n\\n          -- DOC. ANULADOS --\\nHora  Doc        Empregado         Valor\\n----------------------------------------\\n' WHERE `UID`='1005';
UPDATE `reportsections` SET `DetailQuery`="SELECT 
    salesmans.SalesmanName as 'description', 
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
    INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
    INNER JOIN salesmans on headers.ModifySalesmanUID = salesmans.UID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUid != 13 -- guias
Group by headers.ModifySalesmanUID;", `FooterQuery`="SELECT 
    replace(round(IFNULL(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100),0)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
    INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
    INNER JOIN salesmans on headers.ModifySalesmanUID = salesmans.UID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like '(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUid != 13 -- guias" WHERE `UID`='6001';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    salesmans.SalesmanName as 'description', 
    Date(headers.TransactionEndTime),
    replace(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
    INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
    INNER JOIN salesmans on headers.ModifySalesmanUID = salesmans.UID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUid != 13 -- guias
Group by headers.ModifySalesmanUID,Date(headers.TransactionEndTime)", `FooterQuery`="SELECT 
    replace(round(IFNULL(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100),0)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
    INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
    INNER JOIN salesmans on headers.ModifySalesmanUID = salesmans.UID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like '(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUid != 13 -- guias" WHERE `UID`='6002';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    DATE(headers.TransactionEndTime)as dateDay,
    round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2) as 'net_value',
    round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2) as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
   AND headers.TransactionStatus = 'N'
   and  headers.DocumentTypeUID != 13
GROUP BY dateDay;", `FooterQuery`="SELECT 
    round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2) as 'net_value',
    round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2) as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
    and  headers.DocumentTypeUID != 13" WHERE `UID`='15002';

UPDATE `reportsections` SET `DetailQuery`="SELECT
    qry.plu,
    IF(qry.ispeso>0,concat(format(qry.qt/1000,3),\"Kg\"),concat(qry.qt,\" Un\")) as qt,
    round(qry.value/100,2) as lineValue,
    truncate(qry.value*100/(
        SELECT sum(details.SaleValue) FROM transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID WHERE DATE(headers.TransactionEndTime)BETWEEN  '(101)'  AND '(111)' AND headers.TransactionStatus = 'N' 
        ),2) as perc
FROM(
    SELECT 
        PluName as plu,
        Sum(details.Quantity) as qt,
        props.ReadQuantityFromScale as ispeso,
        sum(details.SaleValue-details.salevalue*headers.DiscountPercent/100) as value
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.TransactionEndTime)BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N'
        AND headers.documentTypeUID  != 13 -- guias
    GROUP BY PluName
    HAVING QT > 0
    ORDER BY plu
) as qry;", `FooterQuery`="SELECT SUM(IF(props.ReadQuantityFromScale,1,details.Quantity)) as newqt,
        round(sum(details.SaleValue-details.salevalue*headers.DiscountPercent/100)/100,2) as value
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.TransactionEndTime)BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N';
        AND headers.documentTypeUID  != 13 -- guias" WHERE `UID`='20001';

UPDATE `reportsections` SET `DetailQuery`="SELECT CONCAT( LPAD(HOUR(details.CreateDate),2,'0'),':',LPAD( FLOOR(MINUTE(details.CreateDate)/15)*15, 2, '0'), '-', LPAD( (FLOOR(MINUTE(details.CreateDate)/15)+1)*15, 2, '0' )) AS minRange,
       round(SUM(SaleValue-details.salevalue*headers.DiscountPercent/100)/100,2) AS sales
FROM   transactionsdetails details 
INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID 
WHERE DATE(headers.TransactionEndTime)BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N'
        AND headers.documentTypeUID  != 13 -- guias
GROUP BY minRange
ORDER BY minRange;" WHERE `UID`='21001';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
     IF(Q._name=     @lastName,'',   @lastName:= Q._name) AS OpSalesman,
     Q._item AS OpItem,
     Q._qnt AS OpQnt,
     Q._value AS OpValue
FROM
(
SELECT 
    @lastName:='',
    CONCAT(salesmans.SalesmanName,\"\n\") AS _name,
    details.PluName AS _item,
    sum(details.Quantity) AS _qnt,
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') AS _value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    AND DATE(headers.TransactionEndTime)<= '(111)'
    AND headers.TransactionStatus = 'N'     
    AND headers.documentTypeUID  != 13 -- guias
GROUP BY details.pluuid, salesmans.UID
ORDER by _name) 
AS Q;" WHERE `UID`='25001';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    salesmans.SalesmanName AS 'Name',
    sum(details.Quantity) AS 'Qnt',
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    AND DATE(headers.TransactionEndTime)<= '(111)'
    AND headers.TransactionStatus = 'N'     
    AND headers.documentTypeUID  != 13 -- guias
GROUP BY salesmans.UID
ORDER by 'Name';" WHERE `UID`='25002';


UPDATE `reportsections` SET `DetailQuery`="SELECT 
    details.PluName,
    sum(details.Quantity) as q,
    replace(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') as 'net_value',
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID

WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias
GROUP BY details.pluuid
ORDER by q desc;", `FooterQuery`="SELECT 
    replace(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') as 'net_value',
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias" WHERE `UID`='8001';
	
UPDATE `reportsections` SET `HeaderFormat`='\\n\\n          -- DOC. ANULADOS --\\nHora  Doc        Empregado         Valor\\n----------------------------------------\\n' WHERE `UID`='27005';
DELETE FROM `reportsections` WHERE `UID`='32002';