/*v0504*/
UPDATE `reportsections` SET `DetailQuery`="SELECT col FROM(
SELECT UID,2 AS col_order,'data', CONCAT('  ','Data: ',TransactionEndTime,'
') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)'
UNION
SELECT UID,1 AS col_order,'documento',CONCAT('Guia: ',DocumentID,'
') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' 
UNION
SELECT UID,3 AS col_order,'cliente',CONCAT('  ','Cliente: ',(SELECT ShortName FROM customers WHERE UID=CustomerUID),'
') as col FROM TransactionsHeaders WHERE DocumentTypeUID=13 AND DATE(TransactionEndTime) BETWEEN '(101)' AND '(111)' 
UNION
(SELECT 
    headers.UID, 5 AS col_order, 'total',CONCAT('  ','Total: ',replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',','),'
' )AS col
FROM transactionsheaders headers
INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
WHERE DATE(headers.TransactionEndTime) BETWEEN '(101)' AND '(111)'
AND headers.TransactionStatus = 'N' 
AND headers.DocumentTypeUID=13
Group by headers.UID)
UNION
(
SELECT 
    headers.UID, 4 AS col_order, details.PluName, CONCAT('    ',details.PluName,'	 ',replace(round(SaleValue/100,2),'.',','),'
') AS col
FROM transactionsheaders headers
INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID
WHERE DATE(headers.TransactionEndTime) BETWEEN '(101)' AND '(111)'
AND headers.TransactionStatus = 'N' 
AND headers.DocumentTypeUID=13
ORDER by headers.UID
)
ORDER BY UID, col_order) AS Q;" WHERE `UID`='35001';

DELETE FROM `languagedictionaries` WHERE StringID in (1223);
INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'DOCUMENTO
\\DS - Contador
\\DD - Data
\\DH - Hora
\\DA - Assinatura
\\DO - Sub-totais
\\DT - Natureza
\\DN - Observações

GUIAS DE TRANSPORTE
\\GC - Hora Carga
\\GD - Hora Descarga
\\GT - Transporte
\\GI - Cód.Transporte

CARTÃO
\\MM - Nome Mesa/Cartão
\\ME - Empregado
\\MT - Total
\\MC - Nome cliente
\\MN - NIF cliente
\\MA - Morada cli (1)
\\MB - Morada cli (2)
\\MD - C.Postal cliente
\\ML - Localidade cliente
\\MV - Iva
\\MO - Nome Mesa/Cartão
\\MP - Pagamento
\\MI - Pedido
\\MR - Doc Origem

LICENÇA
\\LE - Empresa
\\LM - Morada
\\LC - C.Postal
\\LL - Localidade
\\LF - Contribuinte
\\LN - Nome Real

FORMATAÇÃO
\\FD - Double size
\\FE - Depois bitmap
\\FI - Beep
\\FN - Normal size
\\FP - Preto
\\FS - Antes bitmap
\\FU - Underline
\\FV - Vermelho', '1223', 'HintText', '1', 'SCREEN_CONFIG_DOCUMENTPARTS');