/*v0514*/
UPDATE `reportsections` SET `HeaderFormat`='\\n\\n ---          Totais            ---\\nEmpregado              Qnt        Valor\\n----------------------------------------\\n',
`DetailQuery`="SELECT 
    salesmans.SalesmanName AS 'Name',
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as 'Qnt',
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
	INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    AND DATE(headers.TransactionEndTime)<= '(111)'
    AND headers.TransactionStatus = 'N'     
    AND headers.documentTypeUID  != 13 -- guias
GROUP BY salesmans.UID
ORDER by 'Name';" WHERE `UID`='25002';
	
