/*v0521*/

DELETE FROM `reports` where `UID` in (39,40);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`, `Hints`, `Variables`, `ReportType`) 
VALUES ('39', '0', '1', '39', 'Ofertas Artigos', '\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s\\n', '\\n', '%s\\n', 'Seleccione o intervalo de Datas', '101,111,109,112', '19'),
('40', '0', '1', '40', 'Lista SubTotais', '\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s\\n', '\\n', '%s\\n', 'Seleccione o intervalo de Datas', '101,111,109,112', '19');

DELETE FROM `reportsections` where `UID` in (39001,39002,40001,40002);
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `Columns`, `OrderField`) 
VALUES 
('39001', '0', '1', '39', '\n          -- OFERTAS --    \nQnt  Artigo                IVA    Total\n----------------------------------------\n', "SELECT 
    count(details.Quantity),
    details.PluName,

    IF(details.IsOffer = 1, 
    CASE 
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 0 THEN
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice1)-(
    (details.Quantity *  p.SalesPrice1) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice1)
    )/100,2)
    
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 1 THEN
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice2)-(
    (details.Quantity *  p.SalesPrice2) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice2)
    )/100,2)
    
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 2 THEN
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice3)-(
    (details.Quantity *  p.SalesPrice3) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice3)
    )/100,2)
    
    END 
    , 
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  details.PluunitPrice)-(
    (details.Quantity *  details.PluunitPrice) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  details.PluunitPrice)
    )/100,2))as 'tax_value',
    
    IF(details.IsOffer = 1, 
    
    CASE 
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 0 THEN
    round(sum((details.Quantity *  p.SalesPrice1))/100,2)
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 1 THEN
    round(sum((details.Quantity *  p.SalesPrice2))/100,2)
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 2 THEN
    round(sum((details.Quantity *  p.SalesPrice3))/100,2)
    END
    ,
    round(sum((details.Quantity *  details.PluunitPrice))/100,2)) as 'value'
        
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
    LEFT JOIN taxes on taxes.UID = details.SaleTaxUID
    LEFT JOIN plus on plus.UID =  details.PluUID
    LEFT JOIN properties p on p.UID =  plus.PropertyUID
WHERE 
    DATE(headers.TransactionEndTime) between '(101)'  and '(111)'
    AND TransactionStatus = 'N'
    AND headers.DocumentTypeUID != 13
    AND (details.DiscountPercentage = 100 
    or  details.IsOffer = 1)
GROUP BY details.PluUID
ORDER BY headers.TransactionEndTime;", '%5.5s %-16.16s %8.8s %8.8s\n', '5', '1'),
('39002', '0', '1', '39', '----------------------------------------\n', "SELECT 
    round(sum(
    IF(details.IsOffer = 1, 
    
    CASE 
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 0 THEN
    IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice1)-(
    (details.Quantity *  p.SalesPrice1) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice1)
    
    
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 1 THEN
    IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice2)-(
    (details.Quantity *  p.SalesPrice2) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice2)
    
    
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 2 THEN
    IF (details.VatIncluded = true,
    ((details.Quantity *  p.SalesPrice3)-(
    (details.Quantity *  p.SalesPrice3) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  p.SalesPrice3)
    
    
    END 
    , 
    IF (details.VatIncluded = true,
    ((details.Quantity *  details.PluunitPrice)-(
    (details.Quantity *  details.PluunitPrice) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  details.PluunitPrice)
    ))/100,2)as 'tax_value',
    
    round(sum(
    IF(details.IsOffer = 1, 
    
    CASE 
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 0 THEN
    (details.Quantity *  p.SalesPrice1)
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 1 THEN
    (details.Quantity *  p.SalesPrice2)
    WHEN (SELECT DefaultSalesPrice FROM generalconfig) = 2 THEN
    (details.Quantity *  p.SalesPrice3)
    END
    ,
    (details.Quantity *  details.PluunitPrice)))/100,2) as 'value'
        
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
    LEFT JOIN taxes on taxes.UID = details.SaleTaxUID
    LEFT JOIN plus on plus.UID =  details.PluUID
    LEFT JOIN properties p on p.UID =  plus.PropertyUID
WHERE 
    DATE(headers.TransactionEndTime) between '(101)'  and '(111)'
    AND TransactionStatus = 'N'
    AND headers.DocumentTypeUID != 13
    AND (details.DiscountPercentage = 100 
    or  details.IsOffer = 1)
ORDER BY headers.TransactionEndTime", 'Total:                 %8.8s %8.8s', '3', '2'),
('40001', '0', '1', '40', '\n          -- SubTotais --    \nData/Hora     Docs                Totais\n----------------------------------------\n', "SELECT 
IF(z.DocDate =@lastDocDate,'',@lastDocDate:=z.DocDate) AS DocDate,
IF(z.DocTime =@lastDocTime,'',@lastDocTime:=z.DocTime) AS DocTime,
IF(z.DocumentID =@lastDocumentID,'',@lastDocumentID:=z.DocumentID) AS DocumentID,
z.TableTot, 
z.SubTotalID,
z.SubTotalTot
FROM
(

SELECT 
@lastDocDate =a.DocDate,
@lastDocTime ='',
@lastDocumentID ='',
@lastTableTot ='',
@lastSubTotalID ='',
a.DocDate,
a.DocTime,
a.DocumentID, 
a.TableTot, 
a.SubTotalID,
a.SubTotalTot
FROM (
SELECT 
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
th.DocumentID as DocumentID, 
round(th.TableTotal/100,2) as TableTot, 
Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID) as SubTotalID,
round(st.tabletotal/100,2) as SubTotalTot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
WHERE th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 
) AS a

UNION

SELECT 
@lastDocDate =b.DocDate,
@lastDocTime ='',
@lastDocumentID ='',
@lastTableTot ='',
@lastSubTotalID ='',
b.DocDate,
b.DocTime,
b.DocumentID, 
b.TableTot, 
b.SubTotalID,
b.SubTotalTot
FROM 
(SELECT 
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
th.DocumentID as DocumentID, 
round(th.TableTotal/100,2) as TableTot, 
Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID) as SubTotalID,
round((st.tabletotal - th.TableTotal)/100,2) as SubTotalTot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 
AND th.TableTotal<> st.tabletotal
) as b
ORDER BY DocDate desc ,DocumentID,TableTot,SubTotalID,SubTotalTot desc
) as z", '%s%5.5s %8.8s %7.7s %8.8s %8.8s\n', '6', '1'),
('40002', '0', '1', '40', '----------------------------------------\n', "SELECT 
round(sum((st.tabletotal - th.TableTotal))/100,2) as SubTotalTot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
WHERE 
th.TransactionStatus = 'N'
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 
AND OrderReferences <> ''
AND th.TableTotal<> st.tabletotal", 'Total Diferenca:                %8.8s', '2', '2');