/*v0522*/

-- Relatorio Extrato Conta CLiente
UPDATE `reportsections` SET `DetailQuery`= "SELECT  H.TransactionEndTime,h.DocumentID,REPLACE(ROUND(COALESCE(h.TableTotal ,0)/100,2),'.',',')
FROM `transactionsheaders` as h   
    inner join `transactionstenders` as t on h.UID = t.TransactionUID   
    inner join `paymenttypes` as pTypes on t.PaymentTypeUID = pTypes.UID   
WHERE h.CustomerUID = '(125)'
AND t.UID not in      
    (SELECT SaleTransactionTenderUID  
    FROM cashdrawer_movements_docs cmd  
    LEFT JOIN cashdrawer_movements cm on cm.UID = cmd.CashDrawerMovementUID 
    WHERE cm.Voided = 0) 
and pTypes.Type = 3  
and h.TransactionStatus = 'N'  
ORDER BY h.TransactionStartTime;" WHERE `UID`='30002';

-- Novo documento Adiantamento
DELETE FROM `documenttypes` WHERE UID=1003;
INSERT INTO `documenttypes`
(`UID`,`RecordDeleted`,`SyncCounter`,`Code`,`Description`,`ShortDescription`,`HeaderUID`,`FooterUID`,`BodyUID`,`NumberOfColumns`,`DocumentCounterUID`,`DocumentType`)
VALUES
('1003', '0', '50', '16', 'Adiantamento', 'AD', '36', '37', '8', '40', '0', '26');

DELETE FROM `documentcounters` WHERE UID=30;
INSERT INTO `documentcounters` 
(`UID`, `DataChar`, `SeqNum`, `DocumentType`, `SalesTerminal`, `Active`) 
VALUES ('30', 'AD', '0', '26', '0', '1');


DELETE FROM `documentparts` WHERE UID in (32,33,36,37); 
INSERT INTO `documentparts` 
(`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `PartType`, `Contents`) 
VALUES ('32', '0', '108', '8', 'Cabeçalho Recibo', '1', "\\FD  \\FN
\\LE
\\LM 
\\LC 
NIF: \\LF
---------------------------------------
Data: \\DD, \\DH
\\DT n: \\DS
---------------------------------------"),
('33', '0', '114', '9', 'Rodapé Recibo', '2', "----------------------------------------
\\MV
\\MP"),
('36', '0', '108', '36', 'Cabeçalho Adiantamento', '1', "\\FD  \\FN
\\LE
\\LM 
\\LC 
NIF: \\LF
---------------------------------------
Data: \\DD, \\DH
\\DT n: \\DS
---------------------------------------"),
('37', '0', '114', '37', 'Rodapé Adiantamento', '2', "----------------------------------------
\\MP");

UPDATE `documenttypes` SET `HeaderUID`= 32, `FooterUID` = 33 WHERE UID = 5;						-- Recibo

DELETE FROM `screens` WHERE `ScreenType` = 1 AND `ID` in (106,156);
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`,`ScreenType`)
VALUES
('0', '3221', 'SCREEN_CONFIG_CUSTOMERS', '106', "{\"objects\":[{\"id\":\"18520\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":106},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":45},{\"value\":\"#365#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"24519\",\"windowid\":\"18520\",\"type\":\"com.sage.components.panels.Panel\",\"arguments\":[{\"value\":301},{\"value\":12},{\"value\":0},{\"value\":41},{\"value\":39},{\"value\":2},{\"value\":-1},{\"value\":1},{\"value\":\"\"}]},{\"id\":\"15351\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":2},{\"value\":26},{\"value\":10},{\"value\":27},{\"value\":3},{\"value\":\"#366#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"20319\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":26},{\"value\":4},{\"value\":27},{\"value\":3},{\"value\":\"#367#\"},{\"value\":1},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"12014\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":3},{\"value\":26},{\"value\":13},{\"value\":27},{\"value\":3},{\"value\":\"#368#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"19933\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":4},{\"value\":26},{\"value\":16},{\"value\":13},{\"value\":3},{\"value\":\"#369#\"},{\"value\":1},{\"value\":3},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"22375\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":6},{\"value\":26},{\"value\":19},{\"value\":13},{\"value\":3},{\"value\":\"#370#\"},{\"value\":1},{\"value\":3},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"27191\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":5},{\"value\":40},{\"value\":16},{\"value\":13},{\"value\":3},{\"value\":\"#371#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"15405\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":7},{\"value\":40},{\"value\":19},{\"value\":13},{\"value\":3},{\"value\":\"#372#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"7436\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":9},{\"value\":26},{\"value\":25},{\"value\":27},{\"value\":3},{\"value\":\"#373#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"21594\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":8},{\"value\":40},{\"value\":22},{\"value\":13},{\"value\":3},{\"value\":\"#374#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"17952\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":19},{\"value\":34},{\"value\":13},{\"value\":19},{\"value\":3},{\"value\":\"#375#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"31085\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":20},{\"value\":34},{\"value\":4},{\"value\":19},{\"value\":3},{\"value\":\"#376#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"5785\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":21},{\"value\":34},{\"value\":7},{\"value\":19},{\"value\":3},{\"value\":\"#377#\"},{\"value\":0},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"26385\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":22},{\"value\":34},{\"value\":10},{\"value\":19},{\"value\":3},{\"value\":\"#379#\"},{\"value\":0},{\"value\":0},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"22054\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":26},{\"value\":26},{\"value\":31},{\"value\":27},{\"value\":7},{\"value\":\"#381#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":1},{\"value\":-1},{\"value\":0}]},{\"id\":\"7709\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":25},{\"value\":13},{\"value\":22},{\"value\":12},{\"value\":3},{\"value\":\"#382#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"8837\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":10},{\"value\":26},{\"value\":22},{\"value\":13},{\"value\":3},{\"value\":\"#383#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"27798\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":11},{\"value\":13},{\"value\":10},{\"value\":12},{\"value\":3},{\"value\":\"#384#\"},{\"value\":1},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"1018\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":12},{\"value\":26},{\"value\":28},{\"value\":27},{\"value\":3},{\"value\":\"#385#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"10935\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":14},{\"value\":13},{\"value\":13},{\"value\":12},{\"value\":3},{\"value\":\"#386#\"},{\"value\":1},{\"value\":3},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"18100\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":13},{\"value\":13},{\"value\":19},{\"value\":12},{\"value\":3},{\"value\":\"#387#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"32080\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":15},{\"value\":20},{\"value\":7},{\"value\":13},{\"value\":3},{\"value\":\"#388#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"18489\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":18},{\"value\":13},{\"value\":4},{\"value\":12},{\"value\":3},{\"value\":\"#389#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"12275\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":17},{\"value\":34},{\"value\":16},{\"value\":19},{\"value\":3},{\"value\":\"#390#\"},{\"value\":1},{\"value\":1},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"8526\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":27},{\"value\":20},{\"value\":20},{\"value\":33},{\"value\":10},{\"value\":\"#391#\"},{\"value\":1},{\"value\":5},{\"value\":0},{\"value\":\"12\"},{\"value\":1},{\"value\":-1},{\"value\":1}]},{\"id\":\"3540\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":16},{\"value\":20},{\"value\":4},{\"value\":13},{\"value\":3},{\"value\":\"CCheckBox\"},{\"value\":\"#392#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":1}]},{\"id\":\"6129\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":28},{\"value\":26},{\"value\":7},{\"value\":27},{\"value\":3},{\"value\":\"#519#\"},{\"value\":1},{\"value\":3},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"5692\",\"windowid\":\"18520\",\"type\":\"com.sage.components.list.ListBox\",\"arguments\":[{\"value\":201},{\"value\":0},{\"value\":4},{\"value\":12},{\"value\":35},{\"value\":[{\"v\":12}]},{\"value\":\"CButton\"},{\"value\":2},{\"value\":-1},{\"value\":0}]},{\"id\":\"25190\",\"windowid\":\"18520\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":4778},{\"value\":0},{\"value\":0},{\"value\":12},{\"value\":3},{\"value\":\"#344#\"},{\"value\":0},{\"value\":0},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":0},{\"value\":-1}]},{\"id\":\"4606\",\"windowid\":\"18520\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":24},{\"value\":13},{\"value\":16},{\"value\":12},{\"value\":3},{\"value\":\"#380#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"19298\",\"windowid\":\"18520\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":23},{\"value\":13},{\"value\":7},{\"value\":12},{\"value\":3},{\"value\":\"#378#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"31072\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-2},{\"value\":47},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#297#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1041.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"2265\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-1},{\"value\":41},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#298#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1042.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"22081\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-6},{\"value\":6},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#300#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1087.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"25089\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-5},{\"value\":0},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#299#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1088.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"27787\",\"windowid\":\"18520\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":30},{\"value\":20},{\"value\":10},{\"value\":13},{\"value\":3},{\"value\":\"CCheckBox\"},{\"value\":\"#1919#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":1}]}]}", '0', '1'),
('0', '3222', 'SCREEN_CUSTOMER_ACCOUNT', '156', "{\"objects\":[{\"id\":\"12474\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":156},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":45},{\"value\":\"#1055#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"21371\",\"windowid\":\"12474\",\"type\":\"com.sage.components.panels.Panel\",\"arguments\":[{\"value\":301},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":43},{\"value\":3},{\"value\":-1},{\"value\":0},{\"value\":\"\"}]},{\"id\":\"10313\",\"windowid\":\"12474\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":2},{\"value\":1},{\"value\":9},{\"value\":13},{\"value\":3},{\"value\":\"#1056#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":-1}]},{\"id\":\"18978\",\"windowid\":\"12474\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":5},{\"value\":1},{\"value\":34},{\"value\":13},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1057#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1053.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"15743\",\"windowid\":\"12474\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":3},{\"value\":1},{\"value\":13},{\"value\":13},{\"value\":3},{\"value\":\"#1058#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":-1}]},{\"id\":\"27550\",\"windowid\":\"12474\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":99},{\"value\":4},{\"value\":58},{\"value\":26},{\"value\":3},{\"value\":\"#770#\"},{\"value\":0},{\"value\":0},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":0},{\"value\":-1}]},{\"id\":\"20425\",\"windowid\":\"12474\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":4},{\"value\":1},{\"value\":5},{\"value\":13},{\"value\":3},{\"value\":\"#1059#\"},{\"value\":[{\"v\":13}]},{\"value\":6},{\"value\":\"12\"},{\"value\":-1},{\"value\":69},{\"value\":\"CButton\"}]},{\"id\":\"544\",\"windowid\":\"12474\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":1},{\"value\":5},{\"value\":13},{\"value\":3},{\"value\":\"#1059#\"},{\"value\":1},{\"value\":0},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":-1}]},{\"id\":\"3906\",\"windowid\":\"12474\",\"type\":\"com.sage.components.list.ListBox\",\"arguments\":[{\"value\":201},{\"value\":15},{\"value\":5},{\"value\":38},{\"value\":33},{\"value\":[{\"v\":38}]},{\"value\":\"CCheckBox\"},{\"value\":0},{\"value\":0},{\"value\":1}]},{\"id\":\"31065\",\"windowid\":\"12474\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":6},{\"value\":1},{\"value\":30},{\"value\":13},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1574#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1097.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"19665\",\"windowid\":\"12474\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-3},{\"value\":47},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#247#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1094.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"2722\",\"windowid\":\"12474\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":7},{\"value\":1},{\"value\":17},{\"value\":13},{\"value\":3},{\"value\":\"CCheckBox\"},{\"value\":\"#1911#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"8242\",\"windowid\":\"12474\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":8},{\"value\":1},{\"value\":22},{\"value\":13},{\"value\":3},{\"value\":\"#1920#\"},{\"value\":[{\"v\":13}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]}]}", '0', '1');

DELETE FROM `languagedictionaries` WHERE StringID in (1919,1920);
INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'Cliente RIC', '1919', 'CustomerRIC', '1', 'SCREEN_CONFIG_CUSTOMERS'),
('0', '1', 'T.Pagamento', '1920', 'CustomerAccountPaymentType', '1', 'SCREEN_CUSTOMER_ACCOUNT');

DELETE FROM `reports` where `UID` in (40);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`, `Hints`, `Variables`, `ReportType`) 
VALUES ('40', '0', '1', '40', 'Lista SubTotais', '\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s\\n', '\\n', '%s\\n', 'Lista de Subtotais com total superior ao da fatura correspondente.\n\nSeleccione o intervalo de Datas', '101,111,109,112', '19');

DELETE FROM `reportsections` where `UID` in (40001,40002);
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `Columns`, `OrderField`) 
VALUES 
('40001', '0', '1', '40', '\n          -- SubTotais --    \nData/Hora  Empreg  Fat/SubTot     Totais\n----------------------------------------\n', "SELECT 
IF(z.DocDate =@lastDocDate,'',@lastDocDate:=z.DocDate) AS DocDate,
z.DocTime AS DocTime,
mid(z.SalesmanName,1,7),
z.DocID as DocID,
z.subtot,
z.tot
FROM
(

SELECT 
@lastDocDate =a.DocDate,
a.DocDate,
a.DocTime,
a.DocType,
a.DocID, 
a.DocInvoice,
a.SalesmanName,
a.subtot,
a.tot
FROM (
SELECT distinct
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
th.DocumentID as DocID,
th.DocumentID as DocInvoice,
0 as DocType,
s.SalesmanName,
Concat('M: ',th.TableID) as subtot,
round(th.TableTotal/100,2) as tot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
LEFT JOIN salesmans s on s.UID = st.CreateUserUID
WHERE th.TransactionStatus = 'N'
AND th.TableTotal < st.tabletotal
AND OrderReferences <> ''
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 
) AS a

UNION

SELECT 
@lastDocDate =b.DocDate,
b.DocDate,
b.DocTime,
b.DocType,
b.DocID, 
b.DocInvoice,
b.SalesmanName,
b.subtot,
b.tot
FROM 
(SELECT 
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
1 as DocType,
Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID) as DocID,
th.DocumentID as DocInvoice,
s.SalesmanName,
round((st.tabletotal)/100,2) as subtot,
round((st.tabletotal - th.TableTotal)/100,2) as tot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
LEFT JOIN salesmans s on s.UID = st.CreateUserUID
INNER JOIN (SELECT th.DocumentID pID,max(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)) maxDocID
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
GROUP BY th.DocumentID) sq on sq.pID = th.DocumentID AND SQ.maxDocID = Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)

WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 

) as b
ORDER BY DocDate desc , DocInvoice desc , DocType, DocID desc
) as z", '%s%5.5s %7.7s %8.8s %8.8s %8.8s\n', '6', '1'),
('40002', '0', '1', '40', '----------------------------------------\n', "SELECT 
round(sum((st.tabletotal - th.TableTotal))/100,2) as tot
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
LEFT JOIN salesmans s on s.UID = st.CreateUserUID
INNER JOIN (SELECT th.DocumentID pID,max(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)) maxDocID
FROM transactionsheaders th
LEFT JOIN subtotals st ON FIND_IN_SET(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID),th.OrderReferences)
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
GROUP BY th.DocumentID) sq on sq.pID = th.DocumentID AND SQ.maxDocID = Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' ", 'Total Diferenca:                %8.8s', '2', '2');