/*v0528*/
UPDATE `reportsections` SET `DetailQuery`="SELECT 
 CONCAT_WS(' ',mType.description,mov.DocumentID) as description,
 replace(round(mov.value/100,2),'.',',') as 'value' 
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
and t.PaymentTypeUID <> 9997
     )
   || 
    mov.uid = '(121)'", `FooterQuery`="SELECT replace(round(sum(mov.value)/100,2),'.',',') as 'value'
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    ( 
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
and t.PaymentTypeUID <> 9997
     )
   || 
    mov.uid =  '(121)'" WHERE `UID`='19002';
UPDATE `reportsections` SET `FooterQuery`="SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(mov.value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
and t.PaymentTypeUID <> 9997
     )
   || 
    mov.uid =  '(121)'
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, facturacaoo externa e conta corrente*/
    AND tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
)/100,2),'.',',') as 'value'" WHERE `UID`='19004';

UPDATE `reportsections` SET `FooterQuery`="SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(mov.value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
	left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
	and t.PaymentTypeUID <> 9997
     )
   || 
    mov.uid =  '(121)'
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, factura???§???£o externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/   
)
+
(
SELECT IFNULL(sum(value),0)
FROM cashdrawer_movements mov
inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID = '(121)'
    and mov.MovementTypeID != 2 /*exclui fecho caixa*/
    and mType.MovementFlow = 0
)
)
)/100,2),'.',',') as 'value'" WHERE `UID`='19008';