/*v0545*/
UPDATE `reportsections` SET `DetailQuery` = "
SELECT 
IF(z.DocDate =@lastDocDate,'',@lastDocDate:=z.DocDate) AS DocDate,
z.DocTime AS DocTime,
mid(z.SalesmanName,1,7),
z.DocID as DocID,
z.subtot,
z.tot
FROM
(

SELECT 
@lastDocDate =a.DocDate,
a.DocDate,
a.DocTime,
a.DocType,
a.DocID, 
a.DocInvoice,
a.SalesmanName,
a.subtot,
a.tot
FROM (
SELECT distinct
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
th.DocumentID as DocID,
th.DocumentID as DocInvoice,
0 as DocType,
s.SalesmanName,
Concat('M: ',th.TableID) as subtot,
round(th.TableTotal/100,2) as tot
FROM transactionsheaders th
LEFT JOIN transactionssubtotals ts on ts.TransactionID = TH.UID
LEFT JOIN subtotals st ON st.DataChar = ts.SubTotalChar AND st.ID = ts.SubTotalID
LEFT JOIN salesmans s on s.UID = st.CreateUserUID
WHERE th.TransactionStatus = 'N'
AND th.TableTotal < st.tabletotal
AND OrderReferences <> ''
AND DATE(th.TransactionEndTime) between    '(101)'  and  '(111)'  
AND DATE(st.CreateDate) between   '(101)'  and  '(111)'  
) AS a

UNION

SELECT 
@lastDocDate =b.DocDate,
b.DocDate,
b.DocTime,
b.DocType,
b.DocID, 
b.DocInvoice,
b.SalesmanName,
b.subtot,
b.tot
FROM 
(SELECT 
concat(Date(th.ModifyDate),\"\n\") as DocDate,
TIME_FORMAT(th.ModifyDate,'%H:%i') as DocTime,
1 as DocType,
Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID) as DocID,
th.DocumentID as DocInvoice,
s.SalesmanName,
round((st.tabletotal)/100,2) as subtot,
round((st.tabletotal - th.TableTotal)/100,2) as tot
FROM transactionsheaders th
LEFT JOIN transactionssubtotals ts on ts.TransactionID = TH.UID
LEFT JOIN subtotals st ON st.DataChar = ts.SubTotalChar AND st.ID = ts.SubTotalID
LEFT JOIN salesmans s on s.UID = st.CreateUserUID

INNER JOIN (
SELECT th.DocumentID pID,max(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)) maxDocID
FROM transactionsheaders th
LEFT JOIN transactionssubtotals ts on ts.TransactionID = TH.UID
LEFT JOIN subtotals st ON st.DataChar = ts.SubTotalChar AND st.ID = ts.SubTotalID
WHERE 
th.TransactionStatus = 'N'
AND DATE(th.TransactionEndTime) between    '(101)'  and  '(111)' 
AND DATE(st.CreateDate) between    '(101)'  and  '(111)' 
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
GROUP BY th.DocumentID) sq on sq.pID = th.DocumentID AND SQ.maxDocID = Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)

WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
AND DATE(th.TransactionEndTime) between    '(101)'  and  '(111)'  
AND DATE(st.CreateDate) between    '(101)'  and  '(111)' 
) as b
ORDER BY DocDate desc , DocInvoice desc , DocType, DocID desc
) as z
" WHERE `UID`='40001';
UPDATE `reportsections` SET `DetailQuery` = "
SELECT 
round(sum((st.tabletotal - th.TableTotal))/100,2) as tot
FROM transactionsheaders th
LEFT JOIN transactionssubtotals ts on ts.TransactionID = TH.UID
LEFT JOIN subtotals st ON st.DataChar = ts.SubTotalChar AND st.ID = ts.SubTotalID
LEFT JOIN salesmans s on s.UID = st.CreateUserUID
INNER JOIN (SELECT th.DocumentID pID,max(Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)) maxDocID
FROM transactionsheaders th
LEFT JOIN transactionssubtotals ts on ts.TransactionID = TH.UID
LEFT JOIN subtotals st ON st.DataChar = ts.SubTotalChar AND st.ID = ts.SubTotalID
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
GROUP BY th.DocumentID) sq on sq.pID = th.DocumentID AND SQ.maxDocID = Concat(st.DataChar,REPEAT('0',7-length(st.ID)), st.ID)
WHERE 
th.TransactionStatus = 'N'
AND OrderReferences <> ''
AND th.TableTotal < st.tabletotal 
AND DATE(th.TransactionEndTime) between  '(101)'  and  '(111)' 
" WHERE `UID`='40002';

