/*v0546*/
UPDATE `reportsections` SET `FooterQuery`= "
SELECT 
    REPLACE(ROUND(SUM(T.value)/100,2),'.',',') AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
INNER JOIN cashdrawertenders T on mov.UID = T.CashDrawerMovementUID
INNER JOIN paymenttypes P on P.UID=T.PaymentTypeUID
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND P.type NOT IN (2,3,6)
	AND  mov.Voided = 0 
" WHERE `UID`='3007';
UPDATE `reportsections` SET `FooterQuery`= "SELECT REPLACE(ROUND(
(
   (
        SELECT IFNULL( sum(value),0) 
        FROM cashdrawer_movements mov
            INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
        WHERE 
        (
        mov.CashDrawerMovementUID =  '(121)'
        AND mType.MovementFlow>0
        )
       || 
        mov.uid =   '(121)'
    )
    +
    (
        SELECT IFNULL( sum(value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.type NOT IN (2,3) /* diferente facturacao externa e conta corrente*/
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (  
        SELECT IFNULL(sum(tenders.value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.code = 9998
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (
       SELECT 
   IFNULL(SUM(T.value),0) AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
INNER JOIN cashdrawertenders T on mov.UID = T.CashDrawerMovementUID
INNER JOIN paymenttypes P on P.UID=T.PaymentTypeUID
WHERE 

    mov.CashDrawerMovementUID =   '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND P.type NOT IN (2,3,6)
	AND  mov.Voided = 0 
    )
    -
    (
    SELECT 
        IFNULL(sum(tenders.value),0) 
    FROM cashdrawertenders tenders
        INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    WHERE CashDrawerMovementUID =  '(110)'
    )
)/100,2),'.',',') AS 'value';" WHERE `UID`='3010';
UPDATE `reportsections` SET `FooterQuery`="
SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
     )
   || 
    mov.uid =  '(121)'
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
   /*as notas de credito estao contabilizadas nas saidas de caixa!*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, facturacao externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
   AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
)
+
(
SELECT 
    IFNULL(SUM(T.value),0) AS sum_value

FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
INNER JOIN cashdrawertenders T on mov.UID = T.CashDrawerMovementUID
INNER JOIN paymenttypes P on P.UID=T.PaymentTypeUID
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND P.type NOT IN (2,3,6)
	AND mov.Voided = 0 
)
)
)/100,2),'.',',') as 'value'
" WHERE `UID`='3008';

UPDATE `reportsections` SET `FooterQuery`="
SELECT 
    REPLACE(ROUND(SUM(T.value)/100,2),'.',',') AS sum_value

FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
INNER JOIN cashdrawertenders T on mov.UID = T.CashDrawerMovementUID
INNER JOIN paymenttypes P on P.UID=T.PaymentTypeUID
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND P.type NOT IN (2,3,6)
	AND mov.Voided = 0 " WHERE `UID`='19007';
UPDATE `reportsections` SET `FooterQuery`="
SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(mov.value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
	left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    (
	
    mov.CashDrawerMovementUID = '(121)'
	and mov.Voided = 0
    and mType.MovementFlow>0
	and (t.PaymentTypeUID <> 9997 || t.PaymentTypeUID is NULL)
     )
   || 
    mov.uid =  '(121)' 
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, facturaÃ?Â?Ã?Â§Ã?Â?Ã?Â£o externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/   
)
+
(
SELECT 
    IFNULL(SUM(T.value),0) AS sum_value

FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
INNER JOIN cashdrawertenders T on mov.UID = T.CashDrawerMovementUID
INNER JOIN paymenttypes P on P.UID=T.PaymentTypeUID
WHERE 

    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND P.type NOT IN (2,3,6)
	AND mov.Voided = 0 
)
)
)/100,2),'.',',') as 'value'
" WHERE `UID`='19008';