/*z0027*/

DELETE FROM `reports` WHERE UID in (43,44,45);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`,`Comments`, `Hints`, `Variables`, `ReportType`) 
VALUES 
('43', '0', '1', '43', 'Metodos Pagamento Zona', 'Metodos Pagamento Zona\nData inicio: (109)\nData fim: (112)', '%s\n', NULL, NULL, NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '27'),
('44', '0', '1', '44', 'Listagem de Documentos', 'Listagem de Documentos\nData inicio: (109)\nData fim: (112)', '%s\n', NULL, NULL, NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '19'),
('45', '0', '1', '45', 'Fecho Dia Curto', 'Fecho Dia\nData (109)', '%s\n', NULL, NULL, NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '27');

DELETE FROM `reportsections` WHERE UID in (43001,43002,44001);
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('43001', '0', '1', '43', NULL, 'Zona      Forma Pagamento          Valor\n----------------------------------------\n', "SELECT 
IF(Q.zone=     @lastName,'',   @lastName:= Q.zone) AS zona,
Q.description, Q.value
FROM
(
SELECT 
@lastName:='',
    CONCAT(zone,'\n') AS zone,
description, round(value/100,2) as value FROM
(
SELECT 
    zones.Description as 'zone',
    pTypes.code as 'typeCode',
    (select case pTypes.code when '9999' then 'Dinheiro' when '9998' then 'Dinheiro' else pTypes.LongDescription end) AS 'description',
    sum(tenders.value) as 'value'
FROM transactionsheaders headers 
    LEFT JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
    LEFT JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    LEFT JOIN zones on headers.zone = zones.UID 

 WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
	AND  headers.DocumentTypeUID <> 13
GROUP BY zone,typeCode

UNION ALL

SELECT 
    zones.Description as 'zone',
    9 as 'typeCode',
    '-- Total --' AS 'description',
   sum(tenders.value) as 'value'
FROM transactionsheaders headers 
    LEFT JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
    LEFT JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    LEFT JOIN zones on headers.zone = zones.UID 
 WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
	AND  headers.DocumentTypeUID <> 13
GROUP BY zone,typeCode
) AS A
ORDER BY zone,typeCode
) AS Q", '%s     %-20.20s%15.15s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
	AND  headers.DocumentTypeUID <> 13
    ", '                       -----------------\n%40.40s\n', '3', '1'),
('43002', '0', '1', '43', NULL, 'Forma Pagamento                    Valor\n----------------------------------------\n', "SELECT 
    (select case pTypes.code when '9999' then 'Dinheiro' when '9998' then 'Dinheiro' else pTypes.LongDescription end) AS description,
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
GROUP BY description
", '%-20.20s%20.20s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
    ", '                       -----------------\n%40.40s\n', '2', '2'),
('44001', '0', '1', '44', NULL, 'Documento         Mesa     Pagam   Valor\n----------------------------------------\n', "SELECT 
    documenttypes.ShortDescription,
    headers.DocumentID,
    headers.TableID,
    pTypes.LongDescription,
    round(tenders.value/100,2) as 'value'
FROM transactionsheaders headers 
    LEFT JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
    LEFT JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    LEFT JOIN documenttypes on documenttypes.DocumentType = headers.DocumentTypeUID
        
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
    AND documenttypes.RecordDeleted = 0    
GROUP BY headers.DocumentID, tenders.PaymentTypeUID", '%-4.4s %-11.11s %-8.8s %-6.6s %7.7s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'", '                       -----------------\n%40.40s\n', '5', '1');

DELETE FROM `reportsections` WHERE UID in (45001,45002,45003,45004);
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('45001', '0', '1', '45', NULL, 'Forma Pagamento                    Valor\n----------------------------------------\n', "SELECT 
    (select case pTypes.code when '9999' then 'Dinheiro' when '9998' then 'Dinheiro' else pTypes.LongDescription end) AS description,
    round(sum(tenders.value)/100,2) as 'value'

FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    
WHERE DATE(headers.TransactionEndTime) = '(101)'
    AND headers.TransactionStatus = 'N'
    
GROUP BY description
", '%-20.20s%20.20s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime) = '(101)'
    AND headers.TransactionStatus = 'N'
", '                       -----------------\n%40.40s\n', '2', '1'),
('45002', '0', '1', '45', NULL, 'Documento            Pagamento     Valor\n----------------------------------------\n', "SELECT 
    documenttypes.ShortDescription,
    headers.DocumentID,
    pTypes.LongDescription,
    round(tenders.value/100,2) as 'value'
FROM transactionsheaders headers 
    LEFT JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
    LEFT JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    LEFT JOIN documenttypes on documenttypes.DocumentType = headers.DocumentTypeUID
WHERE DATE(headers.TransactionEndTime) = '(101)'
    AND headers.TransactionStatus = 'N'
    AND documenttypes.RecordDeleted = 0    
GROUP BY headers.DocumentID, tenders.PaymentTypeUID", '%-8.8s %-11.11s %8.8s %10.10s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime) = '(101)'
    AND headers.TransactionStatus = 'N'", '                       -----------------\n%40.40s\n', '4', '2'),
('45003', '0', '1', '45', NULL, 'Recibo                             Valor\n----------------------------------------\n', "SELECT 
    DocumentID, 
    round(Value/100,2) as value
FROM 
    cashdrawer_movements mov
WHERE DATE(mov.Date) = '(101)'
    AND mov.Voided = 0 
	AND mov.MovementTypeID = 8", '%-20.20s%20.20s\n', "SELECT 
    round(Value/100,2) as value
FROM 
    cashdrawer_movements mov
WHERE DATE(mov.Date) = '(101)'
    AND mov.Voided = 0
	AND mov.MovementTypeID = 8", '                       -----------------\n%40.40s\n', '2', '3'),
('45004', '0', '1', '45', NULL, 'Tx    Incidencia       Valor       Total\n----------------------------------------\n', "SELECT
    taxes.TaxRate as 'rate',
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
    replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime)  = '(101)'  
AND  headers.TransactionStatus = 'N' 
and  headers.DocumentTypeUID != 13
Group by SaleTaxUID", '%4.4s%12.12s%12.12s%12.12s\n', "SELECT
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
    replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime) = '(101)'  
AND  headers.TransactionStatus = 'N' 
AND  headers.DocumentTypeUID != 13", '        --------------------------------\n%16.16s%12.12s%12.12s\n', '4', '4');

/*sl*/

DELETE FROM `reports` WHERE UID in (44,45);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`,`Comments`, `Hints`, `Variables`, `ReportType`) 
VALUES 
('44', '0', '1', '44', 'Listagem de Documentos', 'Listagem de Documentos\nData inicio: (109)\nData fim: (112)', '%s\n', NULL, NULL, NULL, 'Seleccione o intervalo de Datas', '101,111,109,112', '19');

DELETE FROM `reportsections` WHERE UID in (44001);
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('44001', '0', '1', '44', NULL, 'Documento         Mesa     Pagam   Valor\n----------------------------------------\n', "SELECT 
    documenttypes.ShortDescription,
    headers.DocumentID,
    headers.TableID,
    pTypes.LongDescription,
    round(tenders.value/100,2) as 'value'
FROM transactionsheaders headers 
    LEFT JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
    LEFT JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    LEFT JOIN documenttypes on documenttypes.DocumentType = headers.DocumentTypeUID
        
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'
    AND documenttypes.RecordDeleted = 0    
GROUP BY headers.DocumentID, tenders.PaymentTypeUID", '%-4.4s %-11.11s %-8.8s %-6.6s %7.7s\n', "SELECT 
    round(sum(tenders.value)/100,2) as 'value'
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(headers.TransactionEndTime)between '(101)' and '(111)'
    AND headers.TransactionStatus = 'N'", '                       -----------------\n%40.40s\n', '5', '1');
