/*z0041*/

DELETE FROM `reports` WHERE UID in (47);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`,`Comments`, `Hints`, `Variables`, `ReportType`) 
VALUES 
('47', '0', '1', '47', 'Vendas por Artigo/Zona', 'Vendas por Artigo/Zona\n--------------------------------------\nData Inicio: (109)\nData Fim: (112)\nProduto: (114)\nEmpregado: (103)', '%s\n', '\n', NULL, NULL, 'Seleccione Empregado, Data Inicial e Final, Produto', '101,102,111,113,109,112,114,103', '27');

DELETE FROM `reportsections` WHERE UID in (47001);
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('47001', '0', '1', '47', NULL, '\nZona/Descricao             Qtd     Valor\n----------------------------------------\n', "
SELECT 
IF(Q.zone=     @lastName,'',   @lastName:= Q.zone) AS zona,
pluDescription,
q,
sale_value
FROM 
(
SELECT 
@lastName:='',
    CONCAT(zone,'
') AS zone,
pluDescription,
round(q) as q,
sale_value as sale_value
FROM 
(
SELECT 
    zones.Description as 'zone',
    1 as 'typeCode',
    details.PluName AS 'pluDescription',
	SUM(
	IF(properties.ReadQuantityFromScale,
	IF(headers.documentTypeUID != 25,details.Quantity/1000,-1*details.Quantity/1000),
	IF(headers.documentTypeUID != 25,details.Quantity,-1*details.Quantity)
	)) as q,
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as sale_value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
    LEFT JOIN zones on headers.zone = zones.UID 
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias
GROUP BY zone, typeCode,  pluDescription
UNION ALL
SELECT 
    zones.Description as 'zone',
    9 as 'typeCode',
    '-- Total --' AS 'pluDescription',
	SUM(
	IF(properties.ReadQuantityFromScale,
	IF(headers.documentTypeUID != 25,details.Quantity/1000,-1*details.Quantity/1000),
	IF(headers.documentTypeUID != 25,details.Quantity,-1*details.Quantity)
	)) as q,
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as sale_value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
    LEFT JOIN zones on headers.zone = zones.UID 
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias
    GROUP BY zone,typeCode, pluDescription
    ) A
GROUP BY zone,typeCode,pluDescription
) AS Q", '%s     %-20.20s%5.5s%10.10s\n', "
SELECT 
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias", '        --------------------------------\n%40.40s\n', '5', '0');
