/*z0049*/

/*sl*/
UPDATE `reportsections` SET `HeaderFormat`= "\n\nCod   PLU   Artigo   Preco\n----------------------------------------\n",
`DetailQuery`="
SELECT 

    qry.pUid,

    qry.pPlu,

    qry.pDescription, 

    replace(round(qry.pSalesPrice/100,2),'.',',') as pPrice

FROM (

    SELECT

    @lastFamily ='',

    @lastSubFamily ='',

    p.ItemID AS pUid,

    IF(p.ProductLookUp IS NULL,'0',p.ProductLookUp) AS pPlu,

    SUBSTR(p.ShortDescription1,1,20) AS pDescription, 

    SUBSTR(prop.SalesPrice1,1,10) AS pSalesPrice

    FROM plus p

    INNER JOIN properties prop on p.PropertyUID = prop.uid 

    WHERE p.RecordDeleted=0 

    ORDER BY pDescription

) AS qry",`DetailFormat`="%10.10s %5.5s%15.20s%8.8s\n"
 WHERE `UID`='17001';

