/*z0065*/

UPDATE `reportsections` SET `DetailFormat`='%s%s %10.10s %5.5s%15.20s\\n %7.7s %7.7s %7.7s %7.7s %7.7s\\n' WHERE `UID`='17001';
UPDATE `reportsections` SET `Columns`='10' WHERE `UID`='17001';

UPDATE `reportsections` SET `DetailQuery`='SELECT 
    IF(qry.pFamily =  @lastFamily,\'\',   @lastFamily:=   qry.pFamily) AS family,
    IF(qry.pSubFamily =@lastSubFamily,\'\',@lastSubFamily:=qry.pSubFamily) AS subFamily,
    qry.pUid,
    qry.pPlu,
    qry.pDescription, 
    replace(round(qry.pSalesPrice/100,2),\'.\',\',\') as pPrice,
    replace(round(qry.pSalesPrice2/100,2),\'.\',\',\') as pPrice2,
    replace(round(qry.pSalesPrice3/100,2),\'.\',\',\') as pPrice3,
    replace(round(qry.pSalesPrice4/100,2),\'.\',\',\') as pPrice4,
    replace(round(qry.pSalesPrice5/100,2),\'.\',\',\') as pPrice5
FROM (
    SELECT
    @lastFamily =\'\',
    @lastSubFamily =\'\',
    IF(sf.RecordDeleted=0,
        SUBSTR(concat(f.description,\"
\"),1,20),
        SUBSTR(concat("Sem familia
\"),1,20)) AS pFamily,
    IF(sf.RecordDeleted=0,
        SUBSTR(concat(\"    \",sf.description,\"
\"),1,30),
        SUBSTR(concat(\"\"),1,30))
        AS pSubFamily,
    p.ItemID AS pUid,
    IF(p.ProductLookUp IS NULL,\'0\',p.ProductLookUp) AS pPlu,
    SUBSTR(p.ShortDescription1,1,20) AS pDescription, 
    SUBSTR(prop.SalesPrice1,1,10) AS pSalesPrice,
    SUBSTR(prop.SalesPrice2,1,10) AS pSalesPrice2,
    SUBSTR(prop.SalesPrice3,1,10) AS pSalesPrice3,
    SUBSTR(prop.SalesPrice4,1,10) AS pSalesPrice4,
    SUBSTR(prop.SalesPrice5,1,10) AS pSalesPrice5
    FROM plus p
    INNER JOIN properties prop on p.PropertyUID = prop.uid 
    INNER JOIN families f on p.FamilyID = f.UID
    INNER JOIN subfamilies sf on p.SubFamilyID = sf.UID 
    WHERE p.RecordDeleted=0 
    ORDER BY pFamily, pSubFamily,pDescription
) AS qry'
WHERE `UID`='17001';
UPDATE `languagedictionaries` SET `StringID`=2013 where UID=16599;

