/*z0086*/
UPDATE `reportsections` SET `DetailQuery`=
'SELECT 
    pTypes.ShortDescription as \'description\',
    replace(round(tenders.Value/100,2),\'.\',\',\') as \'value\'
FROM dayclosetenders tenders
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE DATE(tenders.Date) =   \'(101)\'  ;' 
WHERE `UID`='41001';

UPDATE `reportsections` SET `DetailQuery`=
'SELECT REPLACE(ROUND(
(
   (
        SELECT IFNULL( sum(value),0) 
        FROM cashdrawer_movements mov
            INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
        WHERE 
        (
        mov.CashDrawerMovementUID =  \'(121)\'
        AND mType.MovementFlow>0
        )
       || 
        mov.uid =   \'(121)\'
    )
    +
    (
        SELECT IFNULL( sum(value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.type NOT IN (2,3) /* diferente facturacao externa e conta corrente*/
            AND  tenders.MovementUID =  \'(121)\'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (  
        SELECT IFNULL(sum(tenders.value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.code = 9998
            AND  tenders.MovementUID =  \'(121)\'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (
       SELECT 
   IFNULL(SUM(mov.value),0) AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =   \'(121)\'
    /*AND mov.MovementTypeID != 2 exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND  mov.Voided = 0 
    )
    -
    (
    SELECT 
        IFNULL(sum(tenders.value),0) 
    FROM cashdrawertenders tenders
        INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    WHERE CashDrawerMovementUID =  \'(110)\'
    )
)/100,2),\'.\',\',\') AS \'value\';'
WHERE `UID`='3010';