var boffice_JsonObjects = new function() {
    "use strict";

    this.Process = function(data) {

        var cButtonArray = [];
        var cButtonCount = 0;
        var cButtonParent = "";

        windowIDLast = windowID;
        windowID = data.objects[0].arguments[0].value;


        var topCurrentWindow = 0;
        var leftCurrentWindow = 0;

        var windowRects = {};

        if (windowID == 1)
            numberDesktopsSent++;



        var win = document.getElementById("w" + windowID);
        if (win != undefined) //JANELA JA EXISTE
        {
            if (numberDesktopsSent > 1 && cacheMode == 1) {

                //$("button[snatch_parent]").css("display","none")
                cacheMode = 0;
                showWait(0);



                //$("#1_101").hide();
                $("a[snatch_jsonid=6637]").hide();
                //$("#1_101").show('slow', function() {
                if (!isMobile) {
                    $("#btFullScreen").show('slow', function() {
                        setTimeout(function() {
                            $("button#btFullScreen").hide('slow', function() {

                            });
                        }, 6000);
                    });
                }
                if ((!isAdmin) && (!bofficeGlobals.DEBUG)) {
                    var cache = new bofficeCache();
                    cache.cacheAllwindows();
                }
                //});
                $("a[snatch_jsonid=6637]").show();


                //caching ends here
                afterLoad();
            }
        }

        /* main process */
        var procID;
        var screenmigration;
        var uniqueIds = [];

        var windowPanel;

        //check for html5 cache:
        var content = null;
        if (bofficeGlobals.useCache) {
            var cacheKey = "w" + windowID + "_cache";
            if (localStorage.getItem(cacheKey) != null) {
                if (localStorage.getItem(cacheKey + "_orig") == JSON.stringify(data)) {
                    //$("body").append(localStorage.getItem(windowID+"html"));
                    content = JSON.parse(localStorage.getItem(cacheKey));
                    //$("body").append(content.html);
                    console.log("[CACHE] got " + windowID + " from cache");
                } else {
                    console.log("[CACHE] Updating " + windowID + " cache");
                    //keep original jsonString
                    localStorage.setItem(cacheKey + "_orig", md5(JSON.stringify(data)));
                }

            } else {
                localStorage.setItem(cacheKey + "_orig", md5(JSON.stringify(data)));
            }

        }

        $.each(data.objects, function() {

            //sanity
            var xID = this.arguments[0].value;
            if (xID == undefined) xID = this.arguments[0].id;

            var xLeft = this.arguments[1].value;
            if (xLeft == undefined) xLeft = this.arguments[1].x;

            var xTop = this.arguments[2].value;
            if (xTop == undefined) xTop = this.arguments[2].y;

            var xHeight = this.arguments[4].value;
            if (xHeight == undefined) xHeight = this.arguments[4].h;

            //drop everything 2py
            xTop += bofficeGlobals.TITLE_BARHEIGHT;

            var xWidth = this.arguments[3].value;
            if (xWidth == undefined) xWidth = this.arguments[3].w;

            procID = windowID + "_" + xID;

            if (uniqueIds.indexOf(procID) >= 0) {
                console.log("WARNING: * Duplicate element for screen '" + windowID + "': " + procID + " : " + this.type + "\t*");
            } else {
                uniqueIds.push(procID);
            }

            /* Infamous Legacy HACKS !!! */
            if (this.type == "com.sage.components.text.TextBox") {
                if (this.arguments[11].value == 0) //skin!
                {
                    xHeight += 1;
                }
            }

            //get rectagule
            var rect2 = bofficeScreen.snapToGridCoordsRound(xTop, xLeft, xWidth, xHeight)
            var rect = bofficeScreen.fromSnatchCoordsFromRect(rect2);


            var rootWindow;
            //strech windows to screen size
            if (bofficeScreen.RESOLUTION == 2) {
                if (this.type == "com.sage.components.window.Window") {


                    if (xWidth < 65) {
                        if ($.inArray(windowID, bofficeGlobals.notifWindows) < 0) {
                            bofficeGlobals.unscaledWindows.push(windowID);
                        };
                    }

                    //check for screen adjustments
                    screenmigration = new ScreenMigrations(windowID, xTop, xLeft, xWidth, xHeight, rect);

                } else {
                    //elements in notif window
                    if ($.inArray(windowID, bofficeGlobals.notifWindows) >= 0) {
                        var windowRect;
                        if (windowRects[windowID] == undefined) {
                            windowRect = bofficeScreen.getWindowRect(windowID);
                            windowRects[windowID] = windowRect;
                        } else {
                            windowRect = windowRects[windowID];
                        }
                        rect = bofficeScreen.fromSnatchCoordsRel(xTop, xLeft, xWidth, xHeight, {
                            'height': windowRect.height,
                            'width': windowRect.width
                        });

                    }

                }
                if (screenmigration != undefined) {
                    if (screenmigration.needsResize()) {
                        rect = screenmigration.resize(this, xTop, xLeft, xWidth, xHeight);
                    }
                    /*
                    else if (this.type == "com.sage.components.window.Window")
                    {
                        rect =bofficeScreen.fromSnatchCoords(0, 0, 65,53);
                    }*/

                }
            } else {
                //old code
                if (this.type == "com.sage.components.window.Window") {

                    if (!($.inArray(xID, bofficeGlobals.notifWindows) >= 0)) {
                        rootWindow = rect;
                        rootWindow.left = 0;
                        rootWindow.top = 0;
                        rootWindow.width = bofficeScreen.screenWidthPx + "px";
                        rootWindow.height = bofficeScreen.screenHeightPx + "px";
                        if (usePercUnits) {
                            rootWindow.height = "100%";
                            rootWindow.width = "100%";
                        }
                    }
                } else {
                    //elements in notif window
                    if ($.inArray(windowID, bofficeGlobals.notifWindows) >= 0) {
                        var windowRect = bofficeScreen.getWindowRect(windowID);
                        rect = bofficeScreen.fromSnatchCoordsRel(xTop, xLeft, xWidth, xHeight, {
                            'height': windowRect.height,
                            'width': windowRect.width
                        });
                    }

                }

            }



            /* OOB */
            if (this.type == "com.sage.components.window.Window") {
                if (uiData["window_" + xID] === undefined) {
                    var swindow = new SnatchWindow(windowID, xID, this.id, rect, this.type, this.arguments, rootWindow);
                    if (content === null)
                        swindow.createWindow(rootWindow);
                    else {
                        swindow.handleCache(content);
                    }
                    swindow.bindClicks();
                    uiData["window_" + xID] = swindow;
                }

            } else if (this.type == "com.sage.components.list.DropBox") {

                if (uiData["dropbox_" + procID] === undefined) {
                    var sdropbox = new SnatchDropBox(windowID, xID, this.id, rect, this.type, this.arguments);
                    if (content === null)
                        sdropbox.createDropBox();
                    else {
                        sdropbox.handleCache(content);
                    }
                    sdropbox.bindClicks();
                    uiData["dropbox_" + procID] = sdropbox;
                } else {
                    uiData["dropbox_" + procID].putTab(this.arguments[9].value);

                }

            } else if (this.type == "com.sage.components.text.TextBox") {
                //label fields
                if (xID == 99) {
                    xID += "_label_" + this.id;
                    procID = windowID + "_" + xID;
                    bofficeGlobals.labelFields.push(procID);
                }

                if (uiData["textbox_" + procID] === undefined) {
                    var stextbox = new SnatchTextBox(windowID, xID, this.id, rect, this.type, this.arguments);
                    if (content === null)
                        stextbox.createTextBox();
                    else {
                        stextbox.handleCache(content);
                    }
                    stextbox.bindClicks();
                    uiData["textbox_" + procID] = stextbox;
                } else {
                    uiData["textbox_" + procID].putTab(this.arguments[12].value);
                    uiData["textbox_" + procID].updateTextBox("");
                }

            } else if (this.type == "com.sage.components.list.ListBox") {
                if ((uiData["listbox_" + procID] === undefined) ||
                    (((windowID == 4) && (procID == 201)) && (cacheMode == 1)) //THIS IS SPOL!!
                ) {
                    var slistbox;
                    var alt_procID = procID;
                    if (uiData["listbox_" + procID] === undefined) //normal listbox
                    {
                        slistbox = new SnatchListBox(windowID, xID, this.id, rect, this.type, this.arguments);
                    } else //second listbox on window 4 SPOL!
                    {
                        alt_procID = procID + "2";
                        slistbox = new SnatchListBox(windowID, xID + "2", this.id, rect, this.type, this.arguments);

                    }

                    if (content === null) {
                        slistbox.createListBox();

                    } else {
                        slistbox.handleCache(content);
                    }
                    uiData["listbox_" + alt_procID] = slistbox;



                }

            } else if (this.type == "com.sage.components.panels.Panel") {

                var spanel = new SnatchPanel(windowID, xID, this.id, rect, this.type, this.arguments);
                windowPanel = spanel;



            } else if (this.type == "com.sage.components.slides.Slide") {
                if (uiData["slide_" + procID] === undefined) {
                    var sslide = new SnatchSlide(windowID, xID, this.id, rect, this.type, this.arguments);
                    if (content === null)
                        sslide.createSlide();
                    else {
                        sslide.handleCache(content);


                    }
                    sslide.bindClicks();
                    sslide.setOrigCoords(xLeft, xTop, xWidth, xHeight);
                    uiData["slide_" + procID] = sslide;
                } else {
                    uiData["slide_" + procID].putTab(this.arguments[8].value);
                }

            } else if ((this.type == "com.sage.components.slides.SlideGrid") || (this.type == "com.sage.components.Cslides.SlideGrid")) {
                if (uiData["slidegrid_" + procID] === undefined) {
                    var sslidegrid = new SnatchSlideGrid(windowID, xID, this.id, rect, this.type, this.arguments);

                    if (this.type == "com.sage.components.Cslides.SlideGrid")
                        cButtonParent = xID;
                    if (content === null)
                        sslidegrid.createSlideGrid();
                    else {
                        sslidegrid.handleCache(content);

                    }

                    sslidegrid.bindClicks();
                    uiData["slidegrid_" + procID] = sslidegrid;
                } else {
                    uiData["slidegrid_" + procID].putTab(this.arguments[9].value);
                }

            } else if (this.type == "com.sage.components.CSlides.Button") {

                //adicionar à estrutura de botões cButton
                cButtonCount++;
                cButtonArray.push(this);

            } else if (this.type == "com.sage.components.buttons.Button") {
                if (uiData["button_" + procID] === undefined) {
                    var sbutton = new SnatchButton(windowID, xID, this.id, rect, this.type, this.arguments);
                    if (content === null)
                        sbutton.createButton();
                    else {
                        sbutton.handleCache(content);
                    }
                    sbutton.bindClicks();
                    uiData["button_" + procID] = sbutton;
                } else {
                    uiData["button_" + procID].putTab(this.arguments[12].value);
                }

            } else {
                console.log("WARTNING: Unknown Type '" + this.type + "'");
            }


        });

        //verifica se existem cSlideGridButtons e adiciona-os ao pai
        if (cButtonCount > 0 && cButtonParent != "") {

            uiData["slidegrid_" + windowID + "_" + cButtonParent].addInitialButtons(cButtonArray);
        }

        //    this.HideWindow(windowIDLast);

        //panel is the last thing to be created
        if (windowPanel !== undefined) {
            if (content === null)
                windowPanel.createPanel();
            else {
                windowPanel.handleCache(content);
            }
            windowPanel.bindClicks();
            uiData["panel_" + windowPanel.procID] = windowPanel;
        }

        SnatchWindow.ShowWindow(windowID);

        //check for cache update
        if (bofficeGlobals.useCache) {
            if (cacheMode == 0) {
                //if (localStorage.getItem(cacheKey) === null) {
                var cache = new bofficeCache();
                cache.cacheWindow(windowID)
                    //}
            }
        }



        //send 'ack'
        return "screenok&windowID=" + windowID;
    }
}