"use strict";
var bofficeCache = SnatchBase.extend(function() {
    this.constructor = function(windowid, _id, json_id, rect, wtype, _arguments) {

    }

    this.cacheAllwindows = function() {
        var allWindows = $(".Window");

        if (Object.keys(localStorage).length <= 5) {
            for (var i = 0; i < allWindows.length; i++) {

                if ($(allWindows[i]).hasClass("notif")) {
                    continue;
                }
                var objs = {}
                var cWindow = ($(allWindows[i]).attr("id")).split("_")[0]
                cWindow = cWindow.substring(1, cWindow.length);
                uiData["window_" + cWindow].SetWindowTabIndex(0);
                var html = $(allWindows[i])[0].outerHTML;



                for (var k = 0; k < Object.keys(uiData).length; k++) {
                    var key = Object.keys(uiData)[k];
                    var split = key.split("_");

                    if (split[1] == cWindow) {
                        uiData[key].setParams();


                        //just test:
                        try {
                            var tmp = JSON.stringify(uiData[key].params);
                            objs[key] = uiData[key].params;
                        } catch (e) {
                            console.log("CACHE: ERROR JSON parse: " + key);
                        }
                        /*
                        if (uiData[key].uiKey == "window_") {
                            objs[key]['panel'] = uiData[key].getPanel();
                        }
                        */

                    }
                }
                var cacheKey = "w" + cWindow + "_cache";
                console.log("CACHE: caching: " + cacheKey);
                localStorage.setItem(cacheKey, JSON.stringify({
                    html: html,
                    keys: objs
                }));
            }
        }
    }
    this.cacheWindow = function(cWindow) {
        if (localStorage.length == 0)
            return;

        var cacheKey = "w" + cWindow + "_cache";

        if (localStorage.getItem(cacheKey) != null) {
            return;
        }
        var objs = {}
        var windowid = "#w" + cWindow;
        var html = $(windowid)[0].outerHTML;



        for (var k = 0; k < Object.keys(uiData).length; k++) {
            var key = Object.keys(uiData)[k];
            var split = key.split("_");

            if (split[1] == cWindow) {
                uiData[key].setParams();
                objs[key] = uiData[key].params;

                if (uiData[key].uiKey == "window_") {
                    objs[key]['panel'] = uiData[key].getPanel();
                }


            }
        }

        console.log("CACHE: Dynamic caching: " + cacheKey);
        localStorage.setItem(cacheKey, JSON.stringify({
            html: html,
            keys: objs
        }));
        console.log("CACHE: Windows cached: " + localStorage.length);
    }

    this.applyCache = function() {
        if ((bofficeGlobals.useCache == 0) || (isAdmin))
            return;
        for (var i = 0; i < localStorage.length; i++) {
            try {

                if (localStorage.key(i)[0] == "w") {
                    var content = JSON.parse(localStorage.getItem(localStorage.key(i)));
                    console.log("CACHE: Applying cache: " + localStorage.key(i));

                    $('body').append(content.html);
                    var id = localStorage.key(i).replace("_cache", "");
                    $("#" + id).css('z-index', 0);
                    $("#" + id).removeClass("currentw");

                    if (id == "w1") {
                        $("#1_101").css("opacity", 1);
                        $("#1_101").show();

                    } else {
                        $("#" + id).hide();
                    }

                }
            } catch (e) {
                console.log("CACHE: JSON parse: " + e);
                localStorage.clear();
                //location.reload();
            }



        }
    }
});