var bofficeWidgetsMenu = new function() {
	var lastLayout = "";

	/**************************************************************** Aux functions */

	this.deleteObject = function(_objID) {
		var obj = $("#" + _objID);
		var key = obj.parent().parent().parent().attr("id");
		if (uiData["slidegrid_" + key].getInitialButtons() != undefined) {
			var snatch_id = obj.attr("snatch_id");
			if (obj.attr("snatch_id") != -1) {
				//delete(uiData[key + "_initialButtons"][obj.attr("snatch_id")]);
				uiData["slidegrid_" + key].deleteInitialButton(obj.attr("snatch_id"));
			} else {
				delete(uiData["slidegrid_" + key].getInitialButtons()[obj.attr("id")]);
			}
		}

		obj.remove();
	}

	/*
		this.cloneButton = function(_objID) {
				alert("cloneButton");
			}
			
			//this.editButton = function(_objID) {
			//	alert("editButton");
			}*/
	/*
		this.cloneSlideGridButton = function(_objID) {

			lastID++;

			_baseObj = $("#" + _objID);

			_bColor = "0xE0E0E0";
			_bText = lastID;
			_parentSlide = _baseObj[0].parentElement.parentElement.parentElement.parentElement.parentElement.id;
			_pageGroupPage = _baseObj[0].parentElement.id;
			_newID = _parentSlide + "_" + lastID;

			//read info from base obj
			_snatch_icon = _baseObj.attr("snatch_icon");
			_snatch_image_element = _baseObj.attr("snatch_image_element");
			_height = _baseObj[0].style.height;
			_width = _baseObj[0].style.width;

			if (usePercUnits) {
				_left = "1%";
				_top = "1%";

			} else {
				_left = "10px";
				_top = "10px";
			}

			_type = _baseObj.attr("snatch_type");
			_down = _baseObj.attr("snatch_down");
			_referal = _baseObj.attr("snatch_referal");
			_tab = _baseObj.attr("snatch_tab");
			_parentNode = _baseObj.attr("snatch_parent");
			_skin = _baseObj.attr("snatch_skin");

			bofficeWidgetsSlideGrid.createSlideGridButton(false, _pageGroupPage, _newID, lastID, _height, _width, _top, _left, _bText, _bColor, _snatch_icon, _snatch_image_element, true, _type, _down, _skin, _referal, _tab, _parentNode);
		}
	*/
	this.addNewButton = function() {

		var _window = windowID;
		var lastId = 1000;

		var _newID = windowID + "_" + lastId;

		while ($("#" + _newID).length > 0) {
			lastId += 1;
			_newID = _window + "_" + lastId;
		}

		var xHeight = 4;
		var xWidth = 4;

		var xTop = Math.round(lastMouseclick.top / bofficeScreen.ty);
		var xLeft = Math.round(lastMouseclick.left / bofficeScreen.tx);

		//old way:
		/*		xTab = $("#w" + _window).children().first().find(".Panel").children().first().attr("snatch_current_page")
				xJsonID = "";
				xLabel = "Botão" + _id;
				xHidden = 0;
				xState = 0;
				xImage = "";
				xSkin = 2;
				xType = "CButton";
				xColor = "0xF7F5F6";
				xRef = "-1";
				xFontSize = defaultFontSize;
				*/
		//bofficeWidgetsButton.createButton("#" + _window + "Container", "#" + _window + "Container", _newID, _id, xHeight, xWidth, xTop, xLeft, xTab, xLabel, xHidden, xType, xImage, xSkin, xColor, xState, xRef, xJsonID, xFontSize, true);
		//new way:

		var rect = bofficeScreen.fromSnatchCoords(xTop, xLeft, xWidth, xHeight);
		var sbutton = new SnatchButton(windowID, lastId, -1, rect, "com.sage.components.buttons.Button");
		//sbutton.setArguments(this.arguments);
		sbutton.type = "CButton";
		sbutton.label = "Novo" + _newID;

		sbutton.createButton();

		uiData["button_" + sbutton.procID] = sbutton;
		uiData["button_" + sbutton.procID].id = lastId;
		isDraggable = 0;
		this.toggleContextMenus(windowID);



	}

	this.addNewTextBox = function() {

		var _window = windowID;
		var lastId = 1000;

		var _newID = windowID + "_" + lastId;

		while ($("#" + _newID).length > 0) {
			lastId += 1;
			_newID = _window + "_" + lastId;
		}

		var xHeight = 4;
		var xWidth = 8;

		var xTop = Math.round(lastMouseclick.top / bofficeScreen.ty);
		var xLeft = Math.round(lastMouseclick.left / bofficeScreen.tx);

		var rect = bofficeScreen.fromSnatchCoords(xTop, xLeft, xWidth, xHeight);
		var stextbox = new SnatchTextBox(windowID, lastId, -1, rect, "com.sage.components.text.TextBox");
		//stextbox.setArguments(this.arguments);
		uiData["textbox_" + stextbox.procID] = stextbox;
		stextbox.label = "Novo" + _newID;



		stextbox.createTextBox();
		bofficeWidgetsMenu.bindContextMenu($("#" + stextbox.procID), "textBoxMenu");
		isDraggable = 0;
		this.toggleContextMenus(windowID);
	}
	this.addNewPanel = function() {
		var _window = windowID;
		var lastId = 1000;

		var _newID = windowID + "_" + lastId;

		while ($("#" + _newID).length > 0) {
			lastId += 1;
			_newID = _window + "_" + lastId;
		}

		var xHeight = 8;
		var xWidth = 8;

		var xTop = Math.round(lastMouseclick.top / bofficeScreen.ty);
		var xLeft = Math.round(lastMouseclick.left / bofficeScreen.tx);

		var rect = bofficeScreen.fromSnatchCoords(xTop, xLeft, xWidth, xHeight);
		var stextbox = new SnatchPanel(windowID, lastId, -1, rect, "com.sage.components.panels.Panel");
		uiData["panel_" + stextbox.procID] = stextbox;
		uiData["panel_" + stextbox.procID].id = lastId;
		//stextbox.setArguments(this.arguments);

		$("#" + lastId).css("z-index", "-1"); //panel always behind stuff


		stextbox.createPanel();
		isDraggable = 0;
		this.toggleContextMenus(windowID);

	}

	this.post_screen = function(screen, json, reload) {

		var _url = 'senddata';
		if (webApp) {
			_url = serverUrl + _url;
		}
		var _device = screen;

		$.post(
			_url, {
				file: JSON.stringify(JSON.parse(json)),
				device: _device,
				resolution: bofficeScreen.RESOLUTION,
				async: false,

			},

			function(data) {}
		).done(function() {
			//alert("Ecrã gravado com sucesso");
			//setTimeout(function() {
			showWait(0, 2);
			//location.reload();
			//}, 3000);
			//if (reload != undefined)
			//{
			//location.reload();
			//}

		}).fail(function(jqxhr, textStatus, error) {
			alert("Ocorreu um problema na gravação do ficheiro.");
		});

	}

	this.saveScreen = function(_window, reload) {
		var self = this;
		showWait(1, 2);


		var el = document.getElementById("w" + _window);

		var jos = bofficeJson;
		jos.createJsonString(el, _window);
		jos.insertjsonargs(el);
		jos.screenstr += ("]}");
		/*
		if (bofficeJson.iterateobjsLookAhead(jos.el,jos.father))
		{
			jos.screenstr+=(",");
		}
		*/
		jos.iterateobjs(jos.el, jos.father);
		jos.screenstr += "]}";

		//var str = JSON.stringify(screenstr, undefined, 4)
		$("pre#sendJSON").html(jos.syntaxHighlight());
		var ret = "VALID";
		if (!jos.IsJsonString()) {
			ret = "INVALID";
			$("DIV#dialog-confirm").prop("title", "Json to be sent: [ " + ret + " ]")
			$("#dialog-confirm").dialog({
				resizable: true,
				width: 680,
				height: 480,
				modal: true,
				buttons: {
					/*
		        "Send": function() {
		        	self.post_screen(_window,jos.screenstr);
					boffice.log(jos.screenstr);
		          $( this ).dialog( "close" );
		        },
		        */
					Cancel: function() {
						$(this).dialog("close");
					}
				}
			});
		} else {
			self.post_screen(_window, jos.screenstr, reload);
		}
	}

	/*
		this.resize = function(_id) {

			var elem = document.getElementById(_id);

			if (elem != undefined) {
				if (resizeObjArray[_id] == undefined || resizeObjArray[_id] == 0) {
					elem.style.border = '1px solid red';
					resizeObjArray[_id] = 1;
					$("#" + _id).resizable({
						grid: [tx, ty]
					});
				} else {
					elem.style.border = '0px';
					resizeObjArray[_id] = 0;
					$("#" + _id).resizable("destroy");


				}
			}

		}
		*/


	this.toggleContextMenus = function(_window) {
		var self = this;
		if (isDraggable == 0) {
			//get current json hash
			this.lastLayout = bofficeJson.getWindowLayout(_window);
			isDraggable = 1;
			document.title = appName + " (Modo Edição " + bofficeScreen.RESOLUTION + ")";

			//disable window1 clicks
			if (_window == 1) {
				$("#w1").off();
			}

			$("body > span.extra").show("slow", function() {
				$("body > span.extra").html("<i class='fa fa-pencil-square-o'></i> Edição: Resolução: " + bofficeScreen.RESOLUTION + " Ecrã: " + windowID);
			})

			//add borders
			$("#" + _window + "Container").find(".draggable").addClass("editmode");

			//make all resizable
			$("#" + _window + "Container").find(".draggable").resizable(bofficeScreen.enableResize());

			if (_window == 4) {
				//disable swipes
				SnatchWindow.unBindWindow4Swipe();
			}

			//enable drag
			$("#" + _window + "Container").find(".draggable").draggable(bofficeScreen.enableDrag());

			//custom cslidegrid buttons:
			if ($("#" + _window + "Container > .cSlideGrid").length > 0) {
				$("#" + _window + "Container > .cSlideGrid").find(".draggable").resizable(bofficeScreen.enableResize());
				$("#" + _window + "Container > .cSlideGrid").find(".draggable").draggable(bofficeScreen.enableDrag());

				// add context menus
				$("#" + _window + "Container > .cSlideGrid").find(".cSlideGrid_Button.draggable").each(function() {
					$(this).contextMenu(true);
					bofficeWidgetsMenu.bindContextMenu($(this));
				});

			}



			// add context menus
			$("#" + _window + "Container").find(".draggable").each(function() {
				$(this).contextMenu(true);
				bofficeWidgetsMenu.bindContextMenu($(this));
			});



		} else {
			isDraggable = 0;
			document.title = appName;

			//enable window 1 clicks
			if (_window == 1) {
				$("#w1").on('click', function() {
					boffice.send_url("callback&windowID=1&objectID=101&value=3");
				});
			}


			$("span.extra").hide("slow", function() {
				$("span.extra").html("");
			});



			//remove resizing
			$("#" + _window + "Container").find(".draggable").resizable(); //just in case...
			$("#" + _window + "Container").find(".draggable").resizable("destroy");

			//remove borders
			$("#" + _window + "Container").find(".draggable").removeClass("editmode");

			if (_window == 4) {
				//enable swipes
				SnatchWindow.bindWindow4Swipe();
			}

			//disable drag
			$("#" + _window + "Container").find(".draggable").draggable(bofficeScreen.disableDrag());
			$("#" + _window + "Container").find(".draggable").removeAttr("drag");


			var old = this.lastLayout.replace(/\s\s+/g, "").replace(/\t\t+/g, "").replace(/\n/g, "").replace(/\s/g, " ");
			var current = bofficeJson.getWindowLayout(_window).replace(/\s\s+/g, "").replace(/\t\t+/g, "").replace(/\n/g, "").replace(/\s/g, " ");

			if (old != current) {
				//var r = confirm("Ecrâ alterado!\nDeseja gravar as alterações?");
				//if (r == true) {
				self.saveScreen(windowID);
				console.log("Saved window: " + windowID);
				//} else {
				//	location.reload();
				//}
			} else {
				console.log("Nothing changed in window: " + windowID);
			}
			// remove context menus
			$("#" + _window + "Container").find(".draggable").each(function() {

				//$(this).contextMenu(false);
				$(this).find(".debugInfo").remove();
				//$(this).removeClass("editmode"); //restore borders
				$(this).find("input").prop('disabled', false);
				$(this).find("select").prop('disabled', false);

			});


		}

	}



	this.bindContextMenu = function(_obj, _menuContext) {
		var self = this;

		var editItem = {
			name: "Modo de edição",
			icon: "edit",
			callback: function() {
				self.toggleContextMenus(windowID);
			},
			visible: function(key, opt) {
				if (isDraggable) {
					return false;
				}
				return true;
			}

		};
		var btnProp = {
			name: "Fundo dos botões... (WEBFE)",
			callback: function(key, options) {
				$("#bgobref").val($(_obj).attr("id"));
				$("#bgobref_slide").val($(_obj).attr("id"));
				uiData["slidegrid_" + $(_obj).attr("id")].editBackgroundForm();
			},
			visible: function(key, opt) {
				if (isDraggable) {
					return true;
				}
				return false;
			}

		};
		var btnColorProp = {
			name: "Aparência... (WEBFE)",
			callback: function(key, options) {
				$("#bgobref").val($(_obj).attr("st"));
				uiData[$(_obj).attr("st")].editColorForm();
			},
			visible: function(key, opt) {
				if (isDraggable) {
					return true;
				}
				return false;
			}

		};
		var deleteObj = {
			name: "Apagar",
			icon: "quit",
			visible: function(key, options) {
				if (($(options.selector).hasClass("Panel")))
				//&& ($("#w" + windowID).find(".Panel").length > 1) )//one must stay
				{
					return true;
				}
				return windowID == 4;
			},
			callback: function(key, options) {
				//self.deleteObject(_id);
				uiData[(options.$trigger.attr("class").split(" ")[0]).toLowerCase() + "_" + options.$trigger[0].id].deleteObject();
			}

		};
		var saveEdit = {
			name: "Guardar",
			icon: "save",
			callback: function() {
				self.toggleContextMenus(windowID);
			},


		};
		var reload = {
			name: "Cancelar",
			icon: "quit",
			callback: function() {
				location.reload();
			},

		};

		var foldEdit = {
			"name": "Modo de edição",
			icon: "edit",
			items: {
				m1: saveEdit,
				m2: reload
			},
			visible: function(key, opt) {
				if (isDraggable) {
					return true;
				}
				return false;
			}
		};

		if (_menuContext == "usermenu") {
			$.contextMenu({
				selector: _obj,
				items: {

					"newButton": {
						icon: "quit",
						name: "Limpar cache",
						callback: function() {
							localStorage.clear();
							ImgCache.clearCache();
							alert("Cache limpa!");
							location.reload();
						}
					},
				},

			});

		} else if (_obj === ".Window") {
			$.contextMenu({
				selector: _obj,
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"fold1": {
						"name": "Adicionar",
						icon: "add",
						items: {
							"newButton": {
								name: "Botão",
								callback: function() {
									self.addNewButton();
								}
							},
							"newTextBox": {
								name: "Caixa de Texto",
								callback: function() {
									self.addNewTextBox();
								}
							},

						},
						disabled: function(key, opt) {
							if (!isDraggable) {
								return true;
							}
							return false;
						},
						visible: function(key, opt) {
							return windowID == 4;
						}
					},
					"newPanel": {
						name: "Novo painel",
						icon: "add",
						callback: function() {
							self.addNewPanel();
						},
						disabled: function(key, opt) {
							if (isDraggable) {
								if ($("#w" + windowID).find(".Panel").length == 0)
									return false;
								return true;

							}
							return true;
						}
					},

				}
			});
		} else if ($(_obj).hasClass("Panel")) {
			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"deleteElement": deleteObj,
				},
			});
		} else if ($(_obj).hasClass("Slide")) {

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"btnColorProp": btnColorProp,
					"editSlide": {
						name: "Editar Slide",
						callback: function(key, options) {
							uiData["slide_" + $(_obj).attr("id")].editSlideForm();
						},
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						},
					},


				},

			});
		} else if ($(_obj).hasClass("Button")) {

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"btnColorProp": btnColorProp,
					"editButton": {
						name: "Editar Botão",
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							//bofficeWidgetsForms.editButtonForm(_id);
							uiData["button_" + _id].editButtonForm();
						},
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						},

					},
					"deleteElement": deleteObj,
				},
			});

		} else if ($(_obj).hasClass("TextBox")) {
			//_obj.css("border", "1px solid yellow");
			_obj.find("input").prop('disabled', true);

			var textbox = uiData["textbox_" + $(_obj).attr("id")];


			_obj.find(".caption").append("<span class=\"debugInfo\">" + textbox.type + " - " + textbox.inputType + "</span>");

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"editTextBox": {
						name: "Editar Etiqueta",
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							uiData["textbox_" + _id].editTextBoxForm();
						}
					},
					"deleteElement": deleteObj,


				},
			});
		} else if ($(_obj).hasClass("CheckBox")) {
			_obj.css("border", "1px solid green");
			_obj.find("input").prop('disabled', true);

			var textbox = uiData["button_" + $(_obj).attr("id")];


			//_obj.find(".caption").append("<span class=\"debugInfo\">" + textbox.type + " - " + textbox.inputType + "</span>");

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"editTextBox": {
						name: "Editar Etiqueta",
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							uiData["button_" + _id].editTextBoxForm();
						}
					},
					"deleteElement": deleteObj,


				},
			});
		} else if ($(_obj).hasClass("DropBox")) {
			_obj.css("border", "1px solid rebeccapurple");
			_obj.find("select").prop('disabled', true);

			var textbox = uiData["button_" + $(_obj).attr("id")];


			//_obj.find(".caption").append("<span class=\"debugInfo\">" + textbox.type + " - " + textbox.inputType + "</span>");

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"editTextBox": {
						name: "Editar Etiqueta",
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							uiData["dropbox_" + _id].editTextBoxForm();
						}
					},
					"deleteElement": deleteObj,


				},
			});
		} else if ($(_obj).hasClass("SlideGrid") || $(_obj).hasClass("cSlideGrid")) {

			$.contextMenu({

				selector: "#" + $(_obj).attr("id"),
				items: {
					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"editSlideGrid": {
						name: "Grelha...",
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						},
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							uiData["slidegrid_" + _id].editSlideGridForm();
						}
					},
					"btnProp": btnProp,
					"slideImage": {
						name: "Imagem de fundo da zona...",
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						},
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							uiData["slidegrid_" + _id].editSlideGridImageForm();
						}
					},
					"fold1": {
						"name": "Adicionar",
						icon: "add",
						items: {

							"newSlideGridButton": {
								name: "Novo Botão",
								disabled: function(key, opt) {
									var _id = this.attr("id");
									return (!uiData["slidegrid_" + _id].createSlideGridButtonAux(false));
								},
								callback: function(key, options) {
									var _id = this.attr("id");
									uiData["slidegrid_" + _id].createSlideGridButtonAux(true);
								}
							},

							"newVisualElement": {
								name: "Novo objecto",
								callback: function(key, options) {
									var _id = options.$trigger[0].id;
									var activeID = uiData["slidegrid_" + _id].getActiveId();
									uiData["slidegrid_" + _id].createVisualElement(lastMouseclick.left, lastMouseclick.top);
									$("div[id=" + _id + "_" + activeID + "_page0] > a").resizable(bofficeScreen.enableResize());
									$("div[id=" + _id + "_" + activeID + "_page0] > a").draggable(bofficeScreen.enableDrag());
								}

							},
						},
						visible: function(key, opt) {
							// this references the trigger element
							return !((!isDraggable) || (!this.hasClass("cSlideGrid")));
						}
					}


				},

			});

		} else if ($(_obj).hasClass("cSlideGrid_Button")) {

			$.contextMenu({
				selector: "#" + $(_obj).attr("id"),
				items: {

					"toggleEdit": editItem,
					"foldEdit": foldEdit,
					"sep2": "---------",
					"editSlideGridButton": {
						name: "Editar Botão",
						disabled: function(key, opt) {
							return !isDraggable;
						},
						callback: function(key, options) {
							var _id = options.$trigger[0].id;
							var s_id = $("#" + _id).parent().parent().parent().attr("id");
							SnatchSlideGrid.editSlideGridButtonForm(_id);
						}
					},

					"deleteElement": {
						name: "Apagar",
						icon: "quit",
						visible: function(key, options) {
							var _id = options.selector;

							//only allow deletion of visual elements
							// if not autoadding buttons
							if (!isDraggable) {
								return false;
							}
							if ((!AUTO_ADD_NEW_BUTTONS) || ($(_id).hasClass("visEl"))) {

								return true;
							}
							return false;
						},
						callback: function(key, options) {

							var _id = options.$trigger[0].id;
							bofficeWidgetsMenu.deleteObject(_id);
						}
					},

				},


			});


			/*
			} else if (_menuContext == "window4Menu") {

				$.contextMenu({
					selector: _obj,
					callback: function(key, options) {
						var _id = options.$trigger[0].id;
						if (key == 'newButton') {
							lastID++;
							self.addNewButton(windowID, lastID);

						} else if (key == 'newTextBox') {
							lastID++;
							bofficeWidgetsTextBox.addNewTextBox(windowID, lastID);
						} else if (key == 'saveScreen') {
							self.saveScreen(windowID);
							//ShowInternalWindow("Gravação Ecrã","Tem a certeza que deseja gravar este ecrã?",8001);

						} else if (key == 'toggleEdit') {
							self.toggleContextMenus(windowID);
						}
					},

					items: {
						"toggleEdit": {
							name: "Modo Edição",
							callback: function() {
								self.toggleContextMenus(windowID);
								// this references the trigger element
								//this.data('disabledOption', !this.data('disabledOption'));
								//return false;
							}
						},
						"sep2": "---------",
						"newButton": {
							name: "Novo Botão",
							disabled: function(key, opt) {
								// this references the trigger element
								return !isDraggable;
							}
						},
						"sep3": "---------",
						"newTextBox": {
							name: "Nova Caixa de Texto",
							disabled: function(key, opt) {
								// this references the trigger element
								return !isDraggable;
							}
						},
						//"sep1": "---------",

					},



					events: {

						show: function(opt) {

							// this is the trigger element

							var $this = this;

							// import states from data store 

							$.contextMenu.setInputValues(opt, $this.data());

							// this basically fills the input commands from an object


						},

						hide: function(opt) {

							// this is the trigger element

							var $this = this;

							// export states to data store

							$.contextMenu.getInputValues(opt, $this.data());

							// this basically dumps the input commands' values to an object


						}

					}

				});


				*/


			/*
					} else if (_menuContext == "textBoxMenu") {

						$.contextMenu({
							selector: _obj,
							callback: function(key, options) {

								var _id = options.$trigger[0].id;

								if (key == 'editTextBox') {
									bofficeWidgetsTextBox.editTextBoxForm(_id);
								} else if (key == 'deleteTextBox') {
									self.deleteObject(_id);
									
								//} else if (key == 'resize') {
								//	self.resize(_id);
								} else if (key == 'saveScreen') {
									self.saveScreen(windowID);
								} else if (key == 'toggleEdit') {
									self.toggleContextMenus(windowID);
								}

							},
							items: {
								"toggleEdit": {
									name: "Modo Edição",
									callback: function() {
										self.toggleContextMenus(windowID);
									}
								},
								"sep2": "---------",
								
								//"resize": {
								//	name: "Redimensionar",
								//	type: 'checkbox',
								//	disabled: function(key, opt) {
								//		return !isDraggable;
								//	},
								//	selected: false,
								//	events: {
								//		click: function(e) {
								//			_id = e.data.$trigger[0].id;
								//			self.resize(_id);
			//
			//							}
			//						}
			//					},
								//"sep0": "---------",
								"editTextBox": {
									name: "Editar Caixa de Texto",
									disabled: function(key, opt) {
										// this references the trigger element
										return !isDraggable;
									}
								},
								"deleteTextBox": {
									name: "Apagar Caixa de Texto",
									disabled: function(key, opt) {
										return !isDraggable;
									}
								},

								//"sep1": "---------",
								
								//"saveScreen": {
								//	name: "Gravar Ecrã",
								//	disabled: function(key, opt) {
								//		return !isDraggable;
								//	}
								//},
								
							},

							events: {
								show: function(opt) {
									var $this = this;
									$.contextMenu.setInputValues(opt, $this.data());
								},
								hide: function(opt) {
									var $this = this;
									$.contextMenu.getInputValues(opt, $this.data());
								}
							}
						});
			*/
			/* WIP */
		}
		return;
		if (_menuContext == "checkBoxMenu") {

			$.contextMenu({
				selector: _obj,
				callback: function(key, options) {

					var _id = options.$trigger[0].id;

					if (key == 'editCheckBox') {
						bofficeWidgetsForms.editCheckBoxForm(_id);
						/*} else if (key == 'resize') {
							self.resize(_id);*/
					} else if (key == 'saveScreen') {
						saveScreen(windowID);
					} else if (key == 'toggleEdit') {
						self.toggleContextMenus(windowID);
					}

				},
				items: {
					"toggleEdit": {
						name: "Modo Edição",
						callback: function() {
							self.toggleContextMenus(windowID);
						}
					},
					"sep2": "---------",
					/*
					"resize": {
						name: "Redimensionar",
						type: 'checkbox',
						disabled: function(key, opt) {
							return !isDraggable;
						},
						selected: false,
						events: {
							click: function(e) {
								_id = e.data.$trigger[0].id;
								self.resize(_id);

							}
						}
					},*/
					//"sep0": "---------",
					"editCheckBox": {
						name: "Editar Caixa de Seleção",
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						}
					},
					//"sep1": "---------",
					/*
					"saveScreen": {
						name: "Gravar Ecrã",
						disabled: function(key, opt) {
							return !isDraggable;
						}
					},
					*/
				},

				events: {
					show: function(opt) {
						var $this = this;
						$.contextMenu.setInputValues(opt, $this.data());
					},
					hide: function(opt) {
						var $this = this;
						$.contextMenu.getInputValues(opt, $this.data());
					}
				}
			});

		} else if (_menuContext == "listboxMenu") {

			$.contextMenu({
				selector: _obj,
				callback: function(key, options) {

					var _id = options.$trigger[0].id;

					/*if (key == 'resize') {
						self.resize(_id);
					} else */
					if (key == 'saveScreen') {
						self.saveScreen(windowID);
					} else if (key == 'toggleEdit') {
						self.toggleContextMenus(windowID);
					}

				},
				items: {
					"toggleEdit": {
						name: "Modo Edição",
						callback: function() {
							self.toggleContextMenus(windowID);
						}
					},
					"sep2": "---------",
					/*
					"resize": {
						name: "Redimensionar",
						type: 'checkbox',
						disabled: function(key, opt) {
							return !isDraggable;
						},
						selected: false,
						events: {
							click: function(e) {
								_id = e.data.$trigger[0].id;
								self.resize(_id);

							}
						}
					},*/
					//"sep0": "---------",
					/*
					"saveScreen": {
						name: "Gravar Ecrã",
						disabled: function(key, opt) {
							return !isDraggable;
						}
					},
					*/
				},

				events: {
					show: function(opt) {
						var $this = this;
						$.contextMenu.setInputValues(opt, $this.data());
					},
					hide: function(opt) {
						var $this = this;
						$.contextMenu.getInputValues(opt, $this.data());
					}
				}
			});

		} else if (_menuContext == "dropBoxMenu") {

			$.contextMenu({
				selector: _obj,
				callback: function(key, options) {

					var _id = options.$trigger[0].id;

					if (key == 'editDropBox') {
						bofficeWidgetsForms.editDropBoxForm(_id);
						/*} else if (key == 'resize') {
							self.resize(_id);*/
					} else if (key == 'saveScreen') {
						saveScreen(windowID);
					} else if (key == 'toggleEdit') {
						self.toggleContextMenus(windowID);
					}

				},
				items: {
					"toggleEdit": {
						name: "Modo Edição",
						callback: function() {
							self.toggleContextMenus(windowID);
						}
					},
					"sep2": "---------",
					/*
					"resize": {
						name: "Redimensionar",
						type: 'checkbox',
						disabled: function(key, opt) {
							return !isDraggable;
						},
						selected: false,
						events: {
							click: function(e) {
								_id = e.data.$trigger[0].id;
								self.resize(_id);

							}
						}
					},*/
					//"sep0": "---------",
					"editDropBox": {
						name: "Editar Dropbox",
						disabled: function(key, opt) {
							// this references the trigger element
							return !isDraggable;
						}
					},
					//"sep1": "---------",
					/*
					"saveScreen": {
						name: "Gravar Ecrã",
						disabled: function(key, opt) {
							return !isDraggable;
						}
					},
					*/
				},

				events: {
					show: function(opt) {
						var $this = this;
						$.contextMenu.setInputValues(opt, $this.data());
					},
					hide: function(opt) {
						var $this = this;
						$.contextMenu.getInputValues(opt, $this.data());
					}
				}
			});
		}



	}



}