/*v0316*/
#-- actualização do relatório fecho/consulta de sessão

DELETE FROM `reportsections` WHERE `ReportUID`=5;

INSERT INTO `reportsections`
(`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'0', '1', '5', NULL, '\n\n         -- TOTAL FACTURADO--         \nTerminal                           Valor\n----------------------------------------\n',
"SELECT 
    salesterminal.description as 'description', 
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
INNER JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid
WHERE 
    headers.SalesmanSessionID = '(122)' 
    and headers.TransactionStatus = 'N' 
Group by headers.TransactionStartTerminalUID;"
, '%-20.20s%20.20s\n', 
"SELECT 
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
INNER JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid
WHERE 
	headers.SalesmanSessionID = '(122)' 
    and headers.TransactionStatus = 'N';"
, '        --------------------------------\n%40.40s\n', '2', '1'
);

INSERT INTO `reportsections`
(`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'0', '1', '5', NULL, '\n\n             -- COMMISSOES--              \n                                   Valor\n----------------------------------------\n', 
"SELECT 
    replace(round(`Commission` /100,2),'.',',') as 'value'
FROM 
    `salesmansessions` 
WHERE 
    `SessionID`='(122)';"
, '%40.40s\n', NULL, NULL, '1', '2'
);

INSERT INTO `reportsections`
(`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'0', '1', '5', NULL, '\n\n         -- CONSUMO PROPRIO --      \nArtigo                   Qt         Valor\n----------------------------------------\n', 
"SELECT 
    details.PluName AS 'Name',
    details.Quantity AS 'qt',
    replace(round(details.SaleValue/100,2),'.',',') as 'value'
FROM transactionsdetails details    
INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
WHERE 
    headers.SalesmanSessionID =  '(122)'
    AND headers.TableID= '(124)'
    AND headers.TransactionStatus = 'N';"
, '%-20.20s %6.6s %12.12s\n', 
"SELECT 
    replace(round(sum(tenders.value)/100,2),'.',',') as 'value'
FROM transactionsheaders headers
INNER JOIN transactionstenders tenders ON headers.UID = tenders.TransactionUID
WHERE 
    headers.SalesmanSessionID =  '(122)'
    AND headers.TableID= '(124)'
    AND headers.TransactionStatus = 'N';"
, '        --------------------------------\n%40.40s\n', '3', '3'
);

INSERT INTO `reportsections`
(`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
(
'0', '1', '5', NULL, '\n\n         -- SALDO ACTUAL--                \n----------------------------------------\n', 
"SELECT 
    replace(round(salesmans.AccountBalance/100,2),'.',',') as 'value'
FROM
    salesmans
WHERE
    salesmans.UID='(102)';", '%40.40s\n', NULL, NULL, '1', '4'
);
