/*v0341*/
#-- actualizao da tabela reportsections

DELETE FROM `reportsections` WHERE `ReportUID`=20;
DELETE FROM `reportsections` WHERE `ReportUID`=21;

INSERT INTO `reportsections`
(`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('0', '1', '20', NULL, '\n\nProduto            qt       Total   Perc\n----------------------------------------\n', 
"SELECT
    qry.plu,
    IF(qry.ispeso>0,concat(format(qry.qt/1000,3),\"Kg\"),concat(qry.qt,\" Un\")) as qt,
    round(qry.value/100,2) as lineValue,
    truncate(qry.value*100/(
        SELECT sum(details.SaleValue) FROM transactionsdetails details INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID WHERE DATE(headers.CreateDate) BETWEEN  '(101)'  AND '(111)' AND headers.TransactionStatus = 'N' 
        ),2) as perc
FROM(
    SELECT 
        PluName as plu,
        Sum(details.Quantity) as qt,
        props.ReadQuantityFromScale as ispeso,
        sum(details.SaleValue) as value
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.CreateDate) BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N'
    GROUP BY PluName
    HAVING QT > 0
    ORDER BY plu
) as qry;",
 '%-13.13s %9.9s %10.10s %6.6s\n', 
 "SELECT SUM(IF(props.ReadQuantityFromScale,1,details.Quantity)) as newqt,
        round(sum(details.SaleValue)/100,2) as value
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.CreateDate) BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N';"
 , '%21.21s %11.11s\n', '4', '0'),
('0', '1', '21', NULL, '\n\nIntervalo                          Total\n----------------------------------------\n', 
"SELECT CONCAT( LPAD(HOUR(details.createdate),2,'0'),':',LPAD( FLOOR(MINUTE(details.createdate)/15)*15, 2, '0'), '-', LPAD( (FLOOR(MINUTE(details.createdate)/15)+1)*15, 2, '0' )) AS minRange,
       round(SUM(SaleValue)/100,2) AS sales
FROM   transactionsdetails details 
INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID 
WHERE DATE(headers.CreateDate) BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N'
GROUP BY minRange
ORDER BY minRange;"
, '%-20.20s%20.20s\n', NULL, NULL, '2', '0');





