/*v0411*/

#-- Update report de fecho sem a facturao externa

UPDATE `reportsections` SET `DetailQuery`='
SELECT 
    taxes.TaxRate as \'rate\',

    replace(round((   sum(SaleValue) / ((100+taxes.TaxRate)/100)                             )/100,2),\'.\',\',\') as \'valueTaxOff\',

    replace(round((   sum(SaleValue)    -    (sum(SaleValue) / ((100+taxes.TaxRate)/100))    )/100,2),\'.\',\',\') as \'taxValue\',

    replace(round(    sum(SaleValue)                                                         /100,2),\'.\',\',\') as \'totalValue\'

FROM transactionsdetails details

INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID

INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 

WHERE       DATE(headers.CreateDate) = \'(101)\' 

and  headers.TransactionStatus = \'N\' 

and  headers.DocumentTypeUID != 13 

Group by SaleTaxUID;' WHERE `UID`='1';



UPDATE `reportsections` SET `FooterQuery`='

SELECT 

    replace(round(  sum(    SaleValue / ((100+taxes.TaxRate)/100))                  /100,2),\'.\',\',\')  as \'valueTaxOff\',

    replace(round(  sum(    SaleValue - (SaleValue / ((100+taxes.TaxRate)/100)))    /100,2),\'.\',\',\')  as \'taxValue\',

    replace(round(  sum(    SaleValue)                                              /100,2),\'.\',\',\')  as \'totalValue\'

FROM transactionsdetails details

INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID

INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 

WHERE DATE(headers.CreateDate) = \'(101)\' 

and headers.TransactionStatus = \'N\'

and  headers.DocumentTypeUID != 13 ' WHERE `UID`='1';


UPDATE `reportsections` SET `DetailQuery`='

SELECT 

    salesterminal.description as \'description\', 

    replace(round(sum(details.salevalue)/100,2),\'.\',\',\') as \'value\'

FROM transactionsheaders headers

INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID

INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid

WHERE DATE(headers.CreateDate) = \'(101)\' 

and headers.TransactionStatus = \'N\' 

and headers.DocumentTypeUID!=13

Group by headers.TransactionStartTerminalUID;'
 WHERE `UID`='2';

 
UPDATE `reportsections` SET `FooterQuery`=' 
SELECT 

replace(round(IFNULL(sum(details.salevalue),0)/100,2),\'.\',\',\') as \'value\'

FROM transactionsheaders headers

INNER JOIN transactionsdetails details ON headers.UID = details.TransactionUID

INNER JOIN salesterminal on headers.TransactionStartTerminalUID = salesterminal.uid

WHERE DATE(headers.CreateDate) = \'(101)\' 

and headers.TransactionStatus = \'N\' 

and  headers.DocumentTypeUID != 13 ' WHERE `UID`='2';
