/*v0448*/

DELETE FROM reports WHERE UID=34;
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterFormat`, `Hints`, `Variables`, `ReportType`) VALUES (34, 0, 1, 34, 'Vendas por NIF', 'Vendas Por NIF\n----------------------------------------\nData Inicio:\(109)\nData Fim:(112)\n', '%s', '%s', 'Listagem com detalhes das vendas por NIF, com vendas do Cliente Eventual agrupadas. Selecione o intervalo de Datas', '101,111,109,112', 19);


DELETE FROM `reportsections` WHERE UID=34001;
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `FooterQuery`, `FooterFormat`, `Columns`, `OrderField`) VALUES (34001, 0, 1, 34, 'Data       Documento   NIF     Valor\\n----------------------------------------\\n',
"select Date(H.CreateDate),H.DocumentID,C.FederalTaxID,
replace(round(H.TableTotal/100,2),'.',',') as value
from TransactionsHeaders AS H
join Customers AS C on H.CustomerUID=C.UID
where C.FederalTaxID not like '999999990'
AND DATE(H.TransactionEndTime) >=  '(101)'
AND DATE(H.TransactionEndTime) <=  '(111)'
order by H.Createdate;",
 '%-10.10s %-9.9s %-9.9s %8.8s\n',
 "select count(H.UID), replace(round(sum(H.TableTotal)/100,2),'.',',') as value
from TransactionsHeaders AS H
join Customers AS C on H.CustomerUID=C.UID
where C.FederalTaxID not like '999999990' AND
DATE(H.TransactionEndTime) >=  '(101)'
AND DATE(H.TransactionEndTime) <=  '(111)';"
, '----------------------------------------\\nTotal c/ NIF: (%5.5s)  %17.17s\\n', 4, 1);
DELETE FROM `reportsections` WHERE UID=34002;
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `FooterQuery`, `FooterFormat`, `Columns`, `OrderField`) VALUES (34002, 0, 1, 34,'Total Eventuais: ',
"select count(H.UID),replace(round(sum(H.TableTotal)/100,2),'.',',') as value
from TransactionsHeaders AS H
join Customers AS C on H.CustomerUID=C.UID
where C.FederalTaxID='999999990'
AND DATE(H.TransactionEndTime) >=  '(101)'
AND DATE(H.TransactionEndTime) <=  '(111)'
Group by C.FederalTaxID;",
'(%5.5s)%16.16s\n',
"select replace(round(sum(H.TableTotal)/100,2),'.',',') as value
from TransactionsHeaders AS H
join Customers AS C on H.CustomerUID=C.UID
where 
DATE(H.TransactionEndTime) >=  '(101)'
AND DATE(H.TransactionEndTime) <=  '(111)';", '----------------------------------------\\nTotal Global:  %25.25s\\n ', 2, 1);
