/*v0509*/
UPDATE `reportsections` SET `OrderField`='4' WHERE `UID`='5003';
UPDATE `reportsections` SET `OrderField`='5' WHERE `UID`='5004';
UPDATE `reportsections` SET `OrderField`='6' WHERE `UID`='5005';
DELETE FROM `reportsections` WHERE `UID` = '5006';
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `FooterQuery`, `FooterFormat`, `Columns`, `OrderField`) 
VALUES ('5006', '0', '1', '5', '\\n        --   NOTAS CREDITO  --\\n      Data       Documento         Valor\\n----------------------------------------\\n', "SELECT 
    DATE_FORMAT(ModifyDate, '%y-%m-%d %Hh%i') as doc_date,
    DocumentID,
    REPLACE(ROUND(TableTotal/100,2),'.',',') as doc_value
    FROM 
        transactionsheaders 
    WHERE 
         DocumentTypeUID = 25
		 AND TransactionStatus='N'
		 AND SalesmanSessionID= '(122)' ;", '%-15.15s  %-10.10s %12.12s\\n', "SELECT 
    REPLACE(SUM(ROUND(TableTotal/100,2)),'.',',') as doc_value
    FROM 
        transactionsheaders H
    WHERE 
		DocumentTypeUID = 25
		AND TransactionStatus='N'
		AND SalesmanSessionID= '(122)' ;", '        --------------------------------  %40.40s', '3', '3');

UPDATE `reportsections` SET `DetailQuery`="SELECT Date(headers.CreateDate),headers.DocumentID,C.FederalTaxID,
replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
JOIN Customers AS C on headers.CustomerUID=C.UID
WHERE C.FederalTaxID not like '999999990'
AND headers.TransactionStatus = 'N'
AND DATE(headers.TransactionEndTime) >=  '(101)'
AND DATE(headers.TransactionEndTime) <=  '(111)'
GROUP BY Date(headers.CreateDate),headers.DocumentID,C.FederalTaxID
ORDER by headers.Createdate", `FooterQuery`="SELECT count(DISTINCT(headers.DocumentID)), 
replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
JOIN Customers AS C on headers.CustomerUID=C.UID
WHERE C.FederalTaxID not like '999999990'
AND headers.TransactionStatus = 'N'
AND DATE(headers.TransactionEndTime) >=  '(101)'
AND DATE(headers.TransactionEndTime) <=  '(111)'
ORDER by headers.Createdate" WHERE `UID`='34001';

UPDATE `reportsections` SET `DetailQuery`="SELECT count(DISTINCT(headers.DocumentID)), replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
JOIN Customers AS C on headers.CustomerUID=C.UID
WHERE C.FederalTaxID = '999999990'
AND headers.TransactionStatus = 'N'
AND DATE(headers.TransactionEndTime) >=  '(101)'
AND DATE(headers.TransactionEndTime) <=  '(111)'
ORDER by headers.Createdate;", `FooterQuery`="SELECT replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
JOIN Customers AS C on headers.CustomerUID=C.UID
WHERE headers.TransactionStatus = 'N'
AND DATE(headers.TransactionEndTime) >=  '(101)'
AND DATE(headers.TransactionEndTime) <=  '(111)'" WHERE `UID`='34002';

UPDATE `reportsections` SET `DetailQuery`= "SELECT
    Q.F,
    Q.T,
    Q.NV,
    Q.V/*,
    Q.C,
    Q.K*/
FROM(
(
    #query das familias
    SELECT
        qry.fam AS F,
        qry.qnt as T,
        qry.net_value AS NV,
        qry.value as V,
        qry.code as C,
        qry.fam2 as K
    FROM(
        SELECT 
            families.shortdescription as fam,
            SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as qnt,
            replace(round(sum(details.NetValue-NetValue*headers.DiscountPercent/100)/100,2),'.',',') as net_value, 
            replace(round(sum(details.SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value, 
            families.code AS code,
            families.uid AS fam2            
        FROM transactionsdetails details
            INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID  #needed for the dates
            INNER JOIN plus on details.PluUID = plus.uid
            INNER JOIN families on plus.familyid = families.uid
            RIGHT JOIN properties on properties.UID =plus.PropertyUID
        WHERE DATE(headers.TransactionEndTime) = '(101)' 
            and headers.TransactionStatus = 'N'
            and  headers.DocumentTypeUID != 13             
        GROUP BY families.uid
        ORDER by families.code
    )
    AS qry
)
UNION
(
    #query das subfamilias
    SELECT
        qry2.subfam AS F,
        qry2.qnt as T,
        qry2.net_value AS NV,
        qry2.value as V,
        qry2.code as C,
        qry2.fam as K
    FROM(
        SELECT 
            concat(\"    \",subfamilies.shortdescription) as subfam,
            SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as qnt,
            replace(round(sum(details.NetValue-NetValue*headers.DiscountPercent/100)/100,2),'.',',') as net_value,
            replace(round(sum(details.SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as value,
            (subfamilies.code+10000) AS code,
            plus.familyid AS fam           
        FROM transactionsdetails details
            INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID  #needed for the dates
            INNER JOIN plus on details.PluUID = plus.uid
            INNER JOIN subfamilies on plus.subfamilyid = subfamilies.uid
            RIGHT JOIN properties on properties.UID =plus.PropertyUID
        WHERE DATE(headers.TransactionEndTime) = '(101)' 
            and headers.TransactionStatus = 'N' 
            and  headers.DocumentTypeUID != 13 
        GROUP BY subfamilies.uid
        ORDER by subfamilies.code
    )
    AS qry2
)
UNION
(
    SELECT
        @label :=\"Total\" AS F,
        SUM(IF(props.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as T,
        replace(round(sum(details.NetValue-NetValue*headers.DiscountPercent/100)/100,2),'.',',') as NV,
        replace(round(sum(details.SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as V,
        999999 AS C,
        999999 AS K
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.TransactionEndTime) = '(101)'  
        AND headers.TransactionStatus = 'N'
        and  headers.DocumentTypeUID != 13 
)
ORDER BY K,C) AS Q;" 	WHERE `UID`='26001';
UPDATE `reportsections` SET `DetailQuery`="SELECT 
    details.PluName,
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as q,
    replace(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') as 'net_value',
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias
GROUP BY details.pluuid
ORDER by q desc", `FooterQuery`="SELECT 
    replace(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') as 'net_value',
    replace(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    and DATE(headers.TransactionEndTime)<= '(111)' 
    and headers.TransactionStatus = 'N' 
    and   headers.ModifySalesmanUID like'(102)'
    and details.PluUID like '(113)'
    and headers.documentTypeUID  != 13 -- guias" WHERE `UID`='8001';
	
UPDATE `reportsections` SET `DetailQuery`="SELECT 
    salesterminal.Description AS 'Name',
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as 'Qty',
    REPLACE(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') as 'net_value',
    REPLACE(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesterminal on salesterminal.uid = details.OrderSalesTerminalUID
   INNER JOIN plus on details.PluUID = plus.uid
   RIGHT JOIN properties on properties.UID =plus.PropertyUID
WHERE DATE(headers.TransactionEndTime) >= '(101)' 
    AND DATE(headers.TransactionEndTime) <= '(111)'
    AND headers.TransactionStatus = 'N'     
GROUP BY salesterminal.UID
ORDER by 'Name'" 	WHERE `UID`='28001';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
     IF(Q._name=     @lastName,'',   @lastName:= Q._name) AS OpSalesman,
     Q._item AS OpItem,
     Q._qnt AS OpQnt,
     Q.net_value AS OpNetValue,
     Q._value AS OpValue
FROM
(
SELECT 
    @lastName:\='',
    CONCAT(salesterminal.Description,\"\n\") AS _name,
    details.PluName AS _item,
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as _qnt,
    REPLACE(round(sum(details.NetValue-details.NetValue*headers.DiscountPercent/100)/100,2),'.',',') AS net_value,
    REPLACE(round(sum(details.SaleValue-details.SaleValue*headers.DiscountPercent/100)/100,2),'.',',') AS _value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesterminal on salesterminal.uid = details.OrderSalesTerminalUID
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
WHERE DATE(headers.TransactionEndTime) >= '(101)' 
    AND DATE(headers.TransactionEndTime) <= '(111)'
    AND headers.TransactionStatus = 'N'     
GROUP BY details.pluuid,salesterminal.UID
ORDER by _name) 
AS Q"	WHERE `UID`='28002';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
     IF(Q._name=     @lastName,'',   @lastName:= Q._name) AS OpSalesman,
     Q._item AS OpItem,
     Q._qnt AS OpQnt,
     Q._value AS OpValue
FROM
(
SELECT 
    @lastName:='',
    CONCAT(salesmans.SalesmanName,\"\") AS _name,
    details.PluName AS _item,
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as _qnt,
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') AS _value
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    AND DATE(headers.TransactionEndTime)<= '(111)'
    AND headers.TransactionStatus = 'N'     
    AND headers.documentTypeUID  != 13 -- guias
GROUP BY details.pluuid, salesmans.UID
ORDER by _name) 
AS Q" 	WHERE `UID`='25001';

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    salesmans.SalesmanName AS 'Name',
    SUM(IF(properties.ReadQuantityFromScale,details.Quantity/1000,details.Quantity)) as 'Qnt',
    REPLACE(round(sum(details.salevalue-details.salevalue*headers.DiscountPercent/100)/100,2),'.',',') as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    INNER JOIN salesmans on salesmans.uid = headers.CreateSalesmanUID
WHERE DATE(headers.TransactionEndTime)>= '(101)' 
    AND DATE(headers.TransactionEndTime)<= '(111)'
    AND headers.TransactionStatus = 'N'     
    AND headers.documentTypeUID  != 13 -- guias
    INNER JOIN plus on details.PluUID = plus.uid
    RIGHT JOIN properties on properties.UID =plus.PropertyUID
GROUP BY salesmans.UID
ORDER by 'Name';" 	WHERE `UID`='25002';