/*v0515*/
DELETE FROM `reports` where `UID` in (38,39);
INSERT INTO `reports` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `HeaderText`, `HeaderFormat`, `FooterText`, `FooterFormat`, `Hints`, `Variables`, `ReportType`) 
VALUES ('38', '0', '1', '38', 'Cartões Assinados', '\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s\\n', '\\n', '%s\\n', 'Seleccione o intervalo de Datas', '101,111,109,112', '19'),
('39', '0', '1', '38', 'Ofertas Artigos', '\\n----------------------------------------\\nData inicio: (109)\\nData fim: (112)', '%s\\n', '\\n', '%s\\n', 'Seleccione o intervalo de Datas', '101,111,109,112', '19');

DELETE FROM `reportsections` where `UID` in (38001,38002,39001,39002);
INSERT INTO `reportsections` (`UID`, `RecordDeleted`, `SyncCounter`, `ReportUID`, `HeaderFormat`, `DetailQuery`, `DetailFormat`, `Columns`, `OrderField`) 
VALUES ('38001', '0', '1', '38', '\\n          -- CARTOES ASSINADOS --    \\nData         Doc    Cartao    IVA   Total\\n----------------------------------------\\n', 
"SELECT 
    DATE_FORMAT(headers.TransactionEndTime,'%d%b %h:%m'),
    RIGHT(headers.DocumentID,8),
    headers.TableID as 'table',
    round((sum(details.SaleValue) - sum(details.NetValue))/100,2) as 'tax_value',
    round(sum(details.SaleValue)/100,2) as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
WHERE 
    DATE(headers.TransactionEndTime) between '(101)'  and '(111)' 
    AND headers.TransactionStatus = 'N'
    AND headers.DocumentTypeUID != 13
    AND headers.DiscountPercent = 100
GROUP BY headers.UID
order BY headers.TransactionEndTime", '%11.11s %8.8s %4.4s %6.6s %7.7s\n', '6', '1'),
('38002', '0', '1', '38', '----------------------------------------\\n', "SELECT 
    round((sum(details.SaleValue) - sum(details.NetValue))/100,2) as 'tax_value',
    round(sum(details.SaleValue)/100,2) as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
WHERE 
DATE(headers.TransactionEndTime) between '(101)'  and '(111)' 
AND headers.TransactionStatus = 'N'
AND headers.DocumentTypeUID != 13
AND headers.DiscountPercent = 100", 'Total:                 %8.8s %8.8s\n', '3', '2'),
('39001', '0', '1', '39', '\\n          -- OFERTAS --    \\nQnt  Artigo                IVA    Total\\n----------------------------------------\\n', 
"SELECT 
    count(details.Quantity),
    details.PluName,
            
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  details.PluunitPrice)-(
    (details.Quantity *  details.PluunitPrice) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  details.PluunitPrice)
    )/100,2)
    as 'tax_value',
    round(sum((details.Quantity *  details.PluunitPrice))/100,2) as 'value'
FROM transactionsdetails details

    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
    LEFT JOIN taxes on taxes.UID = details.SaleTaxUID
WHERE 
    DATE(headers.TransactionEndTime) between '(101)'  and '(111)'
    AND TransactionStatus = 'N'
    AND headers.DocumentTypeUID != 13
    AND details.DiscountPercentage = 100 

GROUP BY details.PluUID
ORDER BY headers.TransactionEndTime;", '%5.5s %-16.16s %8.8s %8.8s\n', '5', '1'),
('39002', '0', '1', '39', '----------------------------------------\\n', "SELECT 
    round(sum(IF (details.VatIncluded = true,
    ((details.Quantity *  details.PluunitPrice)-(
    (details.Quantity *  details.PluunitPrice) / ((100+taxes.TaxRate)/100)))
    ,details.Quantity *  details.PluunitPrice)
    )/100,2)
    as 'tax_value',
    round(sum((details.Quantity *  details.PluunitPrice))/100,2) as 'value'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
    LEFT JOIN taxes on taxes.UID = details.SaleTaxUID
WHERE 
    DATE(headers.TransactionEndTime) between '(101)'  and '(111)'
    AND TransactionStatus = 'N'
    AND headers.DocumentTypeUID != 13
    AND details.DiscountPercentage = 100 ", 'Total:                 %8.8s %8.8s\n', '3', '2');
