/*v0551*/
UPDATE `reportsections` SET `FooterQuery`="
SELECT 
    REPLACE(ROUND(SUM(mov.value)/100,2),'.',',') AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
AND  mov.Voided = 0 
" WHERE `UID`='3007';
UPDATE `reportsections` SET `DetailQuery`="SELECT 
    mType.description AS description,
    IF(mov.DocumentID='',mov.Description,mov.DocumentID) as DocOrDesc,
    REPLACE(round(value/100,2),'.',',') as 'value'
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mov.MovementTypeID != 12
    AND mType.MovementFlow = 0
AND  mov.Voided = 0 
", `FooterQuery`= "SELECT REPLACE(ROUND(
(
    SELECT IFNULL(sum(value),0)
    FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
    WHERE 
        mov.CashDrawerMovementUID = '(121)'
        and mov.MovementTypeID != 2 /*exclui fecho caixa*/
        and mov.MovementTypeID != 12 /*exclui estornos*/
        and mType.MovementFlow = 0
       and mov.Voided = 0 
)/100,2),'.',',') as 'value';" WHERE `UID`='3005';
UPDATE `reportsections` SET `FooterQuery`="
SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
    and mType.MovementFlow>0
     )
   || 
    mov.uid =  '(121)'
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
   /*as notas de credito estao contabilizadas nas saidas de caixa!*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, facturacao externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
   AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
)
+
(
SELECT 
    IFNULL(SUM(mov.value),0) AS sum_value

FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND mov.Voided = 0 
)
)
)/100,2),'.',',') as 'value'
" WHERE `UID`='3008';
UPDATE `reportsections` SET `FooterQuery`="SELECT REPLACE(ROUND(
(
   (
        SELECT IFNULL( sum(value),0) 
        FROM cashdrawer_movements mov
            INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
        WHERE 
        (
        mov.CashDrawerMovementUID =  '(121)'
        AND mType.MovementFlow>0
        )
       || 
        mov.uid =   '(121)'
    )
    +
    (
        SELECT IFNULL( sum(value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.type NOT IN (2,3) /* diferente facturacao externa e conta corrente*/
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (  
        SELECT IFNULL(sum(tenders.value),0) 
        FROM transactionstenders tenders
            INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
            INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
        WHERE pTypes.code = 9998
            AND  tenders.MovementUID =  '(121)'
            AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
    )
    -
    (
       SELECT 
   IFNULL(SUM(mov.value),0) AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =   '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND  mov.Voided = 0 
    )
    -
    (
    SELECT 
        IFNULL(sum(tenders.value),0) 
    FROM cashdrawertenders tenders
        INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
    WHERE CashDrawerMovementUID =  '(110)'
    )
)/100,2),'.',',') AS 'value';" WHERE `UID`='3010';

DELETE FROM `screens` WHERE `ScreenType` in (0,1) AND `ID` in (169);
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`,`ScreenType`)
VALUES
('0', '3285', 'SCREEN_SAGE_IVA', '169', "{\"objects\":[{\"id\":\"12807\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":169},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":45},{\"value\":\"#1213#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"10613\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.ListBox\",\"arguments\":[{\"value\":201},{\"value\":0},{\"value\":6},{\"value\":12},{\"value\":32},{\"value\":[{\"v\":12}]},{\"value\":\"CButton\"},{\"value\":2},{\"value\":-1},{\"value\":0}]},{\"id\":\"29080\",\"windowid\":\"12807\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-2},{\"value\":48},{\"value\":39},{\"value\":5},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#298#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"475\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":4778},{\"value\":0},{\"value\":2},{\"value\":12},{\"value\":3},{\"value\":\"#344#\"},{\"value\":0},{\"value\":0},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":0},{\"value\":-1}]},{\"id\":\"31552\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":20},{\"value\":40},{\"value\":35},{\"value\":12},{\"value\":3},{\"value\":\"#1191#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"9207\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":16},{\"value\":40},{\"value\":23},{\"value\":12},{\"value\":3},{\"value\":\"#1192#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"28880\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":17},{\"value\":40},{\"value\":26},{\"value\":12},{\"value\":3},{\"value\":\"#1193#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"25656\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":18},{\"value\":40},{\"value\":29},{\"value\":12},{\"value\":3},{\"value\":\"#1194#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"12118\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":19},{\"value\":40},{\"value\":32},{\"value\":12},{\"value\":3},{\"value\":\"#1195#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"1128\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":15},{\"value\":40},{\"value\":20},{\"value\":12},{\"value\":3},{\"value\":\"#1196#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"11937\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":4},{\"value\":13},{\"value\":23},{\"value\":12},{\"value\":3},{\"value\":\"#1197#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"3485\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":5},{\"value\":13},{\"value\":26},{\"value\":12},{\"value\":3},{\"value\":\"#1198#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"2531\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":6},{\"value\":13},{\"value\":29},{\"value\":12},{\"value\":3},{\"value\":\"#1199#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"29390\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":7},{\"value\":13},{\"value\":32},{\"value\":12},{\"value\":3},{\"value\":\"#1200#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"25222\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":8},{\"value\":13},{\"value\":35},{\"value\":12},{\"value\":3},{\"value\":\"#1201#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"2277\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":3},{\"value\":13},{\"value\":20},{\"value\":12},{\"value\":3},{\"value\":\"#1202#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"5731\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":10},{\"value\":26},{\"value\":23},{\"value\":12},{\"value\":3},{\"value\":\"#1203#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"2180\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":11},{\"value\":26},{\"value\":26},{\"value\":12},{\"value\":3},{\"value\":\"#1204#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"19714\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":12},{\"value\":26},{\"value\":29},{\"value\":12},{\"value\":3},{\"value\":\"#1205#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"11994\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":13},{\"value\":26},{\"value\":32},{\"value\":12},{\"value\":3},{\"value\":\"#1206#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"15244\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":14},{\"value\":26},{\"value\":35},{\"value\":12},{\"value\":3},{\"value\":\"#1207#\"},{\"value\":1},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"32314\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":9},{\"value\":26},{\"value\":20},{\"value\":12},{\"value\":3},{\"value\":\"#1208#\"},{\"value\":0},{\"value\":6},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"15762\",\"windowid\":\"12807\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":2},{\"value\":40},{\"value\":9},{\"value\":12},{\"value\":3},{\"value\":\"CCheckBox\"},{\"value\":\"#1210#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":0}]},{\"id\":\"25685\",\"windowid\":\"12807\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":21},{\"value\":26},{\"value\":39},{\"value\":12},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1211#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"4318\",\"windowid\":\"12807\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":23},{\"value\":13},{\"value\":39},{\"value\":12},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#1214#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]},{\"id\":\"31549\",\"windowid\":\"12807\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":25},{\"value\":40},{\"value\":6},{\"value\":12},{\"value\":3},{\"value\":\"CCheckBox\"},{\"value\":\"#1215#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"null\"},{\"value\":1},{\"value\":-1},{\"value\":0}]},{\"id\":\"13536\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":55},{\"value\":13},{\"value\":10},{\"value\":12},{\"value\":3},{\"value\":\"#1977#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"934\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":56},{\"value\":26},{\"value\":10},{\"value\":12},{\"value\":3},{\"value\":\"#1978#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"12922\",\"windowid\":\"12807\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":13},{\"value\":6},{\"value\":12},{\"value\":3},{\"value\":\"#1979#\"},{\"value\":1},{\"value\":9},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":0}]},{\"id\":\"27129\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":57},{\"value\":13},{\"value\":13},{\"value\":12},{\"value\":3},{\"value\":\"#1977#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"30521\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":58},{\"value\":26},{\"value\":13},{\"value\":12},{\"value\":3},{\"value\":\"#1978#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"30005\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":59},{\"value\":13},{\"value\":16},{\"value\":12},{\"value\":3},{\"value\":\"#1977#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]},{\"id\":\"1847\",\"windowid\":\"12807\",\"type\":\"com.sage.components.list.DropBox\",\"arguments\":[{\"value\":60},{\"value\":26},{\"value\":16},{\"value\":12},{\"value\":3},{\"value\":\"#1978#\"},{\"value\":[{\"v\":12}]},{\"value\":6},{\"value\":\"12\"},{\"value\":0},{\"value\":1},{\"value\":\"CButton\"}]}]}", '0', '1');
