/*v0552*/
UPDATE `reportsections` SET `FooterQuery`="SELECT 
    REPLACE(ROUND(SUM(mov.value)/100,2),'.',',') AS sum_value
FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND mov.Voided = 0 " WHERE `UID`='19007';

UPDATE `reportsections` SET `FooterQuery`="SELECT replace(round((
(
/*Movimentos Caixa Entrada Footer*/
SELECT IFNULL( sum(mov.value),0) 
FROM cashdrawer_movements mov
    inner join cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
	left join cashdrawertenders t on t.CashDrawerMovementUID = mov.UID
WHERE 
    (
    mov.CashDrawerMovementUID = '(121)'
	and mov.Voided = 0
    and mType.MovementFlow>0
	and (t.PaymentTypeUID <> 9997 || t.PaymentTypeUID is NULL)
     )
   || 
    mov.uid =  '(121)' 
)
+
(
/*VENDAS DINHEIRO*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type = 1
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
+
(
/*VENDAS OUTROS*/
SELECT IFNULL( sum(value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.type NOT IN (1,2,3) /* diferente dinheiro, factura???????§???????£o externa e conta corrente*/
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/
)
-
(
/*TOTAL DE SAIDAS*/
(
SELECT IFNULL(sum(tenders.value),0) 
FROM transactionstenders tenders
    INNER JOIN transactionsheaders headers ON headers.UID = tenders.TransactionUID
    INNER JOIN paymenttypes pTypes on pTypes.uid = tenders.PaymentTypeUID
WHERE pTypes.code = 9998
    AND  tenders.MovementUID = '(121)'
    AND headers.DocumentTypeUID!=25 /*nao e nota de credito*/   
)
+
(
SELECT 
    IFNULL(SUM(mov.value),0) AS sum_value

FROM cashdrawer_movements mov
INNER JOIN cashdrawermovementtypes mType on mov.MovementTypeID = mType.uid
WHERE 
    mov.CashDrawerMovementUID =  '(121)'
    AND mov.MovementTypeID != 2 /*exclui fecho caixa*/
    AND mType.MovementFlow = 0
    AND mov.Voided = 0 
)
)
)/100,2),'.',',') as 'value'
" WHERE `UID`='19008';