/*z0022*/
DELETE FROM `languagedictionaries` WHERE StringID in (2020,2021,2022,2023,2024,2025,2015,2016,1527,1532,1534);
INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'Documentos Recuperação Manual', '2020', 'ManualRecManDocsString', '1', 'ManualRecManDocsString'),
('0', '1', 'Documentos Recuperação Informática', '2021', 'ManualRecInfDocsString', '1', 'ManualRecInfDocsString'),
('0', '1', 'Documento Recuperação Manual', '2022', 'DocumentTypeCode', '1', 'SCREEN_CONFIG_DOCUMENT_TYPES'),
('0', '1', 'Documento Recuperação Informática', '2023', 'DocumentTypeCode', '1', 'SCREEN_CONFIG_DOCUMENT_TYPES'),
('0', '1', 'Todos os utilizadores têm de ter uma palavra-passe de pelo menos dois dígitos.', '2010', '', '1', 'MSG'),
('0', '1', '', '2024', 'SeriesMigrationExplanation', '1', 'SCREEN_SERIES_MIGRATION'),
('0', '1', 'Indique novos descritivos para as séries que originaram perda de documentos. Serão inativas as séries que possuam novos descritivos e serão criadas as séries com o novo descritivo correspondente.', '2025', 'SeriesMigrationExplanationText', '1', 'SCREEN_SERIES_MIGRATION'),
('0', '1', 'Em caso de perda de documentos aquando reposição de uma cópia de segurança,deverão ser inactivadas as respectivas séries e criadas novas séries para substituição das mesmas. Deseja fazer isto agora?\n\nnota: a aplicação será encerrada posteriormente para se proceder à atualização dos dados', '2015', '', '1', 'MSG'),
('0', '1', 'Plugins|As operações efectuadas por este plugin poderão não ser revertidas.\n\nTem certeza que quer continuar?\n\n\nnota: o processo poderá ser demorado.', '1527', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Plugins|O ficheiro indicado não foi encontrado. Verifique o caminho/nome e tente novamente.', '1532', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Plugins|O plugin foi executado.', '1534', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Tem a certeza que deseja inactivar as séries que têm novos descritivos?', '2016', 'SeriesMigrationOrigin', '1', 'SCREEN_SERIES_MIGRATION');

DELETE FROM `screens` WHERE `ScreenType` in (0,1) AND `ID` in (185);
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`,`ScreenType`)
VALUES
('0', '3398', 'SCREEN_SERIES_MIGRATION', '185', "{\"objects\":[{\"id\":\"32446\",\"type\":\"com.sage.components.window.Window\",\"arguments\":[{\"value\":185},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":45},{\"value\":\"#843#\"},{\"value\":1},{\"value\":\"[[1]]\"},{\"value\":-1}]},{\"id\":\"19822\",\"windowid\":\"32446\",\"type\":\"com.sage.components.panels.Panel\",\"arguments\":[{\"value\":301},{\"value\":0},{\"value\":0},{\"value\":53},{\"value\":39},{\"value\":1},{\"value\":-1},{\"value\":1},{\"value\":\"\"}]},{\"id\":\"2997\",\"windowid\":\"32446\",\"type\":\"com.sage.components.list.ListBox\",\"arguments\":[{\"value\":201},{\"value\":12},{\"value\":10},{\"value\":28},{\"value\":20},{\"value\":[{\"v\":10},{\"v\":6},{\"v\":6}]},{\"value\":\"CButton\"},{\"value\":0},{\"value\":-1},{\"value\":1}]},{\"id\":\"13390\",\"windowid\":\"32446\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":1},{\"value\":12},{\"value\":31},{\"value\":13},{\"value\":3},{\"value\":\"#2013#\"},{\"value\":0},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":-1}]},{\"id\":\"10473\",\"windowid\":\"32446\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":2},{\"value\":27},{\"value\":31},{\"value\":13},{\"value\":3},{\"value\":\"#2014#\"},{\"value\":1},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":0},{\"value\":-1},{\"value\":-1}]},{\"id\":\"30169\",\"windowid\":\"32446\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-1},{\"value\":41},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#298#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1042.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"27892\",\"windowid\":\"32446\",\"type\":\"com.sage.components.buttons.Button\",\"arguments\":[{\"value\":-2},{\"value\":47},{\"value\":39},{\"value\":6},{\"value\":4},{\"value\":\"CButton\"},{\"value\":\"#297#\"},{\"value\":0},{\"value\":\"0xFFFFFF\"},{\"value\":\"1041.png\"},{\"value\":5},{\"value\":-1},{\"value\":-1}]},{\"id\":\"4947\",\"windowid\":\"32446\",\"type\":\"com.sage.components.text.TextBox\",\"arguments\":[{\"value\":3},{\"value\":12},{\"value\":1},{\"value\":28},{\"value\":8},{\"value\":\"#2024#\"},{\"value\":0},{\"value\":4},{\"value\":0},{\"value\":\"12\"},{\"value\":1},{\"value\":-1},{\"value\":-1}]}]}", '0', '1');

/*sl*/

DELETE FROM `languagedictionaries` WHERE StringID in (2020,2021,2022,2023,2024,2025,2015,2016,1527,1532,1534);
INSERT INTO `languagedictionaries`
(`RecordDeleted`,`SyncCounter`,`Description`,`StringID`,`Alias`,`LanguageID`,`Context`)
VALUES
('0', '1', 'Documentos Recuperação Manual', '2020', 'ManualRecManDocsString', '1', 'ManualRecManDocsString'),
('0', '1', 'Documentos Recuperação Informática', '2021', 'ManualRecInfDocsString', '1', 'ManualRecInfDocsString'),
('0', '1', 'Documento Recuperação Manual', '2022', 'DocumentTypeCode', '1', 'SCREEN_CONFIG_DOCUMENT_TYPES'),
('0', '1', 'Documento Recuperação Informática', '2023', 'DocumentTypeCode', '1', 'SCREEN_CONFIG_DOCUMENT_TYPES'),
('0', '1', 'Todos os utilizadores têm de ter uma palavra-passe de pelo menos dois dígitos.', '2010', '', '1', 'MSG'),
('0', '1', '', '2024', 'SeriesMigrationExplanation', '1', 'SCREEN_SERIES_MIGRATION'),
('0', '1', 'Indique novos descritivos para as séries que originaram perda de documentos. Serão inativas as séries que possuam novos descritivos e serão criadas as séries com o novo descritivo correspondente.', '2025', 'SeriesMigrationExplanationText', '1', 'SCREEN_SERIES_MIGRATION'),
('0', '1', 'Em caso de perda de documentos aquando reposição de uma cópia de segurança,deverão ser inactivadas as respectivas séries e criadas novas séries para substituição das mesmas. Deseja fazer isto agora?\n\nnota: a aplicação será encerrada posteriormente para se proceder à atualização dos dados', '2015', '', '1', 'MSG'),
('0', '1', 'Plugins|As operações efectuadas por este plugin poderão não ser revertidas.\n\nTem certeza que quer continuar?\n\n\nnota: o processo poderá ser demorado.', '1527', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Plugins|O ficheiro indicado não foi encontrado. Verifique o caminho/nome e tente novamente.', '1532', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Plugins|O plugin foi executado.', '1534', 'MSG_BOX_TEXT', '1', 'SCREEN_PLUGINS'),
('0', '1', 'Tem a certeza que deseja inactivar as séries que têm novos descritivos?', '2016', 'SeriesMigrationOrigin', '1', 'SCREEN_SERIES_MIGRATION');

DELETE FROM `screens` WHERE `ScreenType` in (0,1) AND `ID` in (185);
INSERT INTO `screens`
(`RecordDeleted`,`SyncCounter`,`Description`,`ID`,`UserInterfaceDescription`,`SalesTerminalUID`,`ScreenType`)
VALUES
('0', '3398', 'SCREEN_SERIES_MIGRATION', '185', "{""objects"":[{""id"":""32446"",""type"":""com.sage.components.window.Window"",""arguments"":[{""value"":185},{""value"":0},{""value"":0},{""value"":53},{""value"":45},{""value"":""#843#""},{""value"":1},{""value"":""[[1]]""},{""value"":-1}]},{""id"":""19822"",""windowid"":""32446"",""type"":""com.sage.components.panels.Panel"",""arguments"":[{""value"":301},{""value"":0},{""value"":0},{""value"":53},{""value"":39},{""value"":1},{""value"":-1},{""value"":1},{""value"":""""}]},{""id"":""2997"",""windowid"":""32446"",""type"":""com.sage.components.list.ListBox"",""arguments"":[{""value"":201},{""value"":12},{""value"":10},{""value"":28},{""value"":20},{""value"":[{""v"":10},{""v"":6},{""v"":6}]},{""value"":""CButton""},{""value"":0},{""value"":-1},{""value"":1}]},{""id"":""13390"",""windowid"":""32446"",""type"":""com.sage.components.text.TextBox"",""arguments"":[{""value"":1},{""value"":12},{""value"":31},{""value"":13},{""value"":3},{""value"":""#2013#""},{""value"":0},{""value"":4},{""value"":0},{""value"":""12""},{""value"":0},{""value"":-1},{""value"":-1}]},{""id"":""10473"",""windowid"":""32446"",""type"":""com.sage.components.text.TextBox"",""arguments"":[{""value"":2},{""value"":27},{""value"":31},{""value"":13},{""value"":3},{""value"":""#2014#""},{""value"":1},{""value"":4},{""value"":0},{""value"":""12""},{""value"":0},{""value"":-1},{""value"":-1}]},{""id"":""30169"",""windowid"":""32446"",""type"":""com.sage.components.buttons.Button"",""arguments"":[{""value"":-1},{""value"":41},{""value"":39},{""value"":6},{""value"":4},{""value"":""CButton""},{""value"":""#298#""},{""value"":0},{""value"":""0xFFFFFF""},{""value"":""1042.png""},{""value"":5},{""value"":-1},{""value"":-1}]},{""id"":""27892"",""windowid"":""32446"",""type"":""com.sage.components.buttons.Button"",""arguments"":[{""value"":-2},{""value"":47},{""value"":39},{""value"":6},{""value"":4},{""value"":""CButton""},{""value"":""#297#""},{""value"":0},{""value"":""0xFFFFFF""},{""value"":""1041.png""},{""value"":5},{""value"":-1},{""value"":-1}]},{""id"":""4947"",""windowid"":""32446"",""type"":""com.sage.components.text.TextBox"",""arguments"":[{""value"":3},{""value"":12},{""value"":1},{""value"":28},{""value"":8},{""value"":""#2024#""},{""value"":0},{""value"":4},{""value"":0},{""value"":""12""},{""value"":1},{""value"":-1},{""value"":-1}]}]}", '0', '1');

