/*z0024*/

DELETE FROM `reportsections` WHERE UID in (37004);
INSERT INTO `reportsections` (`UID`,`RecordDeleted`,`SyncCounter`,`ReportUID`,`HeaderText`,`HeaderFormat`,`DetailQuery`,`DetailFormat`,`FooterQuery`,`FooterFormat`,`Columns`,`OrderField`)
VALUES
('37004', '0', '1', '37', NULL, '

--Totais por serviço
Descr.                   Qnt       Valor
----------------------------------------
', "SELECT
    qry.plu,
    qry.qt as qt,
    qry.withholding_v as ret_val
FROM(
    SELECT 
        PluName as plu,
        SUM(if (headers.DocumentTypeUid <> 25,details.Quantity,-1*details.Quantity)) as qt,
        SUM(ROUND((details.NetValue/100)*((details.WithholdingPercentage/100)/100),2)) as 'withholding_v'
    FROM transactionsdetails details
        INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
        RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
        RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
    WHERE DATE(headers.TransactionEndTime) BETWEEN  '(101)'  AND '(111)' 
        AND headers.TransactionStatus = 'N'
        AND details.WithholdingPercentage>0 
    GROUP BY PluName
    ORDER BY plu
) as qry;", '%-16.16s %11.11s %11.11s
', "SELECT 
    SUM(ROUND((details.NetValue/100)*((details.WithholdingPercentage/100)/100),2)) as 'withholding_v'
FROM transactionsdetails details
    INNER JOIN transactionsheaders headers ON headers.UID = details.TransactionUID
    RIGHT JOIN plus mainplus on mainplus.UID=details.PluUID
    RIGHT JOIN properties props on props.UID =mainplus.PropertyUID
WHERE DATE(headers.TransactionEndTime)BETWEEN  '(101)'  AND '(111)' 
    AND headers.TransactionStatus = 'N'
    AND details.WithholdingPercentage>0 ", '        --------------------------------
%40.40s', '3', '4');

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    IF(qry.pFamily =  @lastFamily,'',   @lastFamily:=   qry.pFamily) AS family,
    IF(qry.pSubFamily =@lastSubFamily,'',@lastSubFamily:=qry.pSubFamily) AS subFamily,
    qry.pUid,
    qry.pPlu,
    qry.pDescription, 
    replace(round(qry.pSalesPrice/100,2),'.',',') as pPrice
FROM (
    SELECT
    @lastFamily ='',
    @lastSubFamily ='',
    IF(sf.RecordDeleted=0,
        SUBSTR(concat(f.description,\"\\n\"),1,20),
        SUBSTR(concat(\"\Sem familia\n\"),1,20)) AS pFamily,
    IF(sf.RecordDeleted=0,
        SUBSTR(concat(\"    \",sf.description,\"\\n\"),1,30),
        SUBSTR(concat(\"\"),1,30))
        AS pSubFamily,
    p.ItemID AS pUid,
    IF(p.ProductLookUp IS NULL,'0',p.ProductLookUp) AS pPlu,
    SUBSTR(p.ShortDescription1,1,20) AS pDescription, 
    SUBSTR(prop.SalesPrice1,1,10) AS pSalesPrice
    FROM plus p
    INNER JOIN properties prop on p.PropertyUID = prop.uid 
    INNER JOIN families f on p.FamilyID = f.UID
    INNER JOIN subfamilies sf on p.SubFamilyID = sF.UID 
    WHERE p.RecordDeleted=0 
    ORDER BY pFamily, pSubFamily,pDescription
) AS qry;"
WHERE `ReportUID`='17';

/*sl*/

