/*z0039*/

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    CASE Q.rate
             WHEN 999
             THEN 'Total'
             ELSE Q.rate END,
    replace(Q.valueTaxOff,'.',','),
    replace(Q.taxValue,'.',','),
    replace(Q.totalValue,'.',','),
    Q.DocDescription
    FROM(     
    SELECT
        taxes.UID as TaxUID,
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff', round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
        (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) =   '(101)' 
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID,TaxUID
UNION
  SELECT
       999,
       999,
       round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
       round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
       round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
       headers.DocumentTypeUID as DocType,
       (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) =   '(101)' 
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID 
)AS Q ORDER BY Q.DocType,Q.TaxUID" WHERE `UID`='1001';

UPDATE `reportsections` SET `DetailQuery`="SELECT
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime)  between '(101)'  and '(111)' 
AND  headers.TransactionStatus = 'N' 
and  headers.DocumentTypeUID != 13
Group by SaleTaxUID" WHERE `UID`='15001';

UPDATE `reportsections` SET `DetailQuery`= "SELECT 
    #Q.rate,
    if(Q.rate=999,\"Total\",Q.rate),
    replace(Q.valueTaxOff,'.',','),
    replace(Q.taxValue,'.',','),
    replace(Q.totalValue,'.',','),
    #Q.docType,
    Q.DocDescription
    FROM(     
    SELECT
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
        round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
        (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID,rate
UNION
    SELECT
        999,
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
        round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
       (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
   --  INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID 
)AS Q ORDER BY Q.DocType,Q.rate" WHERE `UID`='27001';

UPDATE `reportsections` SET `DetailQuery`="SELECT
	CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime)  = '(101)'  
AND  headers.TransactionStatus = 'N' 
and  headers.DocumentTypeUID != 13
Group by SaleTaxUID" WHERE `UID`='45004';

/*sl*/

UPDATE `reportsections` SET `DetailQuery`="SELECT 
    CASE Q.rate
             WHEN 999
             THEN 'Total'
             ELSE Q.rate END,
    replace(Q.valueTaxOff,'.',','),
    replace(Q.taxValue,'.',','),
    replace(Q.totalValue,'.',','),
    Q.DocDescription
    FROM(     
    SELECT
        taxes.UID as TaxUID,
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff', round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
        (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) =   '(101)' 
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID,TaxUID
UNION
  SELECT
       999,
       999,
       round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
       round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
       round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
       headers.DocumentTypeUID as DocType,
       (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) =   '(101)' 
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID 
)AS Q ORDER BY Q.DocType,Q.TaxUID" WHERE `UID`='1001';

UPDATE `reportsections` SET `DetailQuery`="SELECT
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime)  between '(101)'  and '(111)' 
AND  headers.TransactionStatus = 'N' 
and  headers.DocumentTypeUID != 13
Group by SaleTaxUID" WHERE `UID`='15001';

UPDATE `reportsections` SET `DetailQuery`= "SELECT 
    #Q.rate,
    if(Q.rate=999,""Total"",Q.rate),
    replace(Q.valueTaxOff,'.',','),
    replace(Q.taxValue,'.',','),
    replace(Q.totalValue,'.',','),
    #Q.docType,
    Q.DocDescription
    FROM(     
    SELECT
    CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
        round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
        (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
    -- INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID,rate
UNION
    SELECT
        999,
        round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2) as 'valueTaxOff',
        round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2) as 'taxValue',
        round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2)as 'totalValue',
        headers.DocumentTypeUID as DocType,
       (SELECT Description FROM documenttypes WHERE DocumentType=headers.DocumentTypeUID AND RecordDeleted=0 GROUP BY DocumentType) as  DocDescription
    FROM transactionsdetails details
    INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
    INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
   --  INNER JOIN documenttypes ON headers.DocumentTypeUID=documenttypes.DocumentType 
    WHERE DATE(headers.TransactionEndTime) between '(101)' and '(111)'
    AND  headers.TransactionStatus = 'N' 
    AND  headers.DocumentTypeUID != 13 
    GROUP by headers.DocumentTypeUID 
)AS Q ORDER BY Q.DocType,Q.rate" WHERE `UID`='27001';

UPDATE `reportsections` SET `DetailQuery`="SELECT
	CASE WHEN (SELECT Value FROM appcore WHERE name ='db_version') > 385 THEN 
		CASE WHEN taxes.TaxRatePerc > 0 THEN 
			round(((taxes.TaxRate *100) + taxes.TaxRatePerc) / 100.0,2)
		ELSE
			round(taxes.TaxRate,0)
		END
	ELSE taxes.TaxRate 
	END AS 'rate',
    replace(round((sum(NetValue-NetValue*headers.DiscountPercent/100))/100,2),'.',',') as 'valueTaxOff',
replace(round((sum(SaleValue-SaleValue*headers.DiscountPercent/100)-(sum(NetValue-NetValue*headers.DiscountPercent/100)))/100,2),'.',',') as 'taxValue',
    replace(round(sum(SaleValue-SaleValue*headers.DiscountPercent/100)/100,2),'.',',') as 'totalValue'      
FROM transactionsdetails details
INNER JOIN transactionsheaders headers on headers.uid = details.TransactionUID
INNER JOIN taxes ON details.SaleTaxUID = taxes.UID 
WHERE     DATE(headers.TransactionEndTime)  = '(101)'  
AND  headers.TransactionStatus = 'N' 
and  headers.DocumentTypeUID != 13
Group by SaleTaxUID" WHERE `UID`='45004';
