/*z070*/
DELETE FROM `taxes` WHERE UID in (51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66);
INSERT INTO `taxes` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `TaxRate`, `TaxExpirationDate`, `IsentionCode`, `Comment`, `TaxTypeUID`, `TaxRegionUID`, `TaxRatePerc`)
VALUES
('51', '0', '120', '6', 'Isento Art 16', '0', '0000-00-00 00:00:00','M01','Artigo 16. n. 6 do CIVA (ou similar) Artigo 16. n. 6 alíneas a) a d) do CIVA', '1', '1', '0'),
('52', '0', '120', '6', 'Isento Art 6', '0', '0000-00-00 00:00:00','M02','Artigo 6. do Decreto-Lei n. 198 de 90, de 19 de Junho', '1', '1', '0'),
('53', '0', '120', '6', 'Isento Exi Caixa', '0', '0000-00-00 00:00:00','M03','Exigibilidade de caixa Decreto Lei n. 204 de 97, de 9 de agosto', '1', '1', '0'),
('54', '0', '120', '6', 'Isento Art 13', '0', '0000-00-00 00:00:00','M04','Isento Artigo 13. do CIVA (ou similar) Artigo 13. do CIVA', '1', '1', '0'),
('55', '0', '120', '6', 'Isento Art 14', '0', '0000-00-00 00:00:00','M05','Isento Artigo 14. do CIVA (ou similar) Artigo 14. do CIVA', '1', '1', '0'),
('56', '0', '120', '6', 'Isento Art 15', '0', '0000-00-00 00:00:00','M06','Isento Artigo 15. do CIVA (ou similar) Artigo 15. do CIVA', '1', '1', '0'),
('57', '0', '120', '6', 'Isento Art 9', '0', '0000-00-00 00:00:00','M07','Isento Artigo 9. do CIVA (ou similar) Artigo 9. do CIVA', '1', '1', '0'),
('58', '0', '120', '6', 'Isento Auto Liq', '0', '0000-00-00 00:00:00','M08','IVA – autoliquidação Artigo 2. n. 1 alínea i), j) ou l) do CIVA Artigo 6. do CIVA', '1', '1', '0'),
('59', '0', '120', '6', 'Isento ART 60', '0', '0000-00-00 00:00:00','M09','IVA - não confere direito a dedução Artigo 60. CIVA Artigo 72. n. 4 do CIVA', '1', '1', '0'),
('60', '0', '120', '6', 'Isento Art 53', '0', '0000-00-00 00:00:00','M10','IVA – Regime de isenção Artigo 53.do CIVA', '1', '1', '0'),
('61', '0', '120', '6', 'Isento Agencias Viagens', '0', '0000-00-00 00:00:00','M12','Regime da margem de lucro – Agências de viagens Decreto-Lei n. 221 de 85, de 3 de julho', '1', '1', '0'),
('62', '0', '120', '6', 'Isento Bens 2 Mao', '0', '0000-00-00 00:00:00','M13','Regime da margem de lucro – Bens em segunda mão Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('63', '0', '120', '6', 'Isento Obj Arte', '0', '0000-00-00 00:00:00','M14','Regime da margem de lucro – Objetos de arte Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('64', '0', '120', '6', 'Isento Obj colecao', '0', '0000-00-00 00:00:00','M15','Regime da margem de lucro – Objetos de coleção e antiguidades Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('65', '0', '120', '6', 'Isento Art 14RITI', '0', '0000-00-00 00:00:00','M16','Isento Artigo 14. do RITI (ou similar) Artigo 14. do RITI', '1', '1', '0'),
('66', '0', '120', '6', 'Isento Regime Forf', '0', '0000-00-00 00:00:00','M20','IVA - Regime forfetário Artigo 59.-B do CIVA', '1', '1', '0');

UPDATE `taxes` SET `Description`='Isento Tabaco', `Comment`='Regime particular do tabaco Decreto-Lei n. 346 de 85, de 23 de agosto', `IsentionCode`='M11' WHERE `UID`='4';
UPDATE `taxes` SET `Description`='Isento Nao Sujeito', `Comment`='Não sujeito; não tributado (ou similar) Outras situações de não liquidação do imposto', `IsentionCode`='M99' WHERE `UID`='5';

/*sl*/
DELETE FROM `taxes` WHERE UID in (51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66);
INSERT INTO `taxes` (`UID`, `RecordDeleted`, `SyncCounter`, `Code`, `Description`, `TaxRate`, `TaxExpirationDate`, `IsentionCode`, `Comment`, `TaxTypeUID`, `TaxRegionUID`, `TaxRatePerc`)
VALUES
('51', '0', '120', '6', 'Isento Art 16', '0', '0000-00-00 00:00:00','M01','Artigo 16. n. 6 do CIVA (ou similar) Artigo 16. n. 6 alíneas a) a d) do CIVA', '1', '1', '0'),
('52', '0', '120', '6', 'Isento Art 6', '0', '0000-00-00 00:00:00','M02','Artigo 6. do Decreto-Lei n. 198 de 90, de 19 de Junho', '1', '1', '0'),
('53', '0', '120', '6', 'Isento Exi Caixa', '0', '0000-00-00 00:00:00','M03','Exigibilidade de caixa Decreto Lei n. 204 de 97, de 9 de agosto', '1', '1', '0'),
('54', '0', '120', '6', 'Isento Art 13', '0', '0000-00-00 00:00:00','M04','Isento Artigo 13. do CIVA (ou similar) Artigo 13. do CIVA', '1', '1', '0'),
('55', '0', '120', '6', 'Isento Art 14', '0', '0000-00-00 00:00:00','M05','Isento Artigo 14. do CIVA (ou similar) Artigo 14. do CIVA', '1', '1', '0'),
('56', '0', '120', '6', 'Isento Art 15', '0', '0000-00-00 00:00:00','M06','Isento Artigo 15. do CIVA (ou similar) Artigo 15. do CIVA', '1', '1', '0'),
('57', '0', '120', '6', 'Isento Art 9', '0', '0000-00-00 00:00:00','M07','Isento Artigo 9. do CIVA (ou similar) Artigo 9. do CIVA', '1', '1', '0'),
('58', '0', '120', '6', 'Isento Auto Liq', '0', '0000-00-00 00:00:00','M08','IVA – autoliquidação Artigo 2. n. 1 alínea i), j) ou l) do CIVA Artigo 6. do CIVA', '1', '1', '0'),
('59', '0', '120', '6', 'Isento ART 60', '0', '0000-00-00 00:00:00','M09','IVA - não confere direito a dedução Artigo 60. CIVA Artigo 72. n. 4 do CIVA', '1', '1', '0'),
('60', '0', '120', '6', 'Isento Art 53', '0', '0000-00-00 00:00:00','M10','IVA – Regime de isenção Artigo 53.do CIVA', '1', '1', '0'),
('61', '0', '120', '6', 'Isento Agencias Viagens', '0', '0000-00-00 00:00:00','M12','Regime da margem de lucro – Agências de viagens Decreto-Lei n. 221 de 85, de 3 de julho', '1', '1', '0'),
('62', '0', '120', '6', 'Isento Bens 2 Mao', '0', '0000-00-00 00:00:00','M13','Regime da margem de lucro – Bens em segunda mão Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('63', '0', '120', '6', 'Isento Obj Arte', '0', '0000-00-00 00:00:00','M14','Regime da margem de lucro – Objetos de arte Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('64', '0', '120', '6', 'Isento Obj colecao', '0', '0000-00-00 00:00:00','M15','Regime da margem de lucro – Objetos de coleção e antiguidades Decreto-Lei n. 199 de 96, de 18 de outubro', '1', '1', '0'),
('65', '0', '120', '6', 'Isento Art 14RITI', '0', '0000-00-00 00:00:00','M16','Isento Artigo 14. do RITI (ou similar) Artigo 14. do RITI', '1', '1', '0'),
('66', '0', '120', '6', 'Isento Regime Forf', '0', '0000-00-00 00:00:00','M20','IVA - Regime forfetário Artigo 59.-B do CIVA', '1', '1', '0');

UPDATE `taxes` SET `Description`='Isento Tabaco', `Comment`='Regime particular do tabaco Decreto-Lei n. 346 de 85, de 23 de agosto', `IsentionCode`='M11' WHERE `UID`='4';
UPDATE `taxes` SET `Description`='Isento Nao Sujeito', `Comment`='Não sujeito; não tributado (ou similar) Outras situações de não liquidação do imposto', `IsentionCode`='M99' WHERE `UID`='5';

