var boffice_JsonCommands = new function() {
	"use strict";

	this.Process = function(data) {
		var urlLocal;

		boffice.log("****** :: JSON Handler :: COMANDO " + data.command[0].name + " : " + data.command[0].detail);

		if (data["command"][0].name == "version") {
			bofficeGlobals.versionInfo = data["command"][0];

		}

		if (data.command[0].name == "dataok" || data.command[0].name == "commandok") {
			urlLocal = "";
			//check for postclicks:
			if ((windowClicks[windowID] != undefined) && (data.command[0].name == "dataok")) //only on dataok commands!
			{

				var target = "201"; //windowClicks[windowID].obj;
				var value = windowClicks[windowID].value;
				//windowPostClicks[windowID+"_"+target] = 1;
				//boffice.send_url(baseUrl+"callback&windowID="+windowID+"&objectID="+target+"&value="+value);
				//$("#"+windowID+"_"+target).find(".grid-canvas").children().first().children().first().trigger("click");
				//$("#"+windowID+"_"+target).find(".grid-canvas").children("DIV[rowId="+value+"]").trigger("click");
				delete windowClicks[windowID];
				$("#" + windowID + "_" + target).find(".grid-canvas").children("DIV[rowId=" + value + "]").children().first().trigger("click");
				boffice.log("AUTOCLICK: " + windowID + "_" + target);

			}
			//if (data.command[0].name == "dataok")
			//{
			//	bofficeWidgetsWindow.ShowWindow(windowID);
			//}

		} else if (data.command[0].timeout == "0") {

			//estrytura de informação enviada no arranque da aplicação
			//todo necessário persistir neste lado

			urlLocal = "callback&windowID=-1&objectID=-1value=-2";
		} else if (data.command[0].name == "showMessageBox") {

			AskMessage_internalID = data.command[0].InternalID;
			AskMessage_parentID = data.command[0].ParentID;

			var text = data.command[0].Message;

			var tittle = "Aviso";
			var body = text;
			if (text.indexOf("|") > -1) { // 3 | Teresa
				tittle = text.split("|")[0];
				body = text.split("|")[1];
			}


			var color;
			if (data.command[0].MsgBoxTypeColor != undefined) {
				//bofficeWidgetsWindow.css("background","linear-gradient(1deg, rgba(48,48,48,1) 0%, rgba(0,255,0,1) 100%)");
				/*if (data.command[0].MsgBoxTypeColor == "0xf800") {
					color = "red";
				} else if (data.command[0].MsgBoxTypeColor == "0x7e0") {
					color = "green";
				} else {
				*/
				color = data.command[0].MsgBoxTypeColor.replace("0x","#");
				//}
				if (!isMobile) {
					$("#wShowMessage").css("background", "linear-gradient(1deg, rgba(48,48,48,1) 0%, " + color + " 100%)");
				}
				else
				{
					$("#wShowMessage").css("background-color",color);
				}
			} else {
				if (!isMobile) {
					$("#wShowMessage").css("background", "linear-gradient(1deg, rgba(48,48,48,1) 0%, rgba(99,99,99,1) 100%)");
				} else {
					$("#wShowMessage").css("background-color", "rgb(99,99,99)");
				}
			}

			//default buttons
			$("#btOKOK").children().first().html("Ok");
			$("#btCancelCancel").children().first().html("Cancelar");
			$("#btMessageClose").children().first().html("Fechar");

			/*
						MSG_BOX_OK              = 1, //- mostra o botão OK, é puramente informativa
						MSG_BOX_YES_NO          = 2, //– mostra os botões Sim e Não
						MSG_BOX_OK_CANCEL       = 3, //– mostra os botões OK e Cancel
						MSG_BOX_ASK_QT          = 4, //– Mostra textbox Numerica, com teclado numérico
						MSG_BOX_ASK_CURRENCY    = 5, //– Mostra textbox Dinheiro, com teclado numérico
						MSG_BOX_ASK_PASS        = 6, //– Mostra textbox, com teclado numérico, imprimindo “*” na textbox
						MSG_BOX_ASK_NUM         = 7, //– Mostra textbox Numerica, com teclado numérico
						MSG_BOX_ERROR           = 1, //- para já fica igual à OK. depois terá que ter um ícone de ERRO
						MSG_BOX_TEXT_INPUT      = 9
			*/
			console.log("MessageBox: " + tittle);
			console.log("\t" + body);


			if (data.command[0].MsgBoxTypeId == "1") {


				document.getElementById("showMessageTittle").innerHTML = tittle;
				document.getElementById("showMessageCaption").innerHTML = body;

				$("#btMessageClose").children().first().html("Ok");
				$("#wShowMessage").center();
				SnatchWindow.ShowWindow("ShowMessage");
				$("#blocker2").show();


			} else if (data.command[0].MsgBoxTypeId == "2") {
				AskMessage_internalID = data.command[0].InternalID;
				AskMessage_parentID = data.command[0].ParentID;

				var text = data.command[0].Message;

				if (text.indexOf("|") > -1) { // 3 | Teresa
					tittle = text.split("|")[0];
					body = text.split("|")[1];
				} else {
					tittle = "Aviso";
					body = text;
				}

				document.getElementById("msgQuestionTittle").innerHTML = tittle;
				document.getElementById("showQuestionCaption").innerHTML = body;

				$("#btOKOK").children().first().html("Sim");
				$("#btCancelCancel").children().first().html("Não");
				$("#wAskQuestion").center();
				SnatchWindow.ShowWindow("AskQuestion");
				$("#blocker2").show();

				//windowYesNo(data.command[0].Message,baseUrl + urlLocalYes, baseUrl + urlLocalNo);
			} else if (
				(data.command[0].MsgBoxTypeId == "6") ||
				(data.command[0].MsgBoxTypeId == "7")) { // numerico ou password

				AskMessage_internalID = data.command[0].InternalID;
				AskMessage_parentID = data.command[0].ParentID;

				if (body == "Password") {
					$("#wAskPassword").center();
					SnatchWindow.ShowWindow("AskPassword");
					document.getElementById("wAskPasswordTittle").innerHTML = body;
					if (isMobile) {
						$("#inputPassword").prop('readonly', true);
						$("#inputPassword").blur(function() {
							$(this).prop('readonly', false);
						});
					}
					//$("#blocker2").show();


				} else {
					$("#inputNumeric").val("0");
					document.getElementById("wAskNumericTittle").innerHTML = body;
					SnatchWindow.ShowWindow("AskNumeric"); //AskNumeric
				}

			} else if (data.command[0].MsgBoxTypeId == "4") {
				AskMessage_internalID = data.command[0].InternalID;
				AskMessage_parentID = data.command[0].ParentID;
				$("#wAskWeight").center();
				SnatchWindow.ShowWindow("AskWeight");
				if (isMobile) {
					$("#inputWeight").prop('readonly', true);
					$("#inputWeight").blur(function() {
						$(this).prop('readonly', false);
					});
				}
				//$("#blocker2").show();

			} else if (data.command[0].MsgBoxTypeId == "5" || data.command[0].MsgBoxTypeId == "6") {
				AskMessage_internalID = data.command[0].InternalID;
				AskMessage_parentID = data.command[0].ParentID;
				$("#wAskPrice").center();
				SnatchWindow.ShowWindow("AskPrice");
				//$("#blocker2").show();


			} else if (data.command[0].MsgBoxTypeId == "9") {

				var text = data.command[0].Message;

				if (text.indexOf("|") > -1) {
					tittle = text.split("|")[0];
					body = text.split("|")[1];
				} else {
					tittle = "Aviso";
					body = text;
				}

				//need a example
				boffice.log("<----------------------------------------------TODO!");
				document.getElementById("wAskTextTittle").innerHTML = tittle;
				document.getElementById("showTextCaption").innerHTML = body;


				//bofficeWidgetsWindow.ShowWindow("AskText");
				//$("#wAskText").center();

			} else {
				var text = data.command[0].Message;

				if (text.indexOf("|") > -1) {
					tittle = text.split("|")[0];
					body = text.split("|")[1];
				} else {
					tittle = "Aviso";
					body = text;
				}

				document.getElementById("msgQuestionTittle").innerHTML = tittle;
				document.getElementById("showQuestionCaption").innerHTML = body;

				$("#wAskQuestion").center();
				SnatchWindow.ShowWindow("AskQuestion");
				$("#blocker2").show();


			}

			urlLocal = "screenok&windowID=" + windowID;


		} else if (data.command[0].name == "closewindow") {
			var window = data.command[0].detail;
			SnatchWindow.HideWindow(window);
			urlLocal = "screenok&windowID=" + windowID;
		} else if (data.command[0].name == "setPanelTabCaption") {

			var window = data.command[0].windowID;
			var index = data.command[0].panelIndex;
			var panel = data.command[0].panel; //?? panel caption?
			var obj = data.command[0].objID; //?? 

			uiData["window_" + window].SetWindowTabIndex(index);

			//set panel current tab:
			/*
			if (cacheMode == 0) {
				$("#w" + window).children().first().find(".Panel").children().first().attr("snatch_current_page", parseInt(index));
			}
			*/

			urlLocal = "commandok&windowID=" + windowID;
		} else if (data.command[0].name == "setPanelTabIndex") {

			var window = data.command[0].windowID;
			var index = data.command[0].panelIndex;
			var obj = data.command[0].objID; //??!

			uiData["window_" + window].SetWindowTabIndex(index);

			urlLocal = "commandok&windowID=" + windowID;
		} else if (data.command[0].name == "showwindow") {

			var _data = data.command[0].detail;
			var caption = "";

			if (_data.indexOf("|") > -1) { // 3 | Teresa
				window = _data.split("|")[0];
				caption = _data.split("|")[1];
			} else {
				window = _data;
			}

			//this.HideWindow(windowIDLast);
			SnatchWindow.ShowWindow(window, caption);

			urlLocal = "screenok&windowID=" + windowID;
		} else if (data.command[0].name != undefined) {
			if (bofficeGlobals.DEBUG) {
				console.log(JSON.stringify(data));
			}
			console.log("---------------------------------------");
			console.log("WebFE: " + bofficeGlobals.webfeVersion);
			console.log("BE: " + data.command[0].detail);
			bofficeGlobals.currencySymbol = data.command[0].currency;

			urlLocal = "/callback&windowID=-1&objectID=-1&value=-3";
		} else {
			//urlLocal = "commandok&windowID=-1";
			urlLocal = "/callback&windowID=-1&objectID=-1&value=-3";
			console.log("*********** ATTENTION ***********: data.command NOT PROCESSED");
			console.log(JSON.stringify(data));
		}

		return urlLocal;
	}
}
