var boffice_JsonData = new function() {
    "use strict";
    this.Process = function(data) {

        //pre data processing
        boffice_UiDataBuilder.BuildData(data);
        /* end of pre process data */

        var listBoxesToUpdate = {};



        $.each(data.data, function() {

            var objID = this.id;
            var value = this.v;

            //find the element based on Window and ID
            var procIDParent = windowID + "_" + objID;

            if (this.id === "SetWindowCaption") {
                uiData["window_"+windowID].setCurrentCaption(this.v);
            } else {
                var elem = $("#" + procIDParent);


                if (elem.length > 0) {
                    //TEXTBOX
                    if (elem.hasClass("TextBox")) {
                        uiData["textbox_" + procIDParent].updateTextBox(value);
                    }
                    //CHECKBOX
                    else if (elem.hasClass("CheckBox")) {
                        uiData["button_" + procIDParent].updateCheckBox(value);
                    }
                    //DROPBOX
                    else if (elem.hasClass("DropBox")) {
                        uiData["dropbox_" + procIDParent].updateDropBox(this);
                    }
                    //SLIDE
                    else if (elem.hasClass("Slide")) {

                        if ((localStorage.length == 0) || (cacheMode != 1)) {
                            uiData["slide_" + procIDParent].drawSlide();
                        }
                    }
                    //SLIDEGRID
                    else if ((elem.hasClass("SlideGrid") || elem.hasClass("cSlideGrid"))) {
                        if ((localStorage.length == 0) || (cacheMode != 1)) {
                            uiData["slidegrid_" + procIDParent].drawSlideGrid();
                        }

                    }
                    //LISTBOX
                    else if (elem.hasClass("ListBox")) {
                        if ((localStorage.length == 0) || (cacheMode != 1)) {
                            if ($.inArray(procIDParent, Object.keys(listBoxesToUpdate)) < 0)
                                listBoxesToUpdate[objID] = procIDParent;
                        }
                    }


                } else // não existe o componente no DOM
                {
                    if (bofficeGlobals.DEBUG) {
                        boffice.log("Element does not exist: " + procIDParent);
                    }

                }
            }

        });
        var keys = Object.keys(listBoxesToUpdate).sort();
        for (var i = keys.length - 1; i >= 0; i--) {
            var key = keys[i];
            var procIDParent = listBoxesToUpdate[key];
            if ((procIDParent == "4_201") && ($("#" + procIDParent + "2").length > 0)) {
                uiData["listbox_" + procIDParent].updateListBox();
                uiData["listbox_" + procIDParent + "2"].updateListBox();
            } else {
                //bofficeWidgetsListBox.updateListBox(procIDParent, objID);
                uiData["listbox_" + procIDParent].updateListBox();
            }

        };

        //send 'ack'
        return "dataok&windowID=" + data.windowid;
    }


}
