var bofficeJson = new function() {
	"use strict";
	this.el = undefined;
	this.father = undefined;
	this.screenstr = "";
	this.window = undefined;

	this.createJsonString = function(_el, _window_id) {
		this.el = _el;
		this.window = uiData["window_" + _window_id].json_id;
		this.screenstr = "{\"objects\":[{";
		this.screenstr += ("\"id\":\"" + uiData["window_" + _window_id].json_id + "\"," + "\"type\":\"" + "com.sage.components.window.Window" + "\"," + "\n\"arguments\":[");
	};



	this.iterateobjs = function(_obj, _father) {

		var children = _obj.children;
		var x;
		var initstr = "";
		var therewaschilds = 0;

		for (var i = 0; i < children.length; i++) {

			var tableChild = children[i];

			if (tableChild.id !== "") {

				var mytype = "";

				if ($(tableChild).hasClass("Button") || $(tableChild).hasClass("CheckBox"))
					mytype = "com.sage.components.buttons.Button";
				//else if ($(tableChild).hasClass("cSlideGrid_Button"))
				//	mytype = "com.sage.components.CSlides.Button";
				else if ($(tableChild).hasClass("Window"))
					mytype = "com.sage.components.window.Window";
				else if ($(tableChild).hasClass("cSlideGrid"))
					mytype = "com.sage.components.Cslides.SlideGrid";
				else if ($(tableChild).hasClass("SlideGrid"))
					mytype = "com.sage.components.slides.SlideGrid";
				else if ($(tableChild).hasClass("Slide"))
					mytype = "com.sage.components.slides.Slide";
				else if ($(tableChild).hasClass("ListBox"))
					mytype = "com.sage.components.list.ListBox";
				else if ($(tableChild).hasClass("TextBox"))
					mytype = "com.sage.components.text.TextBox";
				else if ($(tableChild).hasClass("DropBox"))
					mytype = "com.sage.components.list.DropBox";
				else if ($(tableChild).hasClass("Panel"))
					mytype = "com.sage.components.panels.Panel";


				if (mytype.length > 1) {

					initstr = "";

					/*for (x = 0; x < nivel; x++)
						initstr += " ";
						*/
					if (!this.screenstr.endsWith(",")) {
						this.screenstr += ",";
					}
					this.screenstr += "\n" + (initstr + "{");

					var jsonid = tableChild.getAttribute('snatch_jsonid');
					if (jsonid === "" || jsonid === "undefined" || jsonid === null) {
						jsonid = Math.floor((Math.random() * 10000) + 1);
						//console.log("WARNING - generated jsonid: " + jsonid);
					}


					this.screenstr += ("\"id\":\"" + jsonid + "\"," + "\"windowid\":\"" + this.window + "\"," + "\"type\":\"" + mytype + "\",\n");
					this.screenstr += (initstr + "\"arguments\":[");
					this.insertjsonargs(tableChild);
					this.screenstr += ("]");
					/*
					if ((i<children.length-1) || (i<=children.length-1 && ($(tableChild).hasClass("cSlideGrid_Button")))) 
					   this.screenstr+=("},"+"\n");
					else
					   this.screenstr+=("}"+"\n");
					  */
					this.screenstr += ("}" + "\n");
					therewaschilds = 1;

					if ($(tableChild).hasClass("cSlideGrid")) {
						//put buttons in hash
						uiData["slidegrid_" + $(tableChild).attr("id")].processCSlideGridButtons();
						this.screenstr += uiData["slidegrid_" + tableChild.id].generatecSlideGridButtonsJson();

						//generate json:
					}
				}
			}

			if (tableChild.children.length > 0) {
				//nivel++;
				this.iterateobjs(tableChild, _father);
				//nivel--;
			}

		}
		return therewaschilds;
	};

	this.putInt = function(jsonKey, value, noComma) {
		var str = "{ \"" + jsonKey + "\" : " + value + " }";

		if (noComma == undefined)
			str += ", "
		return str;
	}
	this.putStr = function(jsonKey, value, noComma) {
		var str = "{ \"" + jsonKey + "\" : \"" + value + "\" }";

		if (noComma == undefined)
			str += ", "
		return str;
	}
	this.getObjectInt = function(obj, jsonKey, attribute, _default, noComma) {
		if (_default === undefined) {
			_default = -1;
		}

		var value = $(obj).attr(attribute) || _default;
		var str = "{ \"" + jsonKey + "\" : " + value + " }";

		if (noComma === undefined)
			str += ", "
		return str;
	}
	this.getObjectStr = function(obj, jsonKey, attribute, _default, noComma) {
		if (_default === undefined) {
			_default = "";
		}
		var value = $(obj).attr(attribute) || _default;
		var str = "{ \"" + jsonKey + "\" : \"" + value + "\" }";

		if (noComma === undefined)
			str += ", "
		return str;
	}

	this.insertjsonargs = function(_obj) {

		var isVisible = $(_obj).is(":visible");
		var parentVisible = $(_obj).parent().is(":visible");
		if (!isVisible) {
			//make teporarely visible
			if (!parentVisible) {
				$(_obj).parent().show();
			} else {
				$(_obj).show();
			}
		}
		var objRect = _obj.getBoundingClientRect();
		if (objRect.width == 0) {
			console.log("WARNING: " + $(_obj).attr("st") + " with ZERO WIDTH!");
		}
		if (!isVisible) {
			if (!parentVisible) {
				$(_obj).parent().hide();
			} else {
				$(_obj).hide();
			}
		}
		var screenTmp = "";

		/* Infamous Legacy HACKS !!! */

		var rect = bofficeScreen.toSnatchCoordsFromRect(objRect);

		//if in a notif windows recalculate rect
		if (($.inArray(windowID, bofficeGlobals.notifWindows) >= 0) && (!$(_obj).hasClass("Window"))) {
			var windowRect = bofficeScreen.getWindowRect(windowID);
			rect = bofficeScreen.toSnatchCoordsFromRectRel(objRect, windowRect);

		} else if (!$(_obj).hasClass("Window")) {
			//up everything up 2py:
			rect.top -= 2; //#2b1dae3d9d
		}
		rect = bofficeScreen.snapToGridRound(rect);
		if ($(_obj).hasClass("TextBox")) {

			if (uiData["textbox_" + _obj.id].skin == 0) //skin!
			{
				//rect.height -= 1;
				rect.height = rect.height - 1;
			}

		}

		/* hacks end */

		if ($(_obj).hasClass("Window")) {
			screenTmp += this.putInt("value", uiData["window_" + windowID].id);
		} else if ($(_obj).hasClass("Slide")) {
			screenTmp += this.putInt("value", uiData["slide_" + _obj.id].id);
		} else if ($(_obj).hasClass("Button") || $(_obj).hasClass("CheckBox")) {
			screenTmp += this.putInt("value", uiData["button_" + _obj.id].id);
		} else if ($(_obj).hasClass("TextBox")) {
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].id);
		} else if ($(_obj).hasClass("Panel")) {
			screenTmp += this.putInt("value", uiData["panel_" + _obj.id].id);
		} else if ($(_obj).hasClass("DropBox")) {
			screenTmp += this.putInt("value", uiData["dropbox_" + _obj.id].id);
		} else if ($(_obj).hasClass("SlideGrid") || $(_obj).hasClass("cSlideGrid")) {
			screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].id);
		} else if ($(_obj).hasClass("ListBox")) {
			screenTmp += this.putInt("value", uiData["listbox_" + _obj.id].id);
		} else {
			screenTmp += this.getObjectInt(_obj, "value", "snatch_id");
		}
		screenTmp += this.putInt("value", rect.left);
		screenTmp += this.putInt("value", rect.top);
		screenTmp += this.putInt("value", rect.width);
		screenTmp += this.putInt("value", rect.height);

		/* see fe/testesw.h L21 */
		if ($(_obj).hasClass("Window")) {
			screenTmp += this.putStr("value", uiData["window_" + windowID].caption);
			screenTmp += this.putInt("value", uiData["window_" + windowID].modal);
			screenTmp += this.putStr("value", uiData["window_" + windowID].visible);
			screenTmp += this.putInt("value", uiData["window_" + windowID].background, true);

		} else if ($(_obj).hasClass("TextBox")) {
			screenTmp += this.putStr("value", uiData["textbox_" + _obj.id].label);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].editable);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].type);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].length);
			screenTmp += this.putStr("value", uiData["textbox_" + _obj.id].fontsize);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].multiline);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].skin);
			screenTmp += this.putInt("value", uiData["textbox_" + _obj.id].tab, true);

		} else if ($(_obj).hasClass("Slide")) {
			screenTmp += this.putInt("value", uiData["slide_" + _obj.id].maxButtonX);
			screenTmp += this.putInt("value", uiData["slide_" + _obj.id].skin);
			screenTmp += this.putInt("value", uiData["slide_" + _obj.id].referral);
			screenTmp += this.putInt("value", uiData["slide_" + _obj.id].tab);

			screenTmp += this.putStr("color", uiData["slide_" + _obj.id].color);

			screenTmp += this.putStr("bgtype", uiData["slide_" + _obj.id].bgtype);
			screenTmp += this.putStr("bgcolor", uiData["slide_" + _obj.id].bgcolor);
			screenTmp += this.putStr("bgimage", uiData["slide_" + _obj.id].bgimage);
			screenTmp += this.putStr("bgimage", uiData["slide_" + _obj.id].textcolor);

			screenTmp += this.putStr("strechslide", uiData["slide_" + _obj.id].strechslide, true);

		} else if ($(_obj).hasClass("SlideGrid") || $(_obj).hasClass("cSlideGrid")) {

			if ($(_obj).hasClass("SlideGrid")) {
				screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].maxButtonX);
			} else {
				screenTmp += this.putInt("value", -1); //for sdl
			}
			screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].maxButtonY);


			screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].skin);
			screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].ref);
			screenTmp += this.putInt("value", uiData["slidegrid_" + _obj.id].tab);

			//5 extra parameters not in sdl
			if ($(_obj).hasClass("SlideGrid")) {
				screenTmp += this.putInt("last_grid_x", uiData["slidegrid_" + _obj.id].maxButtonX);
				screenTmp += this.putInt("last_grid_y", uiData["slidegrid_" + _obj.id].maxButtonY);
			} else {
				screenTmp += this.putInt("last_grid_x", uiData["slidegrid_" + _obj.id].last_grid_x);
				screenTmp += this.putInt("last_grid_y", uiData["slidegrid_" + _obj.id].last_grid_y);
			}
			screenTmp += this.putStr("default_image", uiData["slidegrid_" + _obj.id].default_image);
			screenTmp += this.putInt("strech", uiData["slidegrid_" + _obj.id].strech);

			screenTmp += this.putInt("value", "[" + JSON.stringify(uiData["slidegrid_" + _obj.id].pageGroupImages) + "]"); //snatch_background

			screenTmp += this.putStr("bgtype", "image"); // uiData["slidegrid_" + _obj.id].bgtype); HARDCODED
			screenTmp += this.putStr("bgcolor", ""); //uiData["slidegrid_" + _obj.id].bgcolor);
			screenTmp += this.putStr("bgimage", uiData["slidegrid_" + _obj.id].bgimage, true);

		} else if ($(_obj).hasClass("Button") || $(_obj).hasClass("CheckBox")) {
			screenTmp += this.putStr("value", uiData["button_" + _obj.id].type);
			screenTmp += this.putStr("value", uiData["button_" + _obj.id].label);
			screenTmp += this.putInt("value", uiData["button_" + _obj.id].state);
			screenTmp += this.putStr("value", uiData["button_" + _obj.id].color);
			screenTmp += this.putStr("value", uiData["button_" + _obj.id].icon);
			screenTmp += this.putInt("value", uiData["button_" + _obj.id].skin);
			screenTmp += this.putInt("value", uiData["button_" + _obj.id].referral);
			screenTmp += this.putInt("value", uiData["button_" + _obj.id].tab);

			screenTmp += this.putStr("bgtype", uiData["button_" + _obj.id].bgtype);
			screenTmp += this.putStr("bgcolor", uiData["button_" + _obj.id].bgcolor);
			screenTmp += this.putStr("bgimage", uiData["button_" + _obj.id].bgimage);
			screenTmp += this.putStr("bgimage", uiData["button_" + _obj.id].textcolor, true);



		} else if ($(_obj).hasClass("DropBox")) {
			var columns = JSON.stringify(uiData["dropbox_" + _obj.id].columns);
			screenTmp += this.putStr("value", uiData["dropbox_" + _obj.id].label);
			screenTmp += this.putInt("value", columns);
			screenTmp += this.putInt("value", uiData["dropbox_" + _obj.id].lines);
			screenTmp += this.putStr("value", uiData["dropbox_" + _obj.id].fontsize);
			screenTmp += this.putInt("value", uiData["dropbox_" + _obj.id].tab);
			screenTmp += this.putInt("value", uiData["dropbox_" + _obj.id].skin);
			screenTmp += this.putStr("value", uiData["dropbox_" + _obj.id].type, true);

		} else if ($(_obj).hasClass("ListBox")) {
			screenTmp += this.putInt("value", JSON.stringify(uiData["listbox_" + _obj.id].getColumns()));
			screenTmp += this.putStr("value", uiData["listbox_" + _obj.id].type);
			screenTmp += this.putInt("value", uiData["listbox_" + _obj.id].fTextBox);
			screenTmp += this.putInt("value", uiData["listbox_" + _obj.id].tab);
			screenTmp += this.putInt("value", uiData["listbox_" + _obj.id].skin, true);


		} else if ($(_obj).hasClass("Panel")) {
			screenTmp += this.putInt("value", uiData["panel_" + _obj.id].pages);
			screenTmp += this.putInt("value", uiData["panel_" + _obj.id].skin);
			screenTmp += this.putInt("value", uiData["panel_" + _obj.id].navbuttons);
			screenTmp += this.putStr("value", uiData["panel_" + _obj.id].captions, true);

		} else {

			//nada
		}

		this.screenstr += screenTmp;
	};


	this.IsJsonString = function() {
		try {
			JSON.parse(this.screenstr);
		} catch (e) {
			return false;
		}
		return true;
	};

	this.syntaxHighlight = function() {
		var json = this.screenstr.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
		return json.replace(/("(\\u[a-zA-Z0-9]{4}|\\[^u]|[^\\"])*"(\s*:)?|\b(true|false|null)\b|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?)/g, function(match) {
			var cls = 'number';
			if (/^"/.test(match)) {
				if (/:$/.test(match)) {
					cls = "key";
				} else {
					cls = "string";
				}
			} else if (/true|false/.test(match)) {
				cls = "boolean";
			} else if (/null/.test(match)) {
				cls = "null";
			}
			return "<span class='" + cls + "'>" + match + "</span>";
		});
	};

	this.getWindowLayout = function(_window) {
		var el = document.getElementById("w" + _window);

		var jos = bofficeJson;
		jos.createJsonString(el, _window);
		jos.insertjsonargs(el);
		jos.screenstr += ("]}\n");
		/*
		if (bofficeJson.iterateobjsLookAhead(jos.el,jos.father))
		{
			jos.screenstr+=(",");
		}
		*/
		jos.iterateobjs(jos.el, jos.father);
		jos.screenstr += "]}";

		return jos.screenstr;
	};

}