var windowClicks = {};
var grid;


var grid;
  var columns = [
    {id: "qnt", name: "Qnt", field: "qnt",cssClass:"col_qtn",resizable:true,maxWidth:70,headerCssClass:"head_qtn"},
    {id: "descricao", name: "Descrição", field: "descricao",cssClass:"col_descricao",headerCssClass:"head_descricao"},
    {id: "total", name: "Total", field: "total",cssClass:"col_total",resizable:true,maxWidth:120,headerCssClass:"head_total"},
  ];

  var options = {
      editable: false,
      enableAddRow: false,
      enableCellNavigation: true,
      enableColumnReorder: false,
      multiColumnSort: false,
      multiSelect: true,
      autoEdit: false,
      forceFitColumns: true,
  };

$( document ).ready(function() {
    console.log( "ready!" ); //the only public console.log!
    update();
    window.setInterval(update, 1500);

    $("#logo2").on('click',function()
    {
      console.log("update...");
      update();
    });

    $("#logo").prop('src',client_logo);
    $("#video").children().first().prop('src',client_video);
    $("#welcomeMessage").html(mensagem_ticket);

});

//resize grid
$(window).resize(function() {
  var cols = grid.getColumns();
  grid.setColumns(cols);
});




function update()
{

    url =server+"/gettable&ID=0";

    console.log("Sending: "+url);
    $.ajax({
      url: url,
      dataType: 'json',
      async: false,
      timeout:AJAX_TIMEOUT, //1* 1000 second timeout
      success: function(data) {
        $("#welcomeMessage").html(mensagem_ticket);
        console.log(data);
        //check for context
        var hasTable = true;
        if (data.Mesa == "0")
        {
          hasTable=false;
        }
        var dataGrid = [];
        $("#myGrid").html("");
        $("#myGrid").removeClass();
        $("#myGrid").hide();
        $("#leftFooter").hide();
        $("#right").css("float","none");
        $("#right").css("width","65%");
        $("#right").css("padding-left","20%");
        $("#pastFooter").show();
        var total = "0";
        if (hasTable)
        {
          $("#leftFooter").show();
          $("#myGrid").show();
          $("#right").css("width","47%");
          $("#right").css("float","right");
          $("#right").css("padding-left","0");
          $("#pastFooter").hide();
          total =  data.Total;
          for (var i = 0; i < data.list.length; i++) {
                      var qtd = data.list[i]["C1"];
                      var desc = data.list[i]["C2"];
                      var val = data.list[i]["C3"].replace("Eur","");

                      //for (var k = 0; k < 10; k++) {
                        dataGrid.push({
                          qnt: qtd,
                          descricao: desc,
                          total: val,
                        });
                      //};

                      
                  };
          grid = new Slick.Grid("#myGrid", dataGrid, columns, options);
        }

        $("#total").html(total.replace("Eur",""));

      }

      }).done(function() {
    //executes afterwards
    }).fail(function( jqxhr, textStatus, error ) {
        $("#welcomeMessage").html("Sem ligação...");
        $("#myGrid").html("");
        $("#myGrid").removeClass();
        $("#myGrid").hide();
        $("#leftFooter").hide();
        $("#right").css("float","none");
        $("#right").css("width","65%");
        $("#right").css("padding-left","20%");
        $("#pastFooter").show();
    });
}
