"use strict";
var SnatchBase = Class.extend(function() {

    this.constructor = function(x, y, width, height, windowid, _id, json_id, rect, widget_type) {
        this.tx=0;
        this.ty=0;
        this.tw=0
        this.th=0;
        this.left = x;
        this.top = y;
        this.width = width;
        this.height = height;

        this.window_id = windowid;
        this.id = _id; //this is the json_id
        this.parent = windowid + "Container";
        if (windowid != _id) //not a window
        {
            this.procID = windowid + "_" + _id;
        } else //its a window
        {
            this.procID = "w" + windowid;
            this.parent = "body";
        }
        this.json_id = json_id;

        this.wtype = widget_type;

        var temp = this.wtype.split(".");
        this.uiKey = (temp[temp.length - 1]).toLowerCase() + "_"; //+this.procID;


        this.j_procID = undefined;
        this.j_parent = $("#"+windowid + "Container");
       
    }
    
    this.setOrigCoords = function(ttx,tty,ttw,tth)
    {
        this.tx = ttx;
        this.ty = tty;
        this.tw = ttw;
        this.th = tth;
    }


    this.setRect = function(rootWindow) {
        
        if (this.j_procID === undefined)
            this.j_procID = $("#" + this.procID);

        if (rootWindow !== undefined) {
            this.j_procID.css("left", rootWindow.left);
            this.j_procID.css("top", rootWindow.top);
            this.j_procID.css("width", rootWindow.width);
            this.j_procID.css("height", rootWindow.height);
        } else {
            this.j_procID.css("left", this.left);
            this.j_procID.css("top", this.top);
            this.j_procID.css("width", this.width);
            this.j_procID.css("height", this.height);
        }
    }
    this.deleteObject = function() {

        //var obj = $("#" + this.procID);
        var key = this.procID;

        //remove possible related
        if (uiData[key + "_initialButtons"] != undefined) {
            var snatch_id = j_procID.attr("snatch_id");
            if (j_procID.attr("snatch_id") != -1) {
                delete(uiData[key + "_initialButtons"][j_procID.attr("snatch_id")]);
            } else {
                delete(uiData[key + "_initialButtons"][j_procID.attr("id")]);
            }
        }

        //remove from uiData
        delete(uiData[this.uiKey + this.procID]);
        //remove from DOM
        $("#"+this.procID).remove();
    }
});
SnatchBase.displayEditWarning = function(element, event) {
    if (isDraggable) {

        //if (event.eventPhase ==! 3)
        if (!element.hasClass("cSlideGrid")) {
            if (element.attr("drag") === undefined) {
                element.effect("shake");

            }
            element.removeAttr("drag");
        }

        $("span.extra").css("font-weight", "bold");
        $("span.extra").css("color", "yellow");
        setTimeout(function() {
            $("span.extra").css("color", "orange");
            setTimeout(function() {
                $("span.extra").css("color", "red");
                $("span.extra").css("font-weight", "normal");
            }), 1500
        }, 2500);

    }

    return isDraggable;
}