"use strict";
var SnatchDropBox = SnatchBase.extend(function() {
    this.constructor = function(windowid, _id, json_id, rect, wtype, _arguments) {
        

        this.super(rect.left, rect.top, rect.width, rect.height, windowid, _id, json_id, rect, wtype);

        this.label = "";
        this.columns = [];
        this.lines = defaultDropBoxLines;
        this.fontsize = defaultFontSize;
        this.tab = -1;
        this.skin = -1;
        this.type = "CButton";

        this.setArguments(_arguments);


        isSearchDrop = bofficeGlobals.searchBoxes_select.indexOf(this.procID);


    }
    var lastSelectedID;
    var data = [];
    var isSearchDrop = -1;
    this.getData = function() {
        return data;
    }
    var tabArray = [];
    this.getTabArray = function() {
        return tabArray;
    }
    this.putTab = function(val) {
        if (tabArray.indexOf(val) < 0) {
            tabArray.push(val);
            if (bofficeGlobals.DEBUG) {
                console.log("INFO: " + this.wtype + ":" +
                    this.procID + " added to tabs: " + JSON.stringify(tabArray));
            }
        }
    }
    this.setParams = function()
    {
        this.params = {
           j_parent: this.j_parent.selector,
           j_procID: this.j_procID.selector,
        }
    }
    this.setArguments = function(args) {
        if (args[5] !== undefined)
            this.label = args[5].value;
        if (args[6] !== undefined)
            this.columns = args[6].value;
        if (args[7] !== undefined)
            this.lines = args[7].value;
        if (args[8] !== undefined)
            this.fontsize = args[8].value;
        if (args[9] !== undefined) {
            this.tab = args[9].value;
            tabArray.push(this.tab);
        }
        if (args[10] !== undefined)
            this.skin = args[10].value;
        if (args[11] !== undefined)
            this.type = args[11].value;
    }
    this.createDropBox = function() {

        //verifica se o object já foi adicionado. 
        if (false) {
            //if (this.j_procID.length > 0) {
            /*this.j_procID.attr('snatch_tab', this.j_procID.attr('snatch_tab') + "|" + this.tab);
            if (tabArray.indexOf(this.tab) < 0) {
                tabArray.push(this.tab);
            }*/
        } else {



            this.j_parent.append("<div st=\"dropbox_" + this.procID + "\" id=\"" + this.procID + "\" class=\"DropBox FieldBox draggable skin_" + this.skin + "\"></div>");
            /*
            snatch_id=\"" + this.id + "\"
             
            snatch_jsonid=\"" + _jsonID + "\" snatch_tab=\"" + _tab + "\"" +
            //" snatch_columns=\"" + _columnsString + "\" snatch_type=\"" + _type + "\" snatch_lines=\"" + _lines + "\" snatch_fontsize=\"" + _fontsize + 
            "\" snatch_skin=\"" + _skin + "\" " +
            //snatch_caption=\"" + _caption + "\" 
            "style=\"height:" + _height + ";" + //+ hiddentext + 
            "width:" + _width + ";left:" + _left + ";top:" + _top + "\" class=\"DropBox draggable skin_" + _skin + "\"> " +
            "</div>");
            */
            this.super.setRect();
            if (bofficeGlobals.DEBUG)
                this.j_procID.append("<span class='debugInfo'>" + this.uiKey + "_" + this.procID + "</span>");

            if (this.tab > 0)
                this.j_procID.hide()
            else {
                for (var i = bofficeGlobals.searchBoxes_select.length - 1; i >= 0; i--) {
                    if (bofficeGlobals.searchBoxes_select[i] == this.procID) {
                        this.j_procID.hide();
                        break;
                    }
                }
            }


            this.j_procID.append("<div class=\"wcont\"></div>");

            $("#" + this.procID + " > div.wcont").append("<div id=\"" + this.procID + "Caption" +
                "\" class=\"caption skin_" + this.skin + "\">" + this.label + "</div>");

            $("#" + this.procID + " > div.wcont").append("<div class=\"field\"></div>");

            if ((this.label == "") || ((this.label == " "))) { //leprechauns!!
                this.j_procID.addClass("noLabel");
            }


            /*
            if ((this.label != "") && (this.label != " ")) {
                this.j_procID.append("<span id=\"" + this.procID + "Caption" +
                    "\" class=\"DropBox_Caption\">" + this.label + "</span>");
            } else {
                this.j_procID.addClass("noLabel");
            }
            */
            $("#" + this.procID + " > div.wcont > .field").append(
                "<select id=\"" + this.procID + "Drop" +
                "\" snatch_id=\"" + this.id +
                "\"snatch_skin=\"" + this.skin + "\" " +
                "class=\"DropBox_Drop chosen-select\" data-native-menu=\"false\">");

            bofficeWidgetsBox.setDropBoxAttributes(this.procID, this.label);


            /*
            if (uiData[this.uiKey + this.procID] === undefined) {
                uiData[this.uiKey + this.procID] = this;
            }
            */
        }
    }

    this.bindClicks = function() {
        var self = this;
        $("#" + this.procID + "Drop").on('change', function() {
            self.ProcessDropClick(this, self);
        });
    }

    this.showDropdown = function(_searchID) {
        var caption = $("#" + this.procID + " > div.wcont > .caption");
        caption.off();

        var event;
        event = document.createEvent('MouseEvents');
        event.initMouseEvent('mousedown', true, true, window);
        $("#" + this.procID + "Drop")[0].dispatchEvent(event);

        boffice.globalClick(caption, function() {
            $(this).find("i").remove();
            $(this).parent().parent().hide();
            $(_searchID).show();
            $(_searchID).find("input").select();
        });

        caption.find("i").remove();
        var content = caption.html();

        caption.html(content + "<i class='fa fa-search'></i>");

        caption.find("i").show("slow");
        caption.css("font-weight", "bold");
        caption.css("cursor", "pointer");



    };

    this.updateDropBox = function(_data) {
        var elem2 = $("#" + this.procID + "Drop");

        lastSelectedID = _data.sel;
        var selID = lastSelectedID;



        //verifies first element
        if (_data.d[0].id != "-1") {
            elem2.html("");
            data = _data.d; //all data here

            if ((bofficeGlobals.colorSelects.indexOf(this.procID) >= 0)) {
                for (var i = 0; i < data.length; i++) {
                    if (this.id != "-1") {
                        addOptionColor(elem2[0], data[i].id, data[i].v, selID, data[i].v);
                    }
                };
                $(elem2).change(function() {
                    var val = $("#" + elem2[0].id + " option:selected").css("color");
                    $(elem2).css("color", val);
                });
            } else {


                for (var i = 0; i < data.length; i++) {

                    addOption(elem2[0], data[i].id, data[i].v, selID);
                }
            }
        } else if (_data.d[0].id != "-2") {

            //change option height
            //--------------------------------
            if (elem2[0].options.length > 0) {

                if (elem2[0].selectedIndex == -1)
                    elem2[0].selectedIndex = 0;


                //combobox
                /*
                $("#" + this.procID + "Drop").dropkick({
                    change: function(value, label) {
                        ProcessDropKickClick(_data);
                    }
                });
                */
                if (selID > 0)
                    elem2[0].value = selID;
                $("#" + elem2[0].id).val(selID);

                //this.updateDropkickDDL("#" + this.procID + "Drop", selID);

                if (bofficeGlobals.colorSelects.indexOf(this.procID) >= 0) {
                    var val = $("#" + elem2[0].id + " option:selected").css("background-color");
                    $(elem2).css("background-color", val);
                }
            }
            //--------------------------------

            //Drop de pesquisa
            //isSearchDrop(this.procID);

            //hide all keyboards
        }

        if (isSearchDrop >= 0) {
            $(".ui-keyboard").hide();
            var pPanel = uiData["window_" + this.window_id].getPanel();

            var current_tab = 0;
            if (pPanel != undefined) {
                //current_tab = $("#w" + windowID).find(".Panel").attr("id");
                current_tab = uiData["panel_" + pPanel].getCurrentPage();
            }

            //show populated dropbox
            if (((this.tab == current_tab - 1) || (this.tab == -1)) || (current_tab === undefined) || (pPanel === undefined)) {
                this.j_procID.show()
                    //hide input field:
                    //searchbox switcharoo
                    //for (var i = bofficeGlobals.searchBoxes_select.length - 1; i >= 0; i--) {
                    //  if (bofficeGlobals.searchBoxes_select[i] == this.procID) {

                $("#" + bofficeGlobals.searchBoxes_input[isSearchDrop]).hide();
                this.showDropdown("#" + bofficeGlobals.searchBoxes_input[isSearchDrop]);
                //  break;
                //}
                //};
            }
        }



        /*
                                        if (windowID+"_"+objID == "104_38")
                                        {
                                            if ($("#104_38Drop option").length> 0) //has elements
                                            {
                                                if ($("#104_38Drop option:selected").length==0) //not selected
                                                {
                                                    //select first
                                                    //$("#104_38Drop").prop('selectedIndex', 0);
                                                    $("#104_38Drop").children().first().trigger("change");
                                                }
                                            }
                                        }
                                        */
    }
    this.ProcessDropClick = function(elem, parent) {
            var val = $(elem).val();;

            if (val === undefined)
                val = "-99"

            var urlCmd = "callback&windowID=" + windowID + "&objectID=" + parent.id + "&value=" + val;
            boffice.send_url(urlCmd);
        }
        /* LEGACY SELECT 
                this.updateDropkickDDL = function(id, value) {

                    //Get the select element and dropkick container
                    var select = $(id);
                    var dk = select.prev('.dk-select');

                    //Set the value of the select
                    select.val(value);

                    //Loop through the dropkick options
                    dk.find('.dk-select-options').children("li").each(function() {

                        var li = $(this);
                        var link = li.children('a');

                        //Remove the 'current' class if it has it
                        li.removeClass('dk-option-selected');

                        //If the option has the value we passed in
                        //ori
                        //if (link.data('data-value') == value) {
                        if (link.context.attributes[1].value == value) {

                            //Set the 'current' class on the option
                            li.addClass('dk-option-selected');

                            //Set the text of the dropkick element
                            dk.find('.dk-selected').text(link.context.innerText);
                        }
                    });
                }

            function ProcessDropKickClick(objToHandle) {

                alert("Callerd ProcessDropKickClick");

                if (isDraggable == 1)
                    return;


                var _dropObj = objToHandle.data.elem.parentElement.parentElement;
                var objectID = _dropObj.id;
                var value = _dropObj.value || _dropObj.innerText || _dropObj.textContent;
                var elem = $(_dropObj);
                var snatchID = elem[0].getAttribute("snatch_id");

                boffice.log("ProcessDropKickClick on Window" + windowID + " no objecto " + _dropObj.id);


                var urlCmd;

                if (elem.hasClass("DropBox") || elem.hasClass("DropBox_Drop")) {
                    var val;

                    val = objToHandle.value;
                    urlCmd = "callback&windowID=" + windowID + "&objectID=" + snatchID + "&value=" + val;

                } else {
                    boffice.log("click not handled");
                }

                if (urlCmd != "" && urlCmd != undefined) {
                    boffice.send_url(urlCmd);
                }
            }
            */
    this.editTextBoxForm = function() {
        var self = this;
        var _objID = this.procID;
        var dialog, form;
        var _obj = $("#" + _objID);

        function saveTable() {

            var valid = true;
            var _caption = $("#textBoxCaption").val();
            var _fontSize = $("#textBoxFontSize").val();



            if (valid) {
                //uiData["textbox_" + _objID].setTextBoxAttributes(_caption, _function);
                uiData["dropbox_" + _obj.attr("id")].label = _caption;
                _obj.find(".caption").html(_caption);
                dialog.dialog("close");
            }

            return valid;

        }

        dialog = $("#editTextBoxForm").dialog({
            autoOpen: false,
            //height: 400,
            width: 350,
            modal: true,
            title: 'Editar Etiqueta',
            buttons: {
                "OK": saveTable,
                "Cancelar": function() {
                    dialog.dialog("close");
                }
            },
            open: function() {
                $("#fx").hide();

                var snatch_id = $(_obj[0]).attr("id");
                $("#textBoxCaption").val(uiData["dropbox_" + snatch_id].label);
                $("#textBoxFontSize").val(uiData["dropbox_" + snatch_id].fontsize);


            },

            close: function() {
                form[0].reset();
            }
        });
        form = dialog.find("form").on("submit", function(event) {
            event.preventDefault();
            //saveTable();
        });
        dialog.dialog("open");
    }
    this.handleCache = function(content)
    {
        if (content.keys["dropbox_" + this.procID] != undefined) {
            this.j_parent = $(content.keys["dropbox_" + this.procID].j_parent);
            if (content.keys["dropbox_" + this.procID].j_procID != undefined)
                this.j_procID = $(content.keys["dropbox_" + this.procID].j_procID);
        }
        if (this.j_procID === undefined)
        {
            this.j_procID = $("#"+this.procID);
        }
    }
});