"use strict";
var newData = {};
var SnatchListBox = SnatchBase.extend(function() {
    this.constructor = function(windowid, _id, json_id, rect, wtype, _arguments) {


        this.super(rect.left, rect.top, rect.width, rect.height, windowid, _id, json_id, rect, wtype);


        this.columns = "";
        this.type = -1;
        this.fTextBox = 0; //?!
        this.tab = -1;
        this.skin = -1;
        this.isCheckBox = false;
        this.columnsDescription = "";

        this.setArguments(_arguments);

        //this.createListBox();
    }

    var data = undefined;

    var columnHeaders = [];

    var slickgrid;
    var dataView;

    //var lastSelectedIndex;
    var lastSelectedID;
    //var lastSelectedRow;
    var lastSelectedFilter;

    var lastValues;

    var hasResized = false;
    this.getHasResized = function() {
        return hasResized;
    }
    this.setHasResized = function() {
        hasResized = true;
    }

    var tabArray = [];
    this.getTabArray = function() {
        return tabArray;
    }
    this.putTab = function(val) {
        if (tabArray.indexOf(val) < 0) {
            tabArray.push(val);

        }
    }

    this.getColumns = function() {
        //this gets somehow tainted....
        var resarray = []
        for (var i = 0; i < this.columns.length; i++) {
            resarray.push({
                v: this.columns[i].v
            });
        };
        return resarray;
    }

    this.getSlickGrid = function() {
        if (slickgrid == undefined)
        {
            this.initGrid();
        }
        return slickgrid;
    }

    this.getDataView = function() {
        return dataView;
    }
    this.getLastSelectedID = function() {
        return lastSelectedID;
    }
    this.setParams = function() {
        this.params = {
            j_parent: this.j_parent.selector,
            j_procID: this.j_procID.selector,
        }
    }
    this.setArguments = function(args) {
        if (args[5] !== undefined) {
            this.columns = args[5].value;
        }
        if (args[6] !== undefined) {
            this.type = args[6].value;

            if (args[6].value == "CCheckBox")
                this.isCheckBox = true;
            this.columnsDescription = args[6].value;
        }
        if (args[7] !== undefined)
            this.fTextBox = args[7].value;

        if (args[8] !== undefined) {
            this.tab = args[8].value;
            tabArray.push(this.tab);
        }
        if (args[9] !== undefined)
            this.skin = args[9].value;

        //parse headers

        for (var i = 0; i < this.columns.length; i++) {
            var element = this.columns[i];

            if ((this.columnsDescription.split("|").length == this.columns.length) && (this.type != "CButton") && (this.type != "CCheckBox")) {
                element['name'] = this.columnsDescription.split("|")[i];
                element['field'] = this.columnsDescription.split("|")[i].toLowerCase();
            } else {
                element['name'] = "name_" + i;

            }
            element['field'] = "field_" + i;
            element['id'] = "id_" + i;
            element["headerCssClass"] = "header header_" + this.procID + "_" + i;
            element["cssClass"] = "slkcol slkcol_" + this.procID + "_" + i;
            if ((i == this.columns.length - 1) && (this.columns.length > 1)) {
                element["cssClass"] += " lastCol";
                element["headerCssClass"] += " lastCol";
            }

            //element['maxWidth'] = element["v"]*bofficeScreen.tx;
            if (this.columns.length >= 3) {
                element['maxWidth'] = element["v"] * bofficeScreen.tx;
            } else {
                //element['width'] = (element["v"]-2) * bofficeScreen.tx;
            }
            element['formatter'] = this.mainFormatter;
            //element['minWidth'] = 5; //30 default
            /*
                        if (this.procID == "4_201") {
                            if (i == 0) {
                                element['minWidth'] = 8;
                            } else if (i == 1) {
                                element['minWidth'] = 30;
                            }
                        }
                        */
            //element['minWidth'] = this.columns[i].v;
            /*
            element["sortable"]=false;
            element["resizable"]=false;*/
            columnHeaders.push(element);

        };

        if (this.isCheckBox) {
            columnHeaders.push({
                id: "checkCol",
                name: "checkCol",
                field: "checkCol",
                formatter: this.checkCol,

            });
        }
    }
    this.mainFormatter = function(row, cell, value, columnDef, dataContext) {
        if ((dataContext['col_' + cell] !== undefined) && (dataContext['col_' + cell] !== "undefined")) {
            if ((this.procID == "4_201") && cell == 1 && (Object.keys(dataContext).length == 5)) {
                /*return "<span class='empCol' style='color:" + "#" + GetHtmlColor(dataContext.full_values[3]) + ";'></span>" + value; SETA*/
                return "<span style='color:" + "#" + GetHtmlColor(dataContext["col_3"]) + ";'>" + dataContext['col_' + cell] + "</span>";
            } else if ((this.procID == "4_201") && (cell == 0) && (dataContext['col_' + cell][0] == " ")) {
                return "&nbsp;" + dataContext['col_' + cell];

            } else {
                var prefix = "";
                if ((cell == 0) && (dataContext['col_' + cell][0] == "\t")) {
                    prefix = "&nbsp;&nbsp;<i class='fa fa-chevron-right'></i>";
                }

                return prefix + dataContext['col_' + cell];
            }
        } else
            return ("")
    }

    this.checkCol = function(row, cell, value, columnDef, dataContext) {
        if (dataContext._checkbox_selector == 0) {
            return "<input type='checkbox'>";
        } else {
            return "<input type='checkbox' checked>";
        }
    }
    this.initGrid = function() {
        dataView = new Slick.Data.DataView();

        var options = {
            autoHeight: false,
            rowHeight: (Math.floor(bofficeScreen.ty * 4)), //truncate is not available in some browsers
            headerRowHeight: (Math.floor(bofficeScreen.ty * 4)),
            topPanelHeight: (Math.floor(bofficeScreen.ty * 4)),
            forceFitColumns: true,
            enableCellNavigation: true,
            enableColumnReorder: false,
            enableColumnResize: false,
        }



        slickgrid = new Slick.Grid("#" + this.procID + "Slick", dataView, columnHeaders, options);



        if ((this.type != "CButton") && (this.type != "CCheckBox")) {
            $("#" + this.procID + " > div > div > div.slick-header-columns").children().show();
            $("#" + this.procID + " > div > div > div.slick-header-columns").children().css("height", (Math.floor(bofficeScreen.ty * 2)) + "px");


        } else {
            $("#" + this.procID + " > div > div > div.slick-header-columns").children().hide();

        }
        slickgrid.setSelectionModel(new Slick.RowSelectionModel({
            selectActiveRow: true
        }));
        //callbacks
        var self = this;
        slickgrid.onClick.subscribe(function(event, args) {
            event.preventDefault();
            event.stopPropagation();
            self.selectRow(dataView.getItemByIdx(args.row).id, true);

        });
        slickgrid.onColumnsResized.subscribe(function(e, args) {
            /* do nothing */

        });

        slickgrid.onActiveCellChanged.subscribe(function(e, args) {
            //console.log("changed");
        });

        slickgrid.onSelectedRowsChanged.subscribe(function(e, args) {
            /* do nothing */
        });

        slickgrid.onCellCssStylesChanged.subscribe(function(e, args) {
            /* do nothing */
        });
        slickgrid.onHeaderClick.subscribe(function(e, args) {
            /* do nothing */
        });


        slickgrid.onColumnsReordered.subscribe(function(e, args) {
            /* do nothing */
        });

        /*
        if (uiData[this.uiKey + this.procID] === undefined) {
            uiData[this.uiKey + this.procID] = this;
        }*/
    }
    this.createListBox = function() {

        var _hidden = 0;


        this.j_parent.append("<div st=\"listbox_" + this.procID + "\" id=\"" + this.procID +
            "\" class=\"ListBox draggable skin_" + this.skin + "\"></div>");
        /*
            "\" snatch_id=\"" + this.id + "\" checkbox=\"" + this.isCheckBox + "\" snatch_jsonid=\"" + this.id + "\" snatch_tab=\"" + this.tab + "\" snatch_skin=\"" + this.skin 
            + "\" snatch_columns=\"" + _columnsString + "\" snatch_description=\"" + _columnsDescription + "\" snatch_fTextBox =\"" + fTextBox + "\" style=\"height:" + _height + ";" + hiddentext + "width:" + _width + ";left:" + _left + ";top:" + _top + "\" > " + "</div>");
        */

        this.super.setRect();
        if (_hidden != 0) {
            this.j_procID.hide();
        }

        if (bofficeGlobals.DEBUG)
            this.j_procID.append("<span class='debugInfo'>" + this.uiKey + "_" + this.procID + "</span>");

        this.j_procID.append("<div id=\"" + this.procID + "Slick" +
            "\" snatch_id=\"" + this.id + "\" class=\"ListBoxView\" >"
            //+ "\" snatch_tab=\"" + _tab
            //+ "\"style=\"height:100%;width:100%;overflow-y:visible\">" 
            + "</div>");


        if (this.cacheMode == 0)
            this.initGrid();


    }



    this.getData = function() {
        return data;
    }

    function getColumnFromData(dataElement) {
        var element = {};
        element["col_0"] = dataElement.v;

        if (dataElement.s !== undefined) {
            element["s"] = dataElement.s;
        }
        if (dataElement.v.split("|").length > 1) {
            //element["col_0"] = dataElement.v.split("|")[0];
            for (var k = 0; k < dataElement.v.split("|").length; k++) {
                element["col_" + k] = dataElement.v.split("|")[k];
            };
        }
        if (data.order.indexOf(dataElement.id) < 0) {
            data.order.push(dataElement.id);
        }
        return element;
    }

    this.setData = function(_data) {
        if (data === undefined) {
            data = {
                rows: {},
                order: [],
                filter: [],
                selectedFilter: undefined,
                selectedITem: undefined
            };
        }
        //data["orig"] = _data;
        //data["selectedItem"] = _data.sel;
        if (_data.d[0].id == -99) //limpar
        {
            data.rows = {};
            data.order = [];
            data.filter = [];
            data.selectedItem = _data.sel;
            data.selectedFilter = undefined;

        } else if (_data.d[0].id != -1) //full list update
        {



            data.rows = {};
            data.order = [];
            data.filter = [];

            for (var i = 0; i < _data.d.length; i++) {
                var element = getColumnFromData(_data.d[i]);

                element["id"] = _data.d[i].id;
                data.rows[_data.d[i].id] = element;


            };
            data.filter = data.order;
            data.selectedItem = _data.sel;

        } else if (_data.d[0].id == "-1") //not a full update
        {
            if (_data.d[0].v == "-3") //filtrar
            {
                if (_data.sel == "-99") //clears filter (include all)
                {
                    data.filter = data.order;
                    data.selectedFilter = _data.sel;
                } else {
                    data.filter = [];
                    data.selectedFilter = _data.sel;
                    for (var j = 0; j < data.order.length; j++) {
                        var key = data.order[j];
                        if (data.rows[key]["col_1"] == _data.sel) {
                            data.filter.push(key);
                        }
                    };
                }
            } else if (_data.d[0].v == "-2") //add/update
            {
                for (var i = 1; i < _data.d.length; i++) {
                    if (_data.d[i].v == "-1") //delete
                    {
                        var key = _data.d[i].id;
                        delete data.rows[key];
                        var index = data.order.indexOf(key);
                        if (index > -1) data.order.splice(index, 1);
                        index = data.filter.indexOf(key);
                        if (index > -1) data.filter.splice(index, 1);
                    } else {
                        var element = getColumnFromData(_data.d[i]);
                        element["id"] = _data.d[i].id;
                        data.rows[_data.d[i].id] = element;
                    }

                };
                data["selectedItem"] = _data.sel;

            } else if (_data.d[0].v == "-1") //clean
            {
                data.rows = {};
                data.order = [];
                data.filter = [];
                data.selectedFilter = undefined;
                data.selectedItem = _data.sel;
            }
        }
        var p = 0;
    }


    this.updateListBox = function(force) {
        //mai nada

        if ((cacheMode == 1)) {
            return;
        }



        if ((force != undefined) || (slickgrid === undefined))
            this.initGrid();

        var cacheElem = {
            'f': data.filter,
            'o': data.order,
            'r': data.rows,
            'sf': data.selectedFilter
        };

        if ((lastValues !== JSON.stringify(cacheElem)) || data.filter.length == 0) {

            //slickgrid.setSelectedRows([]);
            //slickgrid.invalidateAllRows();


            var dataView2 = new Slick.Data.DataView();
            dataView2.beginUpdate();

            for (var i = 0; i < data.filter.length; i++) {
                var key = data.filter[i];
                var item = data.rows[key];
                item["id"] = key;

                if (this.type == "CCheckBox")
                    item["_checkbox_selector"] = data.rows[key].s;

                dataView2.addItem(item);
            };
            dataView2.endUpdate();
            /*
                    if (data.selectedItem < 0) { //-1 selects first one
                        if (dataView2.getItemByIdx(0)!==undefined)
                        {
                        lastValues["selectedItem"]=dataView.getItemByIdx(0).id;
                        //lastSelectedID = undefined;
                        }
                    }
            */

            // Indicate that we're done updating.

            slickgrid.setData(dataView2);
            slickgrid.render();
            //slickgrid.resizeCanvas();



            dataView = dataView2;
            if (cacheMode == 0) {

                if (!hasResized) {
                    slickgrid.resizeCanvas(); // be gone son of satan!
                    hasResized = true;
                }
            }



        } else {
            if (bofficeGlobals.DEBUG)
                console.log("PERFORMANCE: " + this.uiKey + this.procID + ": using cached values");
        }
        //lastValues = JSON.stringify(cacheElem);
        lastValues = JSON.stringify({
            'f': data.filter,
            'o': data.order,
            'r': data.rows,
            'sf': data.selectedFilter
        });

        this.j_procID.find("div.slick-resizable-handle").remove();


        var id = data.selectedItem; //this is a index starts on 0

        if (id !== undefined) {
            //slickgrid.setActiveCell(id, 0);
            this.selectRow(id);
        }



    }


    this.searchOnListbox = function(_value) {
        if (_value.length == 0)
            return;
        for (var i = 0; i < data.filter.length; i++) {
            var key = data.filter[i];

            var _text = data.rows[key].col_0;
            var _text_upper = _text.toUpperCase();
            var _value_upper = _value.toUpperCase();
            var _id = data.rows[key].id;
            if ((_text.indexOf(_value) > -1) ||
                (_text_upper.indexOf(_value_upper) > -1)) {

                this.selectRow(key);
                break;
            }
        }

        //do nothing
    }
    this.reset = function() {
        lastSelectedID = -1; //force 1st click
    }
    this.selectRow = function(_id, force) { //by id!
        if ((!force) && ((dataView.getItems().length == 0) || this.isCheckBox)) {
            if (!this.isCheckBox) {
                console.log(this.procID + " empty listbox");
                lastSelectedID = _id;
            }
            return;
        }
        if ((_id == -1) && (this.id != 201)) {
            return;
        }

        _id = parseInt(_id); //make sure is int
        if (_id < 0) { //-1 selects first one
            if (slickgrid.getSelectedRows().length == 0) {
                _id = dataView.getItemByIdx(0).id;
            } else if (slickgrid.getSelectedRows().length == 1) {
                _id = dataView.getItemByIdx(0).id;
            } else {
                var row = slickgrid.getActiveCell().row;
                _id = dataView.getItemByIdx(row).id;
                //lastSelectedID = undefined;
            }
        }

        if (lastSelectedFilter != data.selectedFilter) //filter has changed
        {
            //lastSelectedIndex = undefined;
            lastSelectedFilter = data.selectedFilter;
            //if (this.id != "201") {
            _id = dataView.getItemByIdx(0).id;
            force = true; //must click first
            //}
        }
        //lastSelectedFilter = _id;

        //must exist:
        if (dataView.getItemById(_id) === undefined) {
            _id = dataView.getItemByIdx(0).id;
        }
        if (slickgrid != undefined) {
            slickgrid.setActiveCell(dataView.getIdxById(_id), 0);
        }

        if ((this.id == "201") || (slickgrid.getSelectedRows().length == 0) || force === true) {

            //invalid selection
            /*if ((dataView.getItemById(_id) === undefined)) { // && ((slickgrid.getSelectedRows().length == 0) || (dataView.getItemByIdx(slickgrid.getSelectedRows()[0]) === undefined))) {
                if (lastSelectedId == undefined) {
                    _id = dataView.getItemByIdx(0).id;
                }
            }*/
            //lastSelectedRow = index;

            //var last = slickgrid.getSelectedRows()[0];

            if ((dataView.getItemById(_id) !== undefined)) {
                if (((_id != lastSelectedID) || force === true)) {
                    var urlCmd = "callback&windowID=" + windowID + "&objectID=" + this.id + "&value=" + _id;

                    lastSelectedID = _id;

                    //lastSelectedIndex = _id + 1;


                    //var idx = dataView.getItemByIdx(_index);

                    //slickgrid.scrollRowIntoView(idx);
                    //slickgrid.resizeCanvas();
                    this.j_procID.find("div.slick-resizable-handle").remove();
                    if (cacheMode == 0) {
                        boffice.send_url(urlCmd);
                    }
                }


            } else {
                //fail safe, if id not in table, select first one
                //this.selectRow(-1);
                var p; //atually... keeps the same selection
            }
            slickgrid.setActiveCell(dataView.getIdxById(_id), 0);

        }
        //lastSelectedID = _id;


    }

    this.handleCache = function(content) {
        if (content.keys["listbox_" + this.procID] != undefined) {
            this.j_parent = $(content.keys["listbox_" + this.procID].j_parent);
            if (content.keys["listbox_" + this.procID].j_procID != undefined)
                this.j_procID = $(content.keys["listbox_" + this.procID].j_procID);
        }
        if (this.j_procID === undefined) {
            this.j_procID = $("#" + this.procID);
        }
    }


});